2007-01-16 19:53  cegger

	* configure.in: Next bugfix release is 1.0.2. Bump version.

2007-01-10 23:34  cegger

	* doc/man/input-quartz.7: regen. for pulling up
	  input/quartz/man.txt, rev. 1.4 - 1.5

2007-01-10 23:32  cegger

	* input/quartz/man.txt: pull up the following revision(s)
	  (requested by cegger):  input/quartz/man.txt: 1.4 - 1.5

	  Mousebuttons now work. So remove 'Known Bugs' section.

2007-01-09 21:33  cegger

	* checkversion.sh: pull up the following revision(s) (requested by
	  cegger):  checkversion.sh: 1.6 - 1.7

	  Check and accept version numbers that are greater than the
	  required one. Now we can use automake 1.10.

2006-12-30 21:05  cegger

	* doc/man/: giiEventPoll.3, giiEventSend.3, giiInit.3, giiMTInit.3,
	  giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3, giiQueryValInfo.3,
	  giiSetEventMask.3, gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3, libgii.7, libgii.conf.5: regen.

2006-03-11 10:42  cegger

	* input/linux_evdev/: eventparse.c, linux_evdev.h: pull up the
	  following revision(s) (requested by pekberg):
	  input/linux_evdev/eventparse.c: 1.7 - 1.8
	  input/linux_evdev/linux_evdev.h: 1.8 - 1.9

	  Internet says that EV_RST was renamed to EV_SYN in Linux 2.6. So
	  add compatibility section for Linux 2.4 and treat EV_RST as
	  EV_SYN

2006-02-25 19:20  cegger

	* ChangeLog: update for libgii 1.0.1

2006-02-25 19:16  cegger

	* configure.in: welcome to libgii 1.0.1

2006-02-25 18:56  cegger

	* doc/man/: ggFreeModule.3, ggGetSymbolAddress.3, ggLoadModule.3,
	  ggSystemOptions.3: remove manpages no longer generated

2006-02-24 21:23  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: pull up the following
	  revision(s) (requested by cegger):  ggi-core/libgii/ltmain.sh:
	  1.67 - 1.87  ggi-core/libgii/m4/libtool.m4: 1.54 - 1.69
	  ggi-core/libgii/m4/ltoptions.m4: 1.8 - 1.10
	  ggi-core/libgii/m4/ltsugar.m4: 1.5 - 1.7
	  ggi-core/libgii/m4/ltversion.m4: 1.41 - 1.61

	  sync with HEAD

2006-02-16 18:16  cegger

	* include/ggi/Makefile.am: pull up the following revision(s)
	  (requested by pekberg):  include/ggi/Makefile.am: 1.8 - 1.9

	  system.h is included in the dist, which kills VPATH builds (and
	  since some other makefiles include the srcdir before the
	  builddir, the distributed system.h gets used instead of the
	  freshly created system specific system.h)

2006-01-26 22:33  cegger

	* include/ggi/input/kii.h: pull up the following revision(s)
	  (requested by pekberg):  include/ggi/input/kii.h: 1.2 - 1.3

	  Get rid of internal/gii_target.h. It is gone and obselete.
	  Problem reported by Olaf Buddenhagen a.k.a. antrik on IRC

2006-01-24 17:47  cegger

	* configure.in: pull up the following revision(s) (requested by
	  cegger):  configure.in: 1.189 - 1.190 If configuring w/o explicit
	  prefix and if using signal based scheduler, ggtick is not found
	  because the configure script uses before fixing up the default
	  value NONE.

2006-01-20 19:15  cegger

	* doc/man/input-quartz.7: regen. for pulling up of rev. 1.3

2006-01-20 19:12  cegger

	* input/quartz/: event.c, man.txt, quartz.c: pull up the following
	  revision(s) (requested by cegger):  input/quartz/quartz.c: 1.4 -
	  1.5  input/quartz/event.c: 1.7 - 1.8	input/quartz/man.txt: 1.2 -
	  1.3 quartz.c:transEvent2Mask():  reworked - report events more
	  accurate via eventClass/Kind scheme.

	  event.c:DefaultApplicationEventHandler():  - fix handling of
	  kEventMouseMoved  - implement handling of kEventMouseDragged	-
	  fix handling of kEventMouseEntered/Exited

	  man.txt: update

2006-01-06 10:02  cegger

	* include/ggi/gg-tree.h: pull up the following revision(s)
	  (requested by ):  include/ggi/gg-tree.h: 1.3 - 1.4 fix redblack
	  tree

2006-01-05 21:28  cegger

	* gg/conf.c: pull up the following revision(s) (requested by ):
	  gg/conf.c: 1.63 - 1.65 fix printf style: %p expects void **

2006-01-05 21:23  cegger

	* gg/conf.c: pull up the following revision(s) (requested by ):
	  gg/conf.c: 1.57 - 1.63 Rework parser implementation in a more
	  sane way. Now the .include directive in config files work again.

2006-01-05 21:11  cegger

	* gg/dl.c: pull up the following revision(s) (requested by ):
	  gg/dl.c: 1.22 - 1.23 Disallow dynamic modules when linking
	  statically

2005-12-28 18:59  cegger

	* input/mouse/packetparse.c: pull up the following revision(s)
	  (requested by ):  input/mouse/packetparse.c: 1.7 - 1.8
	  parse_imps2: bit 0x08 is undefined => ignore it. PS/2 Mice with 3
	  buttons no longer suffer on a 4th button phantom and PS/2 Mice
	  with more than 3 buttons no longe think, the 4th button is always
	  pressed.

2005-12-20 18:26  cegger

	* doc/README.directx: pull up the following revision(s) (requested
	  by ):  doc/README.directx: 1.12 - 1.13 Update README to help
	  MinGW users configure successfully

2005-12-20 18:19  cegger

	* gii/init.c: pull up the following revision(s) (requested by ):
	  gii/init.c: 1.17 - 1.18 Look at GII_DEBUGSYNC instead of
	  GGI_DEBUGSYNC

2005-12-10 15:11  cegger

	* ChangeLog: update for final libgii 1.0.0

2005-12-10 15:08  cegger

	* configure.in: welcome to final libgii 1.0.0

2005-11-28 18:20  cegger

	* ChangeLog: update for libgii 1.0.0 release candidate 2

2005-11-28 18:16  cegger

	* configure.in: welcome to libgii 1.0.0 release candidate 2

2005-11-20 20:07  cegger

	* m4/ltversion.m4: pull up revisions 1.41 - 1.52 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:06  cegger

	* m4/ltsugar.m4: pull up revisions 1.5 - 1.7 (requested by cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:06  cegger

	* m4/ltoptions.m4: pull up revisions 1.8 - 1.10 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:05  cegger

	* m4/libtool.m4: pull up revisions 1.54 - 1.62 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:05  cegger

	* ltmain.sh: pull up revisions 1.67 - 1.78 (requested by cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-07 11:34  cegger

	* configure.in: pull up revisions 1.181 - 1.182 (requested by
	  cegger):

	  bugfix: Now input-zaurus is really available as builtin

2005-10-30 09:21  cegger

	* autogen.sh: pull up revisions 1.14 - 1.15 (requested by cegger):

	  fix syntax error on solaris

2005-10-22 17:42  cegger

	* configure.in: pull up revisions 1.180 - 1.181 (requested by
	  cegger):

	  bugfix: check the right variable whether to enable/disable
	  input-linux-evdev. W/o this fix, it is always disabled

2005-10-22 15:49  cegger

	* input/linux_evdev/input.c: pull up revisions 1.20 - 1.21
	  (requested by cegger):

	  add missing prototype for entry symbol. constify string arrays.
	  Fixes a bunch of gcc warnings

2005-10-13 08:27  cegger

	* m4/mutexes.m4: pull up revisions 1.13 - 1.14 (requested by
	  cegger):

	  patch from NetBSD's pkgsrc:

	  Reorder thread library detection. On FreeBSD 4 and DragonFly 1.2
	  gcc links against -lc_r only when -pthread is used, otherwise
	  both -lc_r and -lc gets linked in.

2005-09-21 21:16  cegger

	* doc/man/: filter-key.7, filter-mouse.7, filter-save.7,
	  filter-tcp.7, gg-error.3, gg-queue.3, gg-tree.3, gg-types.3,
	  ggAddObserver.3, ggAddTask.3, ggCurTime.3, ggGetScope.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLoadConfig.3,
	  ggLockCreate.3, ggParseOptions.3, ggRegisterCleanup.3,
	  ggstrlcpy.3, giiEventPoll.3, giiEventSend.3, giiInit.3,
	  giiMTInit.3, giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3,
	  giiQueryValInfo.3, giiSetEventMask.3, gii_cmd_event.3,
	  gii_cmddata_getdevinfo.3, gii_cmddata_getvalinfo.3, gii_event.3,
	  gii_expose_event.3, gii_key_event.3, gii_pbutton_event.3,
	  gii_pmove_event.3, gii_val_event.3, input-directx.7,
	  input-file.7, input-linux-evdev.7, input-linux-kbd.7,
	  input-linux-mouse.7, input-lk201.7, input-mouse.7,
	  input-quartz.7, input-tcp.7, input-x.7, libgg.7, libgii.7,
	  libgii.conf.5, mhub.1, xsendbut.1: regen.

2005-09-21 12:43  cegger

	* configure.in: welcome to 1.0.0 release candidate 1

2005-09-21 11:55  cegger

	* TODO: zap TODO file

2005-09-21 08:21  cegger

	* ChangeLog: update for libgii 1.0.0

2005-09-20 21:09  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool cvs
	  head to version 1.2081

2005-09-20 20:50  cegger

	* include/ggi/internal/debug_macros.h: #define DMESSAGE also when
	  DEBUG is not defines. Fixes build error reported by Bernhard
	  Fischer

2005-09-20 19:46  cegger

	* include/ggi/internal/debug_macros.h: trim some whitespace

2005-09-20 17:29  cegger

	* input/x/Makefile.am: add EXPSYMS to DISTCLEANFILES. Fixes 'make
	  distcheck'

2005-09-20 14:51  cegger

	* gg/conf.c: add (debug) message that ggConfigExpandAlias() is
	  deprecated

2005-09-20 11:31  cegger

	* demos/Makefile.am: alphabetize build order

2005-09-20 11:29  cegger

	* demos/Makefile.am, regress/gg/Makefile.am, regress/gg/iter.c:
	  convert iter into a regression testsuite

2005-09-20 10:30  cegger

	* gg/conf.c: ggConfigExpandAlias(): no need to append empty options

2005-09-20 10:25  cegger

	* demos/: Makefile.am, config.c: readd config. Might be a useful
	  utility for extension writers

2005-09-20 10:12  cegger

	* regress/gg/config.c: check strcmp() return value correctly. Now
	  testcases pass

2005-09-20 10:02  cegger

	* demos/Makefile.am, demos/config.c, regress/gg/Makefile.am,
	  regress/gg/config.c, regress/gg/test.conf: convert config into a
	  real regression testsuite

2005-09-20 09:02  soyt

	* gg/conf.c: strlcat -> ggstrlcat

2005-09-20 09:00  soyt

	* gg/conf.c: new implementation for ggConfigExpandAlias. still
	  deprecated though.

2005-09-19 20:55  cegger

	* gg/conf.c: ggConfigExpandAlias: replace ggMatchConfig() with
	  config iterator

2005-09-19 20:08  cegger

	* gg/conf.c, include/ggi/gg.h: merge back ggConfigExpandAlias from
	  revision 1.12 with minor improvements by me. Now
	  backward-compatibility is restored

2005-09-14 09:41  cegger

	* Makefile.am: remove config.lt when run 'make distclean'

2005-09-13 11:08  pekberg

	* m4/Makefile.am: Libltdl isn't needed, can't be used (LGPL) and
	  isn't used, so zap ltdl.m4.

2005-09-13 09:38  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: sync
	  with libtool cvs head to version 1.2073

2005-09-08 14:29  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool cvs
	  head to version 1.2066

2005-09-07 11:44  pekberg

	* m4/common.m4: Add macro to centralize C99 inttypes detection.

2005-09-06 19:39  pekberg

	* configure.in: Change comment to reflect the true nature of the
	  ML. Add quotes.

2005-09-05 13:13  pekberg

	* autogen.sh, include/ggi/internal/debug_macros.h: Add --force
	  option that disables version checks.

2005-09-05 05:35  pekberg

	* include/ggi/system.h.in: Using PIC is not nice in an installed
	  header, just disallow static on cygwin/mingw with gcc.

2005-09-05 05:28  pekberg

	* include/ggi/system.h.in: auto-import doesn't work in all cases on
	  cygwin/mingw with gcc after all.

2005-09-05 04:04  pekberg

	* libgii.conf.in: Fix typo in symbol name

2005-09-04 14:28  cegger

	* config.guess, install-sh: update to version shipped with libtool
	  1.5.20

2005-09-04 13:53  soyt

	* gg/conf.c: merge fix from ggbundle branch (not used currently)

2005-09-03 18:16  soyt

	* libgii.conf.in, gg/conf.c, gii/builtins.c, gii/dl.c, gii/gii.c,
	  include/ggi/internal/gii.h: - gg config parser recognizes @ as
	  builtin symbol table location - libgii used the simplest and
	  desired dl matching mechanism.    eventually, dl.c will go
	  because libgg will handle this.

2005-09-03 07:53  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: sync
	  with libtool cvs head to version 1.2057

2005-09-01 17:46  cegger

	* TODO: mark done items as done

2005-08-31 17:56  cegger

	* gii/builtins.am, input-shared/Makefile.am: remove -framework.
	  libtool knows the need from the convinience libs. Simplifies
	  maintainance

2005-08-31 17:41  cegger

	* input/quartz/input.c: add prototype for GIIdl_quartz()

2005-08-31 10:25  cegger

	* doc/libgii-target.txt, filter/tcp/Makefile.am, gg/Makefile.am,
	  gg/ggtick/Makefile.am, gg/lib/Makefile.am, gii/Makefile.am,
	  input/tcp/Makefile.am, input/vgl/Makefile.am: change include
	  search order: Search in build before in source directory. Fixes
	  problems when builddir != srcdir and cross-compiling.

2005-08-31 09:11  cegger

	* gii/builtins.am, input/cocoa/Makefile.am,
	  input/quartz/Makefile.am, input-shared/Makefile.am: remove
	  -Xlinker workaround for a libtool bug

2005-08-31 09:07  cegger

	* autogen.sh, ltmain.sh, m4/libtool.m4, m4/ltoptions.m4,
	  m4/ltversion.m4: sync with libtool cvs head to version 1.2049
	  This requires autoconf 2.59 and automake 1.9.6

2005-08-31 08:33  cegger

	* checkversion.sh: error properly out when where autotools are
	  missing

2005-08-28 15:05  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.298

2005-08-28 11:51  cegger

	* regress/gii/init.c: when giiOpen() fails, call giiExit() before
	  returning back. This restores initial test state propery. Fix
	  suggested from Eric Faurot.

2005-08-26 15:00  cegger

	* include/ggi/: gg-queue.h, gg-tree.h: rename multiple include
	  protection to fit our namespace. Fixes conflict on darwin causing
	  an build error

2005-08-26 14:44  soyt

	* doc/: libgg-functions.txt, man/Makefile.am, man/gg-queue.3,
	  man/gg-tree.3, man/ggAddObserver.3, man/ggAddTask.3,
	  man/ggClearPublisher.3, man/ggCurTime.3, man/ggDelObserver.3,
	  man/ggGetScope.3, man/ggGetSwarType.3, man/ggGetUserDir.3,
	  man/ggInit.3, man/ggLoadConfig.3, man/ggLockCreate.3,
	  man/ggNotifyObservers.3, man/ggParseOptions.3,
	  man/ggRegisterCleanup.3, man/ggstrlcpy.3: regen manpages

2005-08-26 14:40  soyt

	* doc/libgg-functions.txt, gg/EXPSYMS.in, gg/misc.c,
	  include/ggi/gg.h: added a simple observer framework.

2005-08-26 12:22  cegger

	* gg/conf.c: fix lvalue warning/error in parse_array_next()

2005-08-26 12:14  cegger

	* gg/conf.c: fix printf %p style warning

2005-08-26 10:47  soyt

	* gg/conf.c: gcc will not annoy me anymore with this range issue

2005-08-26 10:38  cegger

	* gg/conf.c: use our portable ggstrlcpy() rather strlcpy(). Fixes
	  build error on platforms that do not have strlcpy()/strlcat()

2005-08-26 10:18  soyt

	* gg/conf.c: use a very simple line parser abstraction so that
	  config can be read from arbitrary line provider: files and str
	  array for now.

2005-08-22 08:32  cegger

	* Makefile.am: remove genlibtool from EXTRA_DIST and *CLEANFILES

2005-08-19 10:41  cegger

	* gg/conf.c: put an assertion and describe why it is necessary to
	  find and fix the memory corruption bug faster and easier whenever
	  it arises again later

2005-08-19 09:20  cegger

	* autogen.sh: Change message 'Running autoconf - generating
	  configure...' to 'Running autoconf...' as suggested by Peter
	  Ekberg

2005-08-19 09:06  cegger

	* autogen.sh, m4/common.m4: do not generate genlibtool, remove
	  GGI_GENLIBTOOL, step 2

2005-08-19 08:23  pekberg

	* autogen.sh: Don't try and fail to generate non-existing
	  genlibtool script

2005-08-19 07:19  pekberg

	* .cvsignore, configure.in: Zap genlibtool script.

2005-08-18 19:11  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.292

2005-08-18 12:02  cegger

	* gg/conf.c: plug memory leak. Catched by valgrind.

2005-08-18 10:57  cegger

	* gg/conf.c: indent -kr -i8

2005-08-18 10:44  cegger

	* gg/init.c: ggExit(): reset global variables to initialization
	  value. This fixes memory corruption bugs, when gg is
	  re-initialized within an application.

2005-08-18 10:40  cegger

	* gii/init.c: giiExit(): set global variables back to
	  initialization value. This fixes memory corruption bugs (in
	  ggLoadConfig()), when gii is initialized again in the same
	  application.

2005-08-18 09:58  cegger

	* gg/conf.c: wildcardMatch(): bail out with 0 when pattern is NULL

2005-08-18 09:36  cegger

	* gg/dl.c: ggGetScope(): bail out with NULL when location is NULL

2005-08-17 15:29  cegger

	* regress/gii/init.c: giiClose() never returns GGI_ENOTALLOC.
	  GGI_EARGINVAL is the real expected one.

2005-08-17 15:14  cegger

	* regress/gii/init.c: add two more testcases to check
	  giiOpen/giiClose

2005-08-16 23:00  cegger

	* regress/gii/: Makefile.am, init.c: add regression test for libgii
	  init/exit handling

2005-08-16 22:47  cegger

	* regress/gg/init.c: correct testcase2	-- do not copy testcase1
	  blindly...

2005-08-16 22:11  cegger

	* regress/gg/: Makefile.am, init.c: add regression test for libgg
	  init/exit handling

2005-08-15 21:54  cegger

	* gg/dl.c, gg/init.c, include/ggi/internal/gg.h: Add _ggScopeExit()
	  and call it in ggExit(), analogous to _ggScopeInit(). Fixes
	  memory leak found with valgrind

2005-08-15 21:28  cegger

	* gg/conf.c: fix another memory leak found with valgrind:  This
	  time in _target_done()

2005-08-15 21:21  cegger

	* gg/conf.c: fix memory leak in ggFreeConfig() found with valgrind

2005-08-14 21:46  cegger

	* gg/conf.c: options are optional. So check for this case before
	  stripping the last colon

2005-08-14 21:21  cegger

	* gg/conf.c: Eliminate the last colon ':' in the options. This
	  change fixes a bug where a remote X11 connection like
	  GGI_DISPLAY="x:-noshm:10.0.0.115:0.0" did not work, because Xlib
	  always saw 10.0.0.115:0.0:  which never exists due to the last
	  colon.

2005-08-12 07:09  pekberg

	* configure.in, gii/builtins.c: Reintroduce check for existance of
	  Xxf86dga_pic and Xxf86dga, *and* actually use the results.  The
	  test for the xf86dga header is no longer useful in config.h as
	  the above check may also cause xf86dga to be disabled.

2005-08-12 07:01  cegger

	* doc/man/input-x.7: regen.

2005-08-11 20:48  cegger

	* input/x/xf86dga.c: xev.h is in current source directory

2005-08-11 19:05  pekberg

	* INSTALL: input-xf86dga has been merged into input-x

2005-08-11 18:56  pekberg

	* input/mouse/Makefile.am: Add man page sources to EXTRA_DIST

2005-08-11 18:53  pekberg

	* filter/keytrans/Makefile.am, filter/mouse/Makefile.am,
	  filter/save/Makefile.am, filter/tcp/Makefile.am,
	  input/directx/Makefile.am, input/file/Makefile.am,
	  input/linux_evdev/Makefile.am, input/linux_kbd/Makefile.am,
	  input/lk201/Makefile.am, input/tcp/Makefile.am,
	  input/x/Makefile.am: Add man page sources to EXTRA_DIST

2005-08-11 14:09  pekberg

	* configure.in: Only build the input/linux_joy dir once.

2005-08-11 14:05  pekberg

	* configure.in, libgii.conf.in, gii/builtins.am, gii/builtins.c,
	  input/Makefile.am, input/x/EXPSYMS.in, input/x/Makefile.am,
	  input/x/man.txt, input/x/xf86dga.c, input-shared/Makefile.am:
	  Make detection of xf86dga work and merge input-xf86dga into
	  input-x.

2005-08-10 08:55  pekberg

	* doc/libgii-target.txt: Fix a couple of typos.

2005-08-10 08:39  pekberg

	* doc/libgii-target.txt: Embryo of target writing guide.

2005-08-10 07:16  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.283

2005-08-09 10:14  aldot

	* input/linux_kbd/input.c: - correct the GIIdl symbol of
	  input-linux-kbd to be GIIdl_linux_kbd   instead of
	  GIIdl_linux_keyboard.  - trim some whitespace while at it.

2005-08-09 06:12  cegger

	* input-shared/Makefile.am: add missing target for linux_joy.
	  Should fix build error on Linux platforms

2005-08-08 11:57  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.281

2005-08-08 11:50  cegger

	* gii/builtins.c: make in debug explicitely clear, that this is
	  about _builtin_ targets

2005-08-08 11:45  cegger

	* configure.in: define BUILTIN_INPUT_* for input- and
	  BUILTIN_FILTER_* for filter-targets, so that the _targets array
	  in gii/builtins.c contains the list of enabled targets (It was
	  always empty before)

2005-08-08 10:39  cegger

	* gii/builtins.c: add debug code

2005-08-08 08:48  pekberg

	* include/ggi/internal/gg_replace.h.in: Insignificant change
	  excused by need to eliminate execute bit on the file.  DAMNIT\!

2005-08-08 08:44  pekberg

	* include/ggi/internal/gg_replace.h.in: Insignificant change
	  excused by need to eliminate execute bit on the file.

2005-08-07 20:21  pekberg

	* include/ggi/system.h.in: In order to be able to link statically
	  on Cygwin and MinGW with gcc, you have to rely on auto-import
	  from dlls, since the same object file is used both in the static
	  and in the shared link. If you say __declspec(dllimport) gcc will
	  not find the symbol if it should not be imported.  MSVC is a
	  different beast and finds a __declspec(dllimport)ed symbol even
	  if the symbol does not need to be imported, but it does not
	  auto-import any symbols the way gcc does.

2005-08-07 19:24  pekberg

	* gg/conf.c: sys/stat.h sys/types.h are not always available.
	  stat(2) does not always return type of file.	Makes the file
	  compile on windows.

2005-08-07 18:10  cegger

	* INSTALL.autoconf: update from autoconf 2.59

2005-08-07 17:55  cegger

	* INSTALL: update to reflect reality

2005-08-07 16:24  cegger

	* doc/man/libgg.7: regen.

2005-08-07 15:59  cegger

	* Makefile.am, configure.in, demos/Makefile.am,
	  filter/keytrans/Makefile.am, filter/mouse/Makefile.am,
	  filter/save/Makefile.am, filter/tcp/Makefile.am,
	  filter-shared/.cvsignore, filter-shared/Makefile.am,
	  gg/lib/Makefile.am, gii/Makefile.am, gii/builtins.am,
	  input/cocoa/Makefile.am, input/directx/Makefile.am,
	  input/fdselect/Makefile.am, input/file/Makefile.am,
	  input/ipaq_touchscreen/Makefile.am, input/kii/Makefile.am,
	  input/linux_evdev/Makefile.am, input/linux_joy/Makefile.am,
	  input/linux_kbd/Makefile.am, input/linux_mouse/Makefile.am,
	  input/lk201/Makefile.am, input/mouse/Makefile.am,
	  input/null/Makefile.am, input/pcjoy/Makefile.am,
	  input/quartz/Makefile.am, input/spaceorb/Makefile.am,
	  input/stdin/Makefile.am, input/tcp/Makefile.am,
	  input/touchscreen/Makefile.am, input/vgl/Makefile.am,
	  input/x/Makefile.am, input-shared/.cvsignore,
	  input-shared/Makefile.am: new feature: add static linking.

	  1. Build the targets as libtool convinience libs, which are just
	  .la files which collect dependencies 2. Build libgii as libtool
	  lib, which means build static, shared or both lib versions 3.
	  Build target modules in input-shared/ and filter-shared/ if
	  enabled/available on the platform

2005-08-06 08:28  soyt

	* doc/libgg.txt: update info in libgg(7) manpage

2005-08-05 16:13  cegger

	* input/linux_mouse/input.c: add prototype for GIIdl_linux_mouse()
	  and mark it as exported. Otherwise dlopen() can not work right.

2005-08-04 20:49  cegger

	* gii/dl.c: #include gg_replace.h for snprintf. Spotted by Peter
	  Ekberg

2005-08-04 19:25  cegger

	* gii/dl.c: add a missing newline to debug code

2005-08-04 18:31  soyt

	* gii/builtins.c: better code

2005-08-04 17:39  soyt

	* gii/builtins.c: fixes in builtins

2005-08-04 16:59  soyt

	* gii/builtins.c: use correct function name

2005-08-04 16:49  cegger

	* input/ipaq_touchscreen/input.c: mark GIIdl_ipaq as exported
	  symbol. Otherwise it can not actually work

2005-08-04 16:48  cegger

	* libgii.conf.in: fix malicious merge from rev 1.15: xwin.so no
	  longer exists, so do not reintroduce it

2005-08-04 16:38  cegger

	* doc/man/: Makefile.am, input-x.7: regen.

2005-08-04 16:37  soyt

	* gii/builtins.c: use real target name in builtins

2005-08-04 16:36  soyt

	* libgii.conf.in, filter/keytrans/EXPSYMS,
	  filter/keytrans/filter.c, filter/mouse/EXPSYMS,
	  filter/mouse/filter.c, filter/save/EXPSYMS, filter/save/filter.c,
	  filter/tcp/EXPSYMS, filter/tcp/filter.c, gii/builtins.c,
	  input/ipaq_touchscreen/EXPSYMS, input/ipaq_touchscreen/input.c: -
	  specify function names in libgii.conf.in - adjust filters and
	  builtins

2005-08-04 16:36  cegger

	* input/x/man.txt: update: merged input-xwin(7) into input-x(7)

2005-08-04 16:27  cegger

	* configure.in, libgii.conf.in, doc/libgii-libraries.txt,
	  gii/builtins.am, input/Makefile.am, input/x/Makefile.am,
	  input/x/xwin.c: merge input-xwin(7) into input-x(7). This removes
	  logical redundancy in libgii.

2005-08-04 16:22  soyt

	* doc/man/libgii.conf.5: oops, I forgot

2005-08-04 15:40  soyt

	* doc/: libgg.txt, libgii-libraries.txt, man/Makefile.am,
	  man/filter-key.7, man/filter-mouse.7, man/filter-save.7,
	  man/filter-tcp.7, man/input-directx.7, man/input-file.7,
	  man/input-linux-evdev.7, man/input-linux-kbd.7,
	  man/input-linux-mouse.7, man/input-lk201.7, man/input-mouse.7,
	  man/input-tcp.7, man/input-x.7, man/libgg.7, man/libgii.7,
	  man/mhub.1, man/xsendbut.1: - added libgii.conf(5) manpage -
	  replaced references to GGI_DEBUG by GII_DEBUG in libgii(7) -
	  added GG_DEBUG documentation in libgg(7) - manpages regenerated

2005-08-04 12:43  cegger

	* libgii.conf.in, filter/keytrans/EXPSYMS,
	  filter/keytrans/filter.c, filter/mouse/EXPSYMS,
	  filter/mouse/filter.c, filter/save/EXPSYMS, filter/save/filter.c,
	  filter/tcp/EXPSYMS, filter/tcp/filter.c, gii/builtins.am,
	  gii/builtins.c, gii/dl.c, include/ggi/internal/Makefile.am,
	  input/cocoa/EXPSYMS, input/cocoa/input.m, input/directx/EXPSYMS,
	  input/directx/input.c, input/fdselect/EXPSYMS,
	  input/fdselect/input.c, input/file/EXPSYMS, input/file/input.c,
	  input/inputX/EXPSYMS, input/inputX/Makefile.am,
	  input/inputX/input.c, input/ipaq_touchscreen/EXPSYMS,
	  input/ipaq_touchscreen/input.c, input/kii/EXPSYMS,
	  input/kii/input.c, input/linux_evdev/EXPSYMS,
	  input/linux_evdev/input.c, input/linux_joy/EXPSYMS,
	  input/linux_joy/input.c, input/linux_kbd/EXPSYMS,
	  input/linux_kbd/input.c, input/linux_mouse/EXPSYMS,
	  input/linux_mouse/input.c, input/lk201/EXPSYMS,
	  input/lk201/input.c, input/mouse/EXPSYMS, input/mouse/input.c,
	  input/null/EXPSYMS, input/null/input.c, input/pcjoy/EXPSYMS,
	  input/pcjoy/input.c, input/quartz/EXPSYMS, input/quartz/input.c,
	  input/spaceorb/EXPSYMS, input/spaceorb/input.c,
	  input/stdin/EXPSYMS, input/stdin/input.c, input/tcp/EXPSYMS,
	  input/tcp/input.c, input/touchscreen/EXPSYMS,
	  input/touchscreen/zaurus.c, input/vgl/EXPSYMS, input/vgl/input.c,
	  input/x/input.c: change the symbol of the input and filter
	  targets to follow the libggi scheme: GIIdlinit ->
	  GIIdl_<targetname>

	  This makes symbol names unique in libgii and brings it in
	  position to add proper support for static linking and to make
	  other improvments possible like merging input-xwin into input-x.

2005-08-03 13:40  cegger

	* gii/init.c: whitespace nits

2005-08-01 09:26  pekberg

	* demos/: config.c, cpuinfo.c, demo.c, filter.c, inputinfo.c,
	  scope.c: #include config.h for C99 types.

2005-08-01 09:18  pekberg

	* gg/dl_win32.c: #include config.h for C99 types.

2005-07-31 17:29  aldot

	* README, input/directx/man.txt: - typos in documentation

2005-07-31 15:31  soyt

	* gg/gglock.h, gg/plat.h, gg/quad/quad.h, include/ggi/events.h,
	  include/ggi/gg.h, include/ggi/internal/debug_macros.h,
	  include/ggi/internal/gg_debug.h, include/ggi/internal/gii-dl.h,
	  include/ggi/internal/gii.h, include/ggi/internal/gii_debug.h,
	  input/cocoa/cocoa.h, input/cocoa/keysyms.h, input/kii/kii.h,
	  input/linux_evdev/linux_evdev.h, input/mouse/mouse.h,
	  input/touchscreen/common.h, input/vgl/keycodes.h: trim some
	  whitespaces (by cow).

2005-07-31 14:51  soyt

	* libgii.conf.in: aliases are now really aliases

2005-07-31 10:24  cegger

	* gg/conf.c: zap unnecessary cast

2005-07-31 09:30  cegger

	* gg/conf.c, include/ggi/gg.h: do not cast between char * and const
	  char *. Those fixes got lost in the merge from branch-ggbundle
	  (Hi soyt!)

2005-07-31 09:03  cegger

	* gg/conf.c: actually free() memory in _free_nested. Fixes memory
	  leaks. Found by valgrind, reported by Ryan on ggi-develop

2005-07-30 17:44  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.274

2005-07-30 12:13  soyt

	* include/ggi/internal/: gg_debug.h, gii_debug.h: merge debugging
	  headers from branch-ggbundle

2005-07-30 12:09  soyt

	* include/ggi/gg.h: updated gg.h from branch-ggbundle

2005-07-30 12:04  cegger

	* doc/man/: gg-error.3, gg-queue.3, gg-tree.3, gg-types.3,
	  ggAddTask.3, ggCurTime.3, ggGetScope.3, ggGetSwarType.3,
	  ggGetUserDir.3, ggInit.3, ggLoadConfig.3, ggLockCreate.3,
	  ggParseOptions.3, ggRegisterCleanup.3, ggstrlcpy.3,
	  giiEventPoll.3, giiEventSend.3, giiInit.3, giiMTInit.3,
	  giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3, giiQueryValInfo.3,
	  giiSetEventMask.3, gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3: regen.

2005-07-30 11:46  soyt

	* gg/: init.c, sigsched.c: merge internal changes from
	  branch-ggbundle

2005-07-30 11:40  soyt

	* gg/conf.c: merge internal changes from branch-ggbundle

2005-07-30 11:29  soyt

	* gg/dl.c: merge internal changes from branch-ggbundle

2005-07-30 11:19  soyt

	* doc/libgii-structures.txt: minor formating fixes

2005-07-30 01:25  cegger

	* gg/conf.c: whitespace nits

2005-07-29 16:40  soyt

	* configure.in, demos/mhub.c, doc/libgg-functions.txt,
	  doc/libgg-types.txt, doc/libgii-functions.txt,
	  doc/libgii-structures.txt, filter/keytrans/filter.c,
	  filter/mouse/filter.c, gg/conf.c, gg/dummytask.c, gg/init.c,
	  gg/memdebug.c, gg/parse.c, gg/task.c, gg/time.c,
	  gg/quad/adddi3.c, gg/quad/anddi3.c, gg/quad/ashldi3.c,
	  gg/quad/ashrdi3.c, gg/quad/cmpdi2.c, gg/quad/divdi3.c,
	  gg/quad/fixdfdi.c, gg/quad/fixsfdi.c, gg/quad/fixunsdfdi.c,
	  gg/quad/fixunssfdi.c, gg/quad/floatdidf.c, gg/quad/floatdisf.c,
	  gg/quad/floatunsdidf.c, gg/quad/iordi3.c, gg/quad/lshldi3.c,
	  gg/quad/lshrdi3.c, gg/quad/moddi3.c, gg/quad/muldi3.c,
	  gg/quad/negdi2.c, gg/quad/notdi2.c, gg/quad/qdivrem.c,
	  gg/quad/quad.h, gg/quad/subdi3.c, gg/quad/ucmpdi2.c,
	  gg/quad/udivdi3.c, gg/quad/umoddi3.c, gg/quad/xordi3.c,
	  gii/gii.c, gii/init.c, include/ggi/events.h, include/ggi/gg.h,
	  include/ggi/gii.h, include/ggi/system.h.in,
	  include/ggi/internal/gg_debug.h, include/ggi/internal/gii.h,
	  include/ggi/internal/gii_debug.h, input/cocoa/input.m,
	  input/directx/di.c, input/directx/dxinput.h,
	  input/directx/dxinputkb.h, input/directx/input.c,
	  input/fdselect/input.c, input/file/input.c, input/inputX/input.c,
	  input/inputX/linkey.c, input/kii/input.c,
	  input/linux_evdev/input.c, input/linux_evdev/key.c,
	  input/linux_evdev/linux_evdev.h, input/linux_joy/input.c,
	  input/linux_kbd/input.c, input/linux_kbd/linkey.c,
	  input/linux_mouse/input.c, input/lk201/input.c,
	  input/mouse/input.c, input/mouse/mouse.h,
	  input/mouse/packetparse.c, input/quartz/event.c,
	  input/quartz/quartz.h, input/spaceorb/input.c,
	  input/stdin/input.c, input/tcp/input.c, input/tcp/libtcp.c,
	  input/tcp/libtcp.h, input/vgl/key2event.c, input/x/input.c,
	  input/x/xev.c, input/x/xev.h, regress/gg/time.c: - use inttypes.h
	  if available - provided backward compatible int types definition
	  if needed - change all old int types in libgg/libgii This will
	  break other libs until their are either updated to the new
	  inttypes, or if configure.in define GG_NEED_OLD_INTTYPES.

2005-07-28 11:21  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.272

2005-07-25 08:27  cegger

	* gg/dl.c: add tracing code in the default cases in ggDelScope()
	  and ggFromScope().  Spell 'unknown' correctly in _new_scope

2005-07-21 06:54  cegger

	* gg/dl_darwin.c: sprinkle some consts. Fixes warnings

2005-07-17 06:44  soyt

	* configure.in, include/ggi/internal/gg_debug.h: get rid of unused
	  and confusing optional features

2005-07-14 05:59  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to the versions shipped with automake 1.9.6

2005-07-13 21:35  cegger

	* configure.in: Make sure, the gg directory exits before we can
	  copy EXPSYMS into there. It does not exist when builddir !=
	  srcdir

2005-07-12 12:42  pekberg

	* configure.in, m4/swar.m4, m4/time.m4: Stop clobbering (at least
	  some of) the namespace of autoconf.

2005-07-12 07:47  cegger

	* configure.in, gg/EXPSYMS.in: Rename EXPSYMS to EXPSYMS.in and
	  adapt cp line in configure. This prevents to get an malformed
	  gg/EXPSYMS file over time, when builddir == sourcedir

2005-07-12 06:55  pekberg

	* configure.in: Don't add -DDEBUG and -g to CFLAGS if they are
	  already present.

2005-07-12 06:47  pekberg

	* gg/EXPSYMS.in: Change generation of gg/EXPSYMS to work on furtue
	  versions of autoconf.  (autoconf has changed the way
	  AC_SUBST_FILE works and there is no way to use if in an autoconf
	  version agnostic way, when whitespace is significant.

2005-07-12 06:47  pekberg

	* configure.in: Change generation of gg/EXPSYMS to work on future
	  versions of autoconf.  (autoconf has changed the way
	  AC_SUBST_FILE works and there is no way to use it in an autoconf
	  version agnostic way, when whitespace is significant.)

2005-07-08 18:10  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.262

2005-07-03 08:27  cegger

	* doc/man/input-quartz.7: regen.

2005-07-03 08:13  cegger

	* input/quartz/man.txt: add Known Bugs section and mention known
	  bugs

2005-06-28 10:18  cegger

	* Makefile.am: remove implicitly cleaned files from DISTCLEANFILES

2005-06-28 09:08  cegger

	* Makefile.am: remove genlibtool.cache when doing 'make distclean'.
	  Wrap long line. Issue found with 'make distcheck'

2005-06-28 07:54  cegger

	* demos/Makefile.am: api.c does not exist in -current. Issue found
	  with 'make distcheck'

2005-06-28 07:43  cegger

	* gii/builtins.am: fix directx typos. Issues found by 'make
	  distcheck'

2005-06-28 07:18  cegger

	* gg/Makefile.am: api.c and reactor.c do not exist in -current. So
	  remove them. Issue found with 'make distcheck'

2005-06-28 05:22  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 to version
	  1.1667.2.252

2005-06-27 12:43  cegger

	* doc/man/: gg-queue.3, gg-tree.3, ggAddTask.3, ggCurTime.3,
	  ggGetScope.3, ggGetSwarType.3, ggGetUserDir.3, ggInit.3,
	  ggLoadConfig.3, ggLockCreate.3, ggParseOptions.3,
	  ggRegisterCleanup.3, ggstrlcpy.3: regen.

2005-06-27 08:09  cegger

	* doc/libgg-functions.txt: adapt gg_location_iter, gg_target_iter
	  and their usage to reality

2005-06-20 08:39  cegger

	* input/linux_mouse/input.c: replace strncat() with ggstrlcat() and
	  strncpy() with ggstrlcpy()

2005-06-17 14:23  cegger

	* gg/lib/snprintf.c: rename pow10 -> _pow10 and round -> _round
	  Prevents conflict with builtin functions on darwin

2005-06-17 13:17  cegger

	* gg/lib/snprintf.c: constify value argument of fmtstr() to appease
	  -Wcast-qual only declare  dopr(), fmtstr(), fmtint(), fmtfp() and
	  dopr_outch(), when compile vsnprintf(). Fixes warnings about
	  declared but unused static functions #include <ctype.h> for
	  isdigit()

2005-06-17 13:13  cegger

	* include/ggi/internal/gg_replace.h.in: #include <stdarg.h> for
	  va_list definition. Needed for vsnprintf() prototype

2005-06-17 12:01  cegger

	* input/linux_mouse/input.c: #include <ggi/internal/gg_replace.h>
	  and zap the #ifdef HAVE_SNPRINTF

2005-06-17 11:57  cegger

	* input/: kii/kii.c, linux_joy/input.c: #include
	  <ggi/internal/gg_replace.h> and zap the #ifdef HAVE_SNPRINTF

2005-06-17 11:55  cegger

	* filter/mouse/filter.c: #include <ggi/internal/gg_replace.h>
	  already included, so zap the #ifdef HAVE_SNPRINTF

2005-06-17 11:53  cegger

	* filter/keytrans/filter.c: #include <ggi/internal/gg_replace.h>
	  and zap the #ifdef HAVE_SNPRINTF

2005-06-17 09:22  cegger

	* include/ggi/gg.h: constify gg_location_iter.symbol and
	  gg_target_iter.input to please -Wcast-qual

2005-06-12 11:39  cegger

	* m4/ltsugar.m4: This libtool change fixes an infinite m4 loop in
	  CVS autoconf, but causes one in autoconf 2.59. Since we use the
	  stable version we downgrade...

2005-06-12 08:44  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 to version
	  1.1167.2.245

2005-06-10 12:20  cegger

	* m4/common.m4: add GGI_CHECK_LIB, like AC_CHECK_LIB, but uses
	  libtool as a compiler

2005-06-10 07:30  cegger

	* input/linux_kbd/input.c: appease -Wcast-qual

2005-06-10 07:25  cegger

	* input/: linux_joy/input.c, x/input.c: appease -Wcast-qual

2005-06-09 16:16  cegger

	* input/stdin/input.c: appease -Wcast-qual

2005-06-09 05:42  cegger

	* configure.in: check for socklen_t like libggi's configure

2005-06-09 05:23  cegger

	* demos/tasksched.c: fix some warnings

2005-06-09 05:15  cegger

	* regress/gg/parsetarget.c: appease -Wcast-qual

2005-06-09 05:11  cegger

	* input/tcp/libtcp.c: use socklen_t if available

2005-06-09 05:06  cegger

	* filter/mouse/filter.c: appease -Wcast-qual

2005-06-09 05:03  cegger

	* input/lk201/input.c: appease -Wcast-qual

2005-06-09 04:57  cegger

	* input/: linux_mouse/input.c, spaceorb/input.c: appease
	  -Wcast-qual

2005-06-09 04:50  cegger

	* input/mouse/mouse.h: appease -Wcast-qual

2005-06-09 04:42  cegger

	* gg/conf.c, include/ggi/gg.h, gii/dl.c: appease -Wcast-qual

2005-06-09 04:28  cegger

	* gg/parse.c, include/ggi/gg.h: appease -Wcast-qual

2005-06-09 04:26  cegger

	* configure.in: use -Wuninitialized -Wcast-qual and -Wwrite-strings

2005-06-02 20:00  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  to version 1.1167.2.239

2005-05-30 07:03  cegger

	* input/linux_kbd/: input.c, linkey.c: Fix from Aurelien Reynaud
	  (posted to ggi-develop ML on 26 May 2005):

	  Context: Instead of K_SHIFT, K_SHIFTR or K_SHIFTL, some keymaps
	  map the SHIFT keys to K_CAPSSHIFT, which is not recognized by
	  linux_kbd. If you happen to use such a keymap (fr-latin9 is one
	  of them), pressing SHIFT has no effect.

	  "a CapsShift key acts like Shift but undoes CapsLock"

	  - When a K_CAPSSHIFT code is received from the kernel, it gets
	  translated into a currently non existing event:
	  label=GIIK_Shift[L|R], sym=GIIK_CapsLock   which is different
	  from K_SHIFT[L|R]	label=GIIK_Shift[L|R], sym=GIIK_Shift	and
	  from K_CAPS	  label=GIIK_CapsLock, sym=GIIK_CapsLock

	  - handle_modifier() detects this special case and does two
	  things:   1/ if capslock is currently on, it calls itself
	  recursively after	 setting label to GIIK_CapsLock, altering
	  modifiers the way	 a CapsLock keypress would have, thus
	  undoing capslock   2/ it sets sym to GIIK_Shift and process like
	  a normal shift keypress

2005-05-26 07:14  pekberg

	* m4/checktypes.m4: Fix warped AC_MSG_CHECKING/AC_MSG_RESULT on
	  win32.

2005-05-26 07:06  cegger

	* m4/checktypes.m4: Improve ssize_t detection:

	  Search for __darwin_ssize_t and use it if found.
	  AC_CHECK_SIZEOF() also finds ssize_t, because it includes
	  <sys/types.h>, which is necessary on Darwin 8.x. GGI libs and GGI
	  applications are no longer forced to explicitely #include
	  <sys/types.h>

2005-05-16 15:03  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.236

2005-05-02 09:07  pekberg

	* m4/checktypes.m4: Only test for SSIZE_T if ssize_t is not found.
	  Otherwise SIZEOF_SSIZE_T gets redefined to 0 on platforms where
	  SSIZE_T is not found.  SIZEOF_SSIZE_T in config.h is not used,
	  but this potentially kills future problems prematurely.

2005-05-01 00:55  aldot

	* include/ggi/: keyboard.h, input/cocoa.h: - trim whitespace

2005-05-01 00:50  aldot

	* include/ggi/: gg-queue.h, gg-tree.h, gg.h: - trim whitespace

2005-05-01 00:45  aldot

	* include/ggi/: events.h, errors.h, gg-defs.h: - trim whitespace

2005-05-01 00:40  aldot

	* include/ggi/: gii.h, gii-unix.h, gii-defs.h: - trim whitespace

2005-05-01 00:25  aldot

	* m4/checktypes.m4: - move check for type of ssize_t near the check
	  for ssize_t.	  cosmetic rephrasing while at it.

2005-05-01 00:24  aldot

	* gg/string.c: - fix order of includes.    config.h should be
	  included before gg.h.

2005-05-01 00:22  aldot

	* gg/debug.c: - include config.h instead of plat.h   i might be
	  doing something wrong, but why was plat needed there instead	 of
	  config?

2005-05-01 00:21  aldot

	* gg/cleanup_stubs.c: - include config.h

2005-05-01 00:20  aldot

	* configure.in: - quote strings for test

2005-04-30 23:54  aldot

	* demos/demo.c: - trim whitespace

2005-04-30 23:31  aldot

	* include/ggi/internal/gg.h: - trim whitespace

2005-04-30 20:19  aldot

	* doc/libgii-structures.txt, TODO: - typo in documentation

2005-04-29 15:32  cegger

	* m4/: common.m4, libtool.m4: Quote all arguments to AC_DEFINE and
	  AC_DEFINE_UNQUOTED consistently. Patch from libtool branch-2-0

2005-04-29 15:27  cegger

	* m4/dlopen.m4: quote AC_DEF*

2005-04-29 08:46  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.229

2005-04-29 08:25  cegger

	* configure.in: use new GGI_GENLIBTOOL macro introduced in
	  m4/common.m4, rev 1.2

2005-04-29 08:24  cegger

	* m4/common.m4: new macro: GGI_GENLIBTOOL. It generates libtool for
	  use of configure. Implementation copied from
	  ggi-core/libgii/configure.in, rev 1.160

2005-04-29 07:38  cegger

	* m4/Makefile.am: consolidate m4 macros into one common.m4 file
	  each GGI lib or extension needs anyway.

2005-04-29 07:06  cegger

	* m4/common.m4: consolidate m4 macros into one common.m4 file each
	  GGI lib or extension needs anyway.

2005-04-28 16:11  aldot

	* m4/checktypes.m4: escape AC_MSGs

2005-04-24 09:24  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.219

2005-04-24 08:49  cegger

	* gg/conf.c: cast 'const void *' to 'void *'. Fixes warning:
	  assignment discards qualifier from pointer target type

2005-04-24 07:53  soyt

	* gg/dl.c: Allow support for dynamic libraries to be completely
	  removed, when they are not available or not needed.

2005-04-21 16:32  cegger

	* doc/man/: gg-error.3, gg-queue.3, gg-tree.3, gg-types.3,
	  ggAddTask.3, ggCurTime.3, ggGetScope.3, ggGetSwarType.3,
	  ggGetUserDir.3, ggInit.3, ggLoadConfig.3, ggLockCreate.3,
	  ggParseOptions.3, ggRegisterCleanup.3, ggstrlcpy.3: regen.

2005-04-21 12:45  soyt

	* doc/: libgg-functions.txt, libgg-types.txt: describe error codes
	  returned by libgg functions

2005-04-21 09:31  soyt

	* TODO: added a documentation section

2005-04-21 09:24  soyt

	* TODO: updated TODO

2005-04-21 08:59  soyt

	* doc/libgg-functions.txt: - fix typos - detail error codes

2005-04-21 08:55  soyt

	* gg/conf.c: ggLoadConfig report failure if the file does not exist

2005-04-21 08:26  soyt

	* gii/gii.c: giiOpen makes use of the new target spec string
	  iteration scheme.  Two consequences: 1) it automatically benefits
	  from alias expansions, which is desirable; 2) it does not need to
	  mess with target spec string format, which actually makes
	  ggParseTarget virtually internal to libgg.

2005-04-21 08:21  soyt

	* gg/conf.c: debug trace tells what target/options pair is found
	  when yielding a match

2005-04-19 22:37  pekberg

	* configure.in: Attempt to fix various problems with detection of
	  cocoa and quartz.  They were included in the build even when
	  ApplicationServices.h did not exist.	Also fixed a couple of
	  copy-paste bugs between cocoa and quartz

2005-04-18 19:46  soyt

	* demos/config.c, doc/libgg-functions.txt, doc/man/Makefile.am,
	  doc/man/filter-key.7, doc/man/filter-mouse.7,
	  doc/man/filter-save.7, doc/man/filter-tcp.7, doc/man/gg-error.3,
	  doc/man/gg-queue.3, doc/man/gg-tree.3, doc/man/gg-types.3,
	  doc/man/ggAddTask.3, doc/man/ggConfigIterLocation.3,
	  doc/man/ggConfigIterTarget.3, doc/man/ggCurTime.3,
	  doc/man/ggGetScope.3, doc/man/ggGetSwarType.3,
	  doc/man/ggGetUserDir.3, doc/man/ggInit.3, doc/man/ggLoadConfig.3,
	  doc/man/ggLockCreate.3, doc/man/ggParseOptions.3,
	  doc/man/ggRegisterCleanup.3, doc/man/ggstrlcpy.3,
	  doc/man/giiEventPoll.3, doc/man/giiEventSend.3,
	  doc/man/giiInit.3, doc/man/giiMTInit.3, doc/man/giiOpen.3,
	  doc/man/giiPanic.3, doc/man/giiQueryDeviceInfo.3,
	  doc/man/giiQueryValInfo.3, doc/man/giiSetEventMask.3,
	  doc/man/gii_cmd_event.3, doc/man/gii_cmddata_getdevinfo.3,
	  doc/man/gii_cmddata_getvalinfo.3, doc/man/gii_event.3,
	  doc/man/gii_expose_event.3, doc/man/gii_key_event.3,
	  doc/man/gii_pbutton_event.3, doc/man/gii_pmove_event.3,
	  doc/man/gii_val_event.3, doc/man/input-directx.7,
	  doc/man/input-file.7, doc/man/input-linux-evdev.7,
	  doc/man/input-linux-kbd.7, doc/man/input-linux-mouse.7,
	  doc/man/input-lk201.7, doc/man/input-mouse.7,
	  doc/man/input-quartz.7, doc/man/input-tcp.7, doc/man/input-x.7,
	  doc/man/libgg.7, doc/man/libgii.7, doc/man/mhub.1,
	  doc/man/xsendbut.1, gg/EXPSYMS.in, gg/conf.c, gii/dl.c,
	  include/ggi/gg.h: - use a coherent naming scheme for config
	  iterators - updated documentation for ggConfig*Iter - regenerated
	  manpages

2005-04-18 17:07  cegger

	* gg/conf.c: - portability fix: use ggstrlcat() rather strlcat().
	  - make _target_spec_next() and _target_spec_done() static.

	  Fixes build errors reported by Jon Taylor on ggi-develop ML.

2005-04-18 15:27  cegger

	* demos/config.c: #include <string.h> - required for strcmp().
	  Compiles again

2005-04-18 14:38  soyt

	* demos/config.c, gg/conf.c: limit recursion depth to avoid looping
	  on alias

2005-04-18 13:53  soyt

	* gg/conf.c: properly handle the ':' separator between targets

2005-04-18 12:08  soyt

	* demos/config.c, gg/EXPSYMS.in, gg/conf.c, include/ggi/gg.h: -
	  added a scheme where target/options are obtained through a
	  generator wrapping   ggParseTarget. It expands aliases
	  automatically and aggregate the options   strings that are
	  defined on nested aliases. There is still a little bug in input
	  string parsing, when ':' is used between targets.

2005-04-18 07:04  cegger

	* demos/config.c: remove unused variable

2005-04-17 19:19  aldot

	* TODO: move system.h fixup TODO to correct package

2005-04-17 08:42  cegger

	* doc/man/: Makefile.am, gg-queue.3, gg-tree.3, ggAddTask.3,
	  ggCurTime.3, ggGetScope.3, ggGetSwarType.3, ggGetUserDir.3,
	  ggInit.3, ggLoadConfig.3, ggLockCreate.3, ggParseOptions.3,
	  ggRegisterCleanup.3, ggstrlcpy.3, libgg.7: regen.

2005-04-17 08:31  soyt

	* doc/libgg-functions.txt: fix formatting and added
	  ggConfigMatchIter manpage

2005-04-17 08:10  cegger

	* doc/man/ggFreeConfig.3: regen. Forgot to add it, thus caused
	  failures in the autobuilder

2005-04-17 08:01  cegger

	* gg/conf.c: use ggstrlcpy() rather strlcpy(). Fixes portability
	  issue found by autobuilder

2005-04-17 07:57  cegger

	* gg/dl.c: ggFromScope: Surround symprefix code with a do { ... }
	  while(0); loop to "move" variable declaration to the beginning of
	  a context. Makes this file compile with a strict ANSI C compiler.

2005-04-17 07:40  soyt

	* include/ggi/gg.h: cast parameter to iter.del correctly

2005-04-17 07:31  soyt

	* gg/dl.c: fix compiler warning about typecast in lvalue

2005-04-16 23:24  soyt

	* gg/dl.c: add '_' prefix correctly if needed by platform

2005-04-16 20:19  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.211

2005-04-16 18:28  soyt

	* gg/dl.c: actually set 'get' to 'get'

2005-04-16 18:11  soyt

	* gg/dl.c: richer scope description in debug trace

2005-04-16 17:37  soyt

	* gg/conf.c: restore char macros

2005-04-16 14:44  cegger

	* gg/conf.c: use isspace() than isblank(). isspace() is part of
	  ANSI C89, while isblank() is BSD-Unix specific.

2005-04-16 13:56  cegger

	* gii/builtins.c: ISO C forbids return between function pointer and
	  void *. So cast function pointer to void * before returning it.

2005-04-16 13:53  cegger

	* gg/conf.c, gii/dl.c: cast 'const char *' to 'char *'. Fixes
	  warning: assignment discards qualifier from pointer target type

2005-04-16 13:46  cegger

	* gg/conf.c: use standard ANSI C89 ctype functions for testing
	  characters. Fixes warning about 'comparison is always true due to
	  limited range of data type

2005-04-16 13:31  cegger

	* gg/conf.c: cast 'const void *' to 'gg_config *'. Fixes qualifier
	  discard from pointer target type

2005-04-16 13:13  cegger

	* gg/conf.c: disable _getAlias. It is defined but not used

2005-04-16 13:03  cegger

	* doc/man/: Makefile.am, gg-queue.3, gg-tree.3, ggAddTask.3,
	  ggCurTime.3, ggDelScope.3, ggFromScope.3, ggGetScope.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLoadConfig.3,
	  ggLockCreate.3, ggNewScope.3, ggParseOptions.3,
	  ggRegisterCleanup.3, ggstrlcpy.3: regen.

2005-04-16 12:35  soyt

	* configure.in, libgii.conf.in, demos/Makefile.am, demos/config.c,
	  demos/scope.c, doc/libgg-functions.txt, gg/EXPSYMS.in,
	  gg/Makefile.am, gg/conf.c, gg/dl.c, gg/dl_darwin.c,
	  gg/dl_win32.c, gg/init.c, gg/plat.h, gii/Makefile.am,
	  gii/builtins.am, gii/builtins.c, gii/dl.c, gii/gii.c, gii/init.c,
	  include/ggi/gg.h, include/ggi/internal/gg.h,
	  include/ggi/internal/gg_debug.h, include/ggi/internal/gii.h: Here
	  we go. Merge most of ggbundle features into current.	Summary of
	  changes (long one will go in html/packages/libgii.txt): - use
	  scopes instead of bundles - new config parser and wildcard
	  matching - allow builtins - new demos - documentation updates -
	  bakwards compatibility maintained (ggi works without changes)

2005-04-14 00:16  cegger

	* doc/man/input-x.7: regen.

2005-04-14 00:15  cegger

	* input/x/man.txt: refer to the XSetInputFocus manpage for an
	  explanation for the keyboard focus. (Requested by Neil Pilgrim)

2005-04-13 19:51  cegger

	* input/x/input.c: keyfocus is intended to be enabled by default.
	  So disable the -nokeyfocus again - Fixes bug introduced in rev.
	  1.16

2005-04-11 18:55  cegger

	* input/x/man.txt: make the title more descriptive (suggestion from
	  neiljp)

2005-04-11 18:32  cegger

	* doc/man/: filter-key.7, filter-mouse.7, filter-save.7,
	  filter-tcp.7, gg-error.3, gg-queue.3, gg-tree.3, gg-types.3,
	  ggAddTask.3, ggCurTime.3, ggGetSwarType.3, ggGetUserDir.3,
	  ggInit.3, ggLoadModule.3, ggLockCreate.3, ggParseOptions.3,
	  ggRegisterCleanup.3, ggstrlcpy.3, giiEventPoll.3, giiEventSend.3,
	  giiInit.3, giiMTInit.3, giiOpen.3, giiPanic.3,
	  giiQueryDeviceInfo.3, giiQueryValInfo.3, giiSetEventMask.3,
	  gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3, input-directx.7, input-file.7,
	  input-linux-kbd.7, input-linux-mouse.7, input-mouse.7,
	  input-tcp.7, input-x.7, libgg.7, libgii.7, xsendbut.1: regenerate

2005-04-11 08:53  cegger

	* input/x/man.txt: Improve grammar as suggested by Peter Ekberg

2005-04-10 18:11  cegger

	* doc/man/: Makefile.am, input-x.7: generate input-x(7) and
	  input-xwin(7) manpages

2005-04-10 18:10  cegger

	* doc/libgii-libraries.txt, input/x/man.txt: add input-x(7) and
	  input-xwin(7) manpages

2005-04-07 21:32  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.207

2005-04-05 15:22  soyt

	* doc/libgg-functions.txt: remove documentation for unimplemented
	  ggSystemOptions

2005-03-28 20:33  pekberg

	* include/ggi/input/xwin.h: Do not ignore mansync in display-x.  If
	  xliblock is held while mansync tries to flush, the flush is
	  ignored. That can potentially lead to no flushes at all, which is
	  not very polite.

	  Further, in order to fix display-x to not call X functions
	  directly from mansync (which is in signal handler context if
	  sigsched is used) the flush has to be delayed somehow, this patch
	  solves that issue by using a new lock, named flushlock.

	  flushlock is checked every time xliblock is unlocked, which
	  happen regularly in input-xwin. So, in the uncontended case the
	  actual flush happens from input-xwin and in the contended case
	  the flush happens before returning to the app from whatever call
	  caused xliblock to be locked when mansync wanted to flush.

	  The function pointer priv->lock_xliblock (and the macro
	  GGI_X_LOCK_XLIB) is strictly speaking not needed, but I added it
	  for symmetry.

2005-03-27 10:37  cegger

	* m4/mutexes.m4: undo autodetection cleanup in previous as this
	  seem to break detection for other mutex types than pthread

2005-03-27 10:02  cegger

	* m4/mutexes.m4: make configure fail when passing an unsupported
	  mutex type to --enable-mutexes

2005-03-20 08:52  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.193

2005-03-15 12:42  pekberg

	* configure.in: Make sure the genlibtool cache file exists before
	  AC_CACHE_SAVE is invoked.

2005-03-15 08:59  pekberg

	* gg/sigsched.c: Only output ggtick startup message when GG_DEBUG
	  is set.

2005-03-11 21:13  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to verison 1.1667.2.175

2005-03-09 20:55  pekberg

	* m4/checktypes.m4: Quote the AC_SUBST values when they are two
	  words or more.  Fixes problem on AIX 4.2

2005-03-09 10:12  pekberg

	* include/ggi/internal/gii_debug.h: Make it compile with gcc 2.8.1

2005-03-04 10:03  pekberg

	* configure.in: Use a cached results in the genlibtool script.

2005-03-02 08:41  pekberg

	* gg/dl_win32.c, gg/sigsched.c, gii/init.c: Make use of the fact
	  that snprintf has a replacement.

2005-02-26 18:21  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.166

2005-02-21 20:24  cegger

	* gg/cpuid_ia32.c: s/0x20000000/(1 << 2)/ for consistency with the
	  rest of the tests.  Suggestion from Peter Ekberg

2005-02-21 19:04  cegger

	* gg/cpuid_ia32.c: detect Intel EM64T as described in the CPUID
	  section of Intel's Extended Memory 64 Technology Volume 1 of 2
	  available at
	  ftp://download.intel.com/technology/64bitextensions/30083502.pdf

2005-02-21 17:10  cegger

	* gg/cpuid_ia32.c: - add references to Intel specification for
	  EM64T Volume 1 and 2 - detect SSE3 on Intel CPUs. The CPUID
	  instruction sets bit 0 of ECX.

2005-02-20 23:39  cegger

	* input/lk201/input.c: - do_lk201_open(): make tmp unsigned.
	  Assigning a constant with high bit set to  a signed variable
	  leads to an overflow.  - GIIdlinit: rename devname -> _devname to
	  not shadow global declaration from libc - GIIdlinit: use memset()
	  rather bzero - fixed build failure on Solaris

2005-02-18 23:42  cegger

	* configure.in: big refactorize: Maintainance is now analogous to
	  libggi's configure.  While here also check for X11 and X11
	  extension (XFree86-DGA) like libggi's configure does.

2005-02-18 23:26  cegger

	* configure.in: typo fix: check against $build_stdin_input, not
	  $build_stdio_input. Now it is possible to disable input-stdin via
	  configure --disable-stdin

2005-02-18 22:44  orzo

	* include/ggi/input/xf86dga.h: added xf86dga.h header for the
	  struct to be passed to input-xf86dga at giiOpen() time.

2005-02-18 21:59  cegger

	* configure.in: fix cut/copy/paste error: disable input-xf86dga
	  with --disable-xf86dga, not --disable-xwin

2005-02-18 16:15  orzo

	* configure.in, libgii.conf.in, include/ggi/input/Makefile.am,
	  input/Makefile.am: Added new input-xf86dga target to turn
	  xfree86-dga events into gii events.  Currently, only keyboard
	  events are supported.

2005-02-18 09:49  orzo

	* input/x/: xev.c, xev.h: Set basic_trans() for public use so that
	  input-xf86dga can make use of it.

2005-02-17 23:22  cegger

	* ltmain.sh: pass -pthread like flags to the linker when linking
	  executables too. Now libtool tracks -pthread dependency correctly

2005-02-17 21:49  cegger

	* demos/Makefile.am: back out previous. The right way is to let
	  libtool track the dependencies correctly.

2005-02-17 21:07  cegger

	* demos/Makefile.am: link explicitely against ${GGDLLIBS}. Fixes
	  linking failure when -pthread is used.  Patch from buju (IRC)

2005-02-16 06:34  cegger

	* ltmain.sh: back out experimental patch from previous commit. It
	  does not work

2005-02-15 07:53  cegger

	* m4/checktypes.m4: remove superflous 'checking for uintptr_t...'
	  configure message

2005-02-15 06:24  cegger

	* autogen.sh: We now require automake 1.9.5 to benefit from
	  bugfixes and a license change:

	  All m4 files have been relicensed under an all-permissive
	  license.

	  Previously they used a GPL license, and an all-permissive license
	  was prepended when they were copied into aclocal.m4, leading to
	  some confusion.

2005-02-15 06:05  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to versions shipped with automake 1.9.5

2005-02-14 19:50  cegger

	* ltmain.sh: experimental patch: apply pthread linking patch for
	  FreeBSD 4.x when linking executables too. Let's see, if this
	  fixes the linking problem on FreeBSD 4.x (autobuilder)

2005-02-09 06:16  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  to version 1.1667.2.158

2005-02-06 19:38  cegger

	* include/ggi/: system.h.in, internal/gg_replace.h.in: move
	  (u)intptr_t from system.h.in (rev. 1.16) to
	  internal/gg_replace.h.in

2005-02-06 13:21  pekberg

	* configure.in, include/ggi/internal/gg_replace.h.in: Prefix the
	  replacement exports with an underscore and also separate the gg
	  prefix from the replacement name with an underscore. The first to
	  mark the replacements as internal, the second to make them easier
	  to read.

2005-02-06 12:03  cegger

	* include/ggi/system.h.in: #define intptr_t and uintptr_t to
	  something suitable if not present. These are integer types
	  capable of holding object pointers (POSIX 7.18.1.4)

2005-02-06 12:01  cegger

	* m4/checktypes.m4: check for presence of intptr_t and uintptr_t.
	  These are integer types capable of holding object pointers (POSIX
	  7.18.1.4)

2005-02-05 08:33  cegger

	* gg/ptlock.c: POSIX is unclear about passing NULL to
	  pthread_setcanceltype(), but it definitely causes a crash on GNU
	  Hurd. So we pass a dummy variable instead.  Bug found and fix
	  approved by Olaf Buddenhagen

2005-02-01 21:06  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.149

2005-01-28 10:09  cegger

	* input/quartz/: event.c, input.c, quartz.c, quartz.h: implement
	  two new flags: GII_QZFLAG_UPDATE_WINDOW and
	  GII_QZFLAG_UPDATE_RESIZEFUNC

2005-01-28 10:03  cegger

	* include/ggi/input/quartz.h: add two new members to
	  gii_quartz_cmddata_setparam:

	  resizefunc:	    function pointer, called from event handler.

	  flags:     GII_QZFLAG_UPDATE_WINDOW - inform gii that the window
	  reference has been changed   GII_QZFLAG_UPDATE_RESIZEFUNC -
	  inform gii, window resizing is enabled when function pointer !=
	  NULL, otherwise disabled

2005-01-27 20:09  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.141

2005-01-27 18:07  pekberg

	* configure.in: Move the trigger to build libreplace so that it is
	  not built on platforms that do not need it, but does need quad.

2005-01-27 17:54  pekberg

	* configure.in: Make sure libgg is linked with libreplace if getopt
	  is replaced.

2005-01-27 17:53  pekberg

	* configure.in: msvcrt.dll has _snprintf and _vsnprintf, so look
	  for them and use them.

2005-01-26 13:32  pekberg

	* configure.in: Don't use $LIBOBJS to keep track if libgg should
	  provide replacements.

2005-01-26 13:07  pekberg

	* configure.in: Add comments in gg_replace.h if memcmp and/or
	  strtoul are not replaced.

2005-01-26 12:48  pekberg

	* gg/lib/snprintf.c: Fix MAX macro.

2005-01-26 12:35  pekberg

	* configure.in, gg/lib/Makefile.am, gg/lib/snprintf.c,
	  include/ggi/internal/gg_replace.h.in: Replace snprintf if it is
	  missing. Also replace vsnprintf as the snprintf replacement
	  implementation relies on vsnprintf.

2005-01-26 11:20  cegger

	* m4/checktypes.m4: remove warning. Since AC_CHECK_SIZEOF() also
	  works when cross-compiling (autoconf 2.57 and newer), it is
	  superflous.

2005-01-26 10:06  pekberg

	* configure.in: Use libtool to detect if the select function is
	  present in -lwsock32.

2005-01-26 09:48  pekberg

	* include/ggi/system.h.in, m4/checktypes.m4: Make sure ssize_t is
	  something suitable.

2005-01-25 17:58  cegger

	* m4/checktypes.m4: - detect 64bit integer type __int64 used by
	  MSVC - fix case bug in long long test

2005-01-25 09:38  pekberg

	* configure.in: Kill file exist warning when reconfiguring and
	  libreplace is required.

2005-01-25 09:23  pekberg

	* gg/cpuid_ia32.c: Simplify cpuid macro for MSVC.

2005-01-25 09:20  pekberg

	* gg/cpuid_ia32.c: Rename the eax, ebx, ecx and edx variables to
	  eax_r, ebx_r etc in order to make the cpuid macro work on MSVC.

2005-01-25 08:56  pekberg

	* gg/time.c: Use abstraction in ggi/gg.h for specifying 64 bit
	  integer constants

2005-01-25 08:54  pekberg

	* include/ggi/gg.h: Add abstraction for specifying 64 bit integer
	  constants.

2005-01-24 22:10  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.137

2005-01-24 10:52  pekberg

	* demos/tasksched.c: Only #include unistd.h if it's there.

2005-01-21 15:36  cegger

	* gg/lib/getopt.c: ANSIfy getopt() definition. Matches with
	  prototype delcaration now

2005-01-21 15:13  pekberg

	* configure.in, filter/mouse/filter.c, filter/save/filter.c,
	  gg/lib/Makefile.am, gg/lib/getopt.c,
	  include/ggi/internal/gg_replace.h.in, input/file/input.c,
	  regress/testsuite.inc.c: replace missing functions in msvcrt.dll

2005-01-21 12:13  pekberg

	* regress/testsuite.inc.c, include/ggi/internal/gii_debug.h: MSVC
	  does not support variadic macros defined like this.

2005-01-21 11:58  pekberg

	* input/directx/: di.c, dxguid.c: DirectInputCreateEx is actually
	  part of DirectX 8, so don't use it.  Fall back to generic method
	  with CLSID_DirectInput.

2005-01-21 11:23  pekberg

	* input/tcp/input.c: Only #include unistd.h if it's there.

2005-01-21 11:22  pekberg

	* gii/unix.c: Only #include unistd.h and sys/time.h if they are
	  there.

2005-01-21 11:18  pekberg

	* input/directx/Makefile.am: Also link directly against user32 and
	  ole32, solves linking problem with MSVC.

2005-01-21 11:14  pekberg

	* include/ggi/internal/gii.h: Unnamed struct in struct not
	  supported an some compilers, or was it the empty macro argument
	  that was the problem? Fixes MSVC problem

2005-01-21 10:39  pekberg

	* gg/cpuid_ia32.c, m4/swar.m4: Fix inline assembly of cpuid
	  instruction using MSVC

2005-01-20 10:34  pekberg

	* gg/: cleanup_win32.c, cpuid_ia32.c, dl_win32.c, time.c: Make it
	  compile using Microsoft Visual C

2005-01-20 09:55  cegger

	* m4/checktypes.m4: Compare with the correct variable, makes it
	  work on systems without 64 bit int

2005-01-19 21:15  cegger

	* m4/time.m4: Don't trust the return value from usleep on AIX

2005-01-19 12:54  pekberg

	* regress/gg/time.c: Actually print out the step_estimate.  Gets
	  you a better understanding of the actual problem on AIX 4.2.1,
	  when ggUSlumber returns too early.

2005-01-18 10:58  pekberg

	* demos/tasksched.c: retrieved is spelled retrieved

2005-01-16 00:10  cegger

	* doc/man/: gg-queue.3, gg-tree.3, ggAddTask.3, ggCurTime.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLoadModule.3,
	  ggLockCreate.3, ggParseOptions.3, ggRegisterCleanup.3,
	  ggstrlcpy.3: regen.

2005-01-16 00:10  cegger

	* doc/libgg-functions.txt: add an example section to the
	  ggCurTime(3) manpage

2005-01-15 22:50  cegger

	* input/quartz/event.c: ascii labels are always capital letters.

2005-01-15 22:48  cegger

	* input/quartz/quartz.c: eliminate unused code

2005-01-15 21:46  pekberg

	* Makefile.am, gg/Makefile.am: Make sure DIST_SUBDIRS are correct.

2005-01-14 09:58  pekberg

	* include/ggi/internal/gg_replace.h.in: Clear exec bit with some
	  silly rewording.

2005-01-14 09:32  pekberg

	* filter/tcp/filter.c, gg/ptsched.c, gg/task.c, gg/win32sched.c,
	  gg/ggtick/ggtick.c, input/pcjoy/input.c, input/tcp/input.c: Make
	  sure users of functions that might be replaced use the versions
	  in libgg if the functions supplied by the system are
	  broken/missing.

2005-01-14 09:29  pekberg

	* configure.in, gg/EXPSYMS.in, gg/Makefile.am,
	  gg/ggtick/Makefile.am, include/ggi/internal/Makefile.am,
	  include/ggi/internal/gg_replace.h.in: Update build system to
	  build the new libreplace library instead of the old 'missing'
	  library

2005-01-14 09:24  pekberg

	* gg/lib/: .cvsignore, Makefile.am, memcmp.c, strtoul.c: Add
	  libreplace, a libtool convenience library to hold various broken
	  or missing library functions on systems that are not standards
	  compliant.

2005-01-13 19:57  cegger

	* doc/man/: gg-queue.3, gg-tree.3, ggAddTask.3, ggCurTime.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLoadModule.3,
	  ggLockCreate.3, ggParseOptions.3, ggRegisterCleanup.3,
	  ggstrlcpy.3: regen.

2005-01-13 19:52  cegger

	* doc/libgg-functions.txt: Fix GG_CIRCLEQ_ENTRY bug in example
	  section. It needs an argument.

2005-01-13 11:46  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 version
	  1.1667.2.129

2005-01-11 23:56  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  version 1.1667.2.127

2005-01-11 21:26  cegger

	* include/ggi/internal/Makefile.am: add debug_macros.h to
	  noinst_HEADERS. While here, sort headers alphabetically.  Issue
	  found by running 'make distcheck'

2005-01-11 21:06  cegger

	* input/linux_evdev/Makefile.am: fix typo error: linux_evdev.hÜ ->
	  linux_evdev.h

2005-01-11 09:40  pekberg

	* gg/cpuid.c: Kill spurious semicolon

2005-01-08 00:04  cegger

	* m4/swar.m4: fix printf() format string: %%llx -> %llx

2005-01-07 19:18  pekberg

	* configure.in: Substitute file with newlines with AC_SUBST_FILE
	  instead of AC_SUBST.

2005-01-05 22:53  cegger

	* input/quartz/input.c: ensure the private structure gets
	  initialized with zero's at allocation time. With the new libgg dl
	  layer, Darwin's VM somehow manages to reuse the exact same memory
	  area for input-quartz after unloading it from a previous usage.
	  Some internal pointers are not set to NULL before unloading which
	  leads to have invalid pointers and cause an assertion failure at
	  init time.

2005-01-05 22:13  cegger

	* gg/dl.c: _ggSearchSymtable does not modify the symtable. So
	  constify the first argument.

2005-01-05 22:11  cegger

	* gg/dl.c: include <ggi/internal/gg.h> than <ggi/gg.h> to get the
	  prototype declaration for _ggBundleInit().  Change the return
	  value of _ggBundleInit() to int to match the prototype
	  declaration

2005-01-05 17:51  soyt

	* gg/dl.c: - remove unnecessary _trySymtables - add _incUsage and
	  _decUsage call for bundles

2005-01-05 16:39  soyt

	* gg/dl.c, gg/init.c, include/ggi/internal/gg.h: Add another layer
	  to the gg module loading infrastructure.  This will allow to use
	  both dynamic libraries and builtins modules.	For now, the public
	  API has not changed at all. All existing code will run just fine
	  with dynamic libraries.

2005-01-05 13:48  soyt

	* include/ggi/internal/gg_debug.h: use my personal email address

2004-12-31 14:27  cegger

	* input/quartz/event.c: re-order event handling: get the event mask
	  before handling it. That way there's no need to wait 50ms before
	  destroying the event.

2004-12-30 17:11  cegger

	* input/quartz/event.c: nuke a fprintf. Silences debug output
	  whenever a modifier key is pressed or released.

2004-12-30 10:11  pekberg

	* include/ggi/internal/gii.h: _giiSafeAdd is exported, and should
	  therefore be marked as an API.

2004-12-29 14:00  cegger

	* Makefile.am, demos/Makefile.am, dist/Makefile.am,
	  dist/rpm/Makefile.am, doc/Makefile.am, doc/man/Makefile.am,
	  filter/Makefile.am, filter/keytrans/Makefile.am,
	  filter/mouse/Makefile.am, filter/save/Makefile.am,
	  filter/tcp/Makefile.am, gg/Makefile.am, gg/ggtick/Makefile.am,
	  gii/Makefile.am, include/Makefile.am, include/ggi/Makefile.am,
	  include/ggi/input/Makefile.am, include/ggi/internal/Makefile.am,
	  input/Makefile.am, input/cocoa/Makefile.am,
	  input/directx/Makefile.am, input/fdselect/Makefile.am,
	  input/file/Makefile.am, input/ipaq_touchscreen/Makefile.am,
	  input/kii/Makefile.am, input/linux_evdev/Makefile.am,
	  input/linux_joy/Makefile.am, input/linux_kbd/Makefile.am,
	  input/linux_mouse/Makefile.am, input/lk201/Makefile.am,
	  input/mouse/Makefile.am, input/null/Makefile.am,
	  input/pcjoy/Makefile.am, input/quartz/Makefile.am,
	  input/spaceorb/Makefile.am, input/stdin/Makefile.am,
	  input/tcp/Makefile.am, input/touchscreen/Makefile.am,
	  input/vgl/Makefile.am, input/x/Makefile.am, m4/Makefile.am,
	  regress/Makefile.am, regress/gg/Makefile.am,
	  regress/gii/Makefile.am: add new Makefile target:
	  maintainer-clean

	  maintainer-clean unconditionally removes all autogenerated files.
	  It leaves the tree in a state comparable to a fresh CVS checkout.
	   Patch from Tobias Hunger.

2004-12-29 13:25  cegger

	* input/quartz/input.c: do not overload GIIseteventmask. Quartz own
	  seteventmask is not yet implemented.

2004-12-28 23:24  cegger

	* input/quartz/event.c: interpret ASCII codes as symbols, not as
	  key codes. Now the character mapping matches the keyboard layout.

	  ggiterm is now nearly perfect usable now.

	  Known bugs: german umlauts and euro symbol are not displayed
	  correctly...

2004-12-28 21:25  cegger

	* input/quartz/quartz.c: bugfix: When setting up the mode the first
	  time, there is no previous event handler to uninstall. Add a
	  check for this case, so that the event handler gets installed w/o
	  trying to uninstall the old one.

2004-12-28 18:49  cegger

	* config.guess, config.sub, install-sh: update to the versions
	  shipped with automake 1.9.4

2004-12-28 18:27  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.118

2004-12-27 22:47  cegger

	* include/ggi/keyboard.h: GIIUC_Delete's value actually is 0x7f.
	  0x1b is the value of GIIUC_Escape

2004-12-27 21:31  cegger

	* include/ggi/keyboard.h: GIIK_Enter and GIIK_Delete are equal to
	  GIIUC_Return and GIIUC_Delete, but they get #defined far below
	  from there. Thus use the hardcoded ASCII values.

2004-12-27 21:19  cegger

	* doc/man/: Makefile.am, input-quartz.7, libgii.7: generate manpage
	  for input-quartz(7)

2004-12-27 21:15  cegger

	* doc/libgii-libraries.txt: add input-quartz manpage

2004-12-27 21:11  cegger

	* input/quartz/: Makefile.am, man.txt: add input-quartz(7) manpage

2004-12-27 21:09  cegger

	* input/linux_mouse/Makefile.am: distribute man.txt. This allows
	  users of releases to generate the manpage themself.

2004-12-27 20:44  cegger

	* configure.in, libgii.conf.in, input/Makefile.am: integrate
	  input-quartz into the buildsystem

2004-12-27 20:43  cegger

	* include/ggi/input/: Makefile.am, quartz.h: add communication
	  interface for input-quartz. It is used by display-quartz

2004-12-27 20:38  cegger

	* input/quartz/: .cvsignore, EXPSYMS, Makefile.am, event.c,
	  input.c, keysyms.h, quartz.c, quartz.h: Here we go:

	  input-quartz, a native input library for MacOSX. It uses the
	  quartz/carbon API. It is used by display-quartz and like
	  input-xwin and input-directx not standalone usable. MacOSX 10.2.8
	  (Jaguar) is requred.

2004-12-22 16:11  cegger

	* gg/ptsched.c: use a proper if-else code than goto (hi skids!).
	  Fixes compiler error with gcc 3.4. Patch from Tobias Hunger.

2004-12-22 16:07  cegger

	* input/linux_kbd/linkey.h: re-order header inclusion. include
	  <linux/keyboard.h> _after_ the gii headers. Fixes type
	  re-definition warnings on Gentoo. Patch from Tobias Hunger.

2004-12-22 13:13  cegger

	* checkversion.sh: use 'head -n 1' than 'head -1'. Last form is
	  depricated. Patch from Tobias Hunger.

2004-12-13 17:37  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.100

2004-12-08 08:36  cegger

	* include/ggi/internal/debug_macros.h: sync up with revision 1.6 of
	  tools/buildframework/include/ggi/internal/debug_macros.h:

	  'fmt' becomes 'form'. Finally, it is in a working state again.

2004-12-08 07:25  cegger

	* include/ggi/internal/debug_macros.h: sync up with revision 1.5 of
	  tools/buildframework/include/ggi/internal/debug_macros.h:

	  disable DPRINTIF that is meant for compatibility. Fixes build
	  problems due to re-declaration.

2004-12-07 18:32  pekberg

	* doc/README.directx: Mention that building in dirs with spaces is
	  unwise

2004-12-07 09:00  cegger

	* include/ggi/internal/debug_macros.h: sync with rev. 1.4:

	  More work on the debug framework - multiple debug level - macros
	  for defining debug context

2004-12-06 22:22  cegger

	* doc/man/: gg-queue.3, gg-tree.3, ggAddTask.3, ggCurTime.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLoadModule.3,
	  ggLockCreate.3, ggParseOptions.3, ggRegisterCleanup.3,
	  ggstrlcpy.3: regen.

2004-11-30 20:48  cegger

	* NEWS: merge revisions 1.6.2.1 - 1.6.2.2 from stable branch-0-9:

	  add release notes for libgii 0.9.0

2004-11-30 20:44  cegger

	* NEWS: merge revisions 1.4.2.2 - 1.4.2.3 from stable branch_0_8:

	  add release notes for libgii 0.8.7

2004-11-30 14:53  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.95

2004-11-29 19:53  soyt

	* filter/keytrans/Makefile.am, filter/mouse/Makefile.am,
	  filter/save/Makefile.am, filter/tcp/Makefile.am, gg/Makefile.am,
	  gii/Makefile.am, input/cocoa/Makefile.am,
	  input/directx/Makefile.am, input/fdselect/Makefile.am,
	  input/file/Makefile.am, input/inputX/Makefile.am,
	  input/ipaq_touchscreen/Makefile.am, input/kii/Makefile.am,
	  input/linux_evdev/Makefile.am, input/linux_joy/Makefile.am,
	  input/linux_kbd/Makefile.am, input/linux_mouse/Makefile.am,
	  input/lk201/Makefile.am, input/mouse/Makefile.am,
	  input/null/Makefile.am, input/pcjoy/Makefile.am,
	  input/spaceorb/Makefile.am, input/stdin/Makefile.am,
	  input/tcp/Makefile.am, input/touchscreen/Makefile.am,
	  input/vgl/Makefile.am, input/x/Makefile.am: - change AM_CFLAGS to
	  AM_CPPFLAGS - use '.' rather than ':' in DEBUG_NAMESPACE

2004-11-28 15:28  soyt

	* doc/libgg-functions.txt: ReST fixes from neiljp

2004-11-27 23:35  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.88

2004-11-27 23:22  cegger

	* include/ggi/internal/debug_macros.h: sync with rev 1.3 from
	  tools/buildframework/include/ggi/internal/debug_macros.h

2004-11-27 23:10  soyt

	* include/ggi/: input/cocoa.h, internal/gii-dl.h: use coherent
	  notation for header protection

2004-11-27 18:16  soyt

	* filter/keytrans/Makefile.am, filter/mouse/Makefile.am,
	  filter/save/Makefile.am, filter/tcp/Makefile.am, gg/Makefile.am,
	  gii/Makefile.am, include/ggi/internal/debug_macros.h,
	  input/cocoa/Makefile.am, input/directx/Makefile.am,
	  input/fdselect/Makefile.am, input/file/Makefile.am,
	  input/inputX/Makefile.am, input/ipaq_touchscreen/Makefile.am,
	  input/kii/Makefile.am, input/linux_evdev/Makefile.am,
	  input/linux_joy/Makefile.am, input/linux_kbd/Makefile.am,
	  input/linux_mouse/Makefile.am, input/lk201/Makefile.am,
	  input/mouse/Makefile.am, input/null/Makefile.am,
	  input/pcjoy/Makefile.am, input/spaceorb/Makefile.am,
	  input/stdin/Makefile.am, input/tcp/Makefile.am,
	  input/touchscreen/Makefile.am, input/vgl/Makefile.am,
	  input/x/Makefile.am: changed PKG_NAME to DEBUG_NAMESPACE

2004-11-27 17:19  cegger

	* input/cocoa/Makefile.am: AM_CPPFLAGS seems to override AM_CFLAGS.
	  Documentation says nothing of that. Is this a bug or feature of
	  automake. Anyway, moving -DPKG_NAME='"GGI:input:cocoa"' over to
	  AM_CPPFLAGS makes input-cocoa compile again.

2004-11-27 16:26  soyt

	* filter/keytrans/Makefile.am, filter/mouse/Makefile.am,
	  filter/save/Makefile.am, filter/tcp/Makefile.am, gg/Makefile.am,
	  gg/ggtick/Makefile.am, gii/Makefile.am, input/cocoa/Makefile.am,
	  input/directx/Makefile.am, input/fdselect/Makefile.am,
	  input/file/Makefile.am, input/inputX/Makefile.am,
	  input/ipaq_touchscreen/Makefile.am, input/kii/Makefile.am,
	  input/linux_evdev/Makefile.am, input/linux_joy/Makefile.am,
	  input/linux_kbd/Makefile.am, input/linux_mouse/Makefile.am,
	  input/lk201/Makefile.am, input/mouse/Makefile.am,
	  input/null/Makefile.am, input/pcjoy/Makefile.am,
	  input/spaceorb/Makefile.am, input/stdin/Makefile.am,
	  input/tcp/Makefile.am, input/touchscreen/Makefile.am,
	  input/vgl/Makefile.am, input/x/Makefile.am: use AM_CFLAGS instead
	  of INCLUDES to define PKG_NAME

2004-11-27 15:05  soyt

	* include/ggi/internal/debug_macros.h: Added
	  include/ggi/internal/debug_macros.h

2004-11-27 14:37  soyt

	* filter/keytrans/Makefile.am, filter/keytrans/filter.c,
	  filter/mouse/Makefile.am, filter/mouse/filter.c,
	  filter/save/Makefile.am, filter/save/filter.c,
	  filter/tcp/Makefile.am, filter/tcp/filter.c, gg/Makefile.am,
	  gg/dl.c, gg/init.c, gii/Makefile.am, gii/dl.c, gii/gii.c,
	  gii/init.c, gii/unix.c, include/ggi/internal/gg_debug.h,
	  include/ggi/internal/gii.h, include/ggi/internal/gii_debug.h,
	  input/cocoa/Makefile.am, input/cocoa/input.m,
	  input/directx/Makefile.am, input/directx/dxinput.h,
	  input/directx/input.c, input/fdselect/Makefile.am,
	  input/fdselect/input.c, input/file/Makefile.am,
	  input/file/input.c, input/inputX/Makefile.am,
	  input/inputX/input.c, input/ipaq_touchscreen/Makefile.am,
	  input/ipaq_touchscreen/input.c, input/kii/Makefile.am,
	  input/kii/input.c, input/kii/kii.c,
	  input/linux_evdev/Makefile.am, input/linux_evdev/eventparse.c,
	  input/linux_evdev/input.c, input/linux_evdev/key.c,
	  input/linux_joy/Makefile.am, input/linux_joy/input.c,
	  input/linux_kbd/Makefile.am, input/linux_kbd/input.c,
	  input/linux_mouse/Makefile.am, input/linux_mouse/input.c,
	  input/lk201/Makefile.am, input/lk201/input.c,
	  input/mouse/Makefile.am, input/mouse/input.c,
	  input/mouse/packetparse.c, input/null/Makefile.am,
	  input/null/input.c, input/pcjoy/Makefile.am, input/pcjoy/input.c,
	  input/spaceorb/Makefile.am, input/spaceorb/input.c,
	  input/stdin/Makefile.am, input/stdin/input.c,
	  input/tcp/Makefile.am, input/tcp/input.c, input/tcp/libtcp.c,
	  input/touchscreen/Makefile.am, input/touchscreen/common.c,
	  input/touchscreen/zaurus.c, input/vgl/Makefile.am,
	  input/vgl/input.c, input/x/Makefile.am, input/x/input.c,
	  input/x/xev.c: Improved debug scheme: - Use a shared debug macro
	  helper - Macros are not prefixed by a library-specific code
	  anymore.  - Reduced number of #includes to a minimum. As a result
	  C source files   must explicitely include gg.h if they use gg
	  functions.  - -DPKG_NAME='"LibName"' Added to all makefile using
	  debug macro.	  More flexibility, save developer typing, and
	  strengthen output    coherency (see modules)	- debug level are
	  not handled yet.  - include <ggi/errors.h> from
	  <ggi/internal/gii_target.h>

2004-11-22 11:49  cegger

	* doc/man/Makefile.am: regen.

2004-11-19 21:48  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.78

2004-11-18 18:57  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.73

2004-11-18 10:53  cegger

	* doc/man/giiOpen.3: regen.

2004-11-18 10:52  cegger

	* doc/libgii-functions.txt: - Correct declaration of giiClose(3):
	  It returns int - fix typo in return value section of giiClose(3):
	  s/giiJoin/giiJoinInputs/

2004-11-18 08:23  cegger

	* doc/man/: giiEventPoll.3, giiEventSend.3, giiInit.3, giiMTInit.3,
	  giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3, giiQueryValInfo.3,
	  giiSetEventMask.3: regen.

2004-11-18 08:16  cegger

	* doc/libgii-functions.txt: From Neil Pilgrim: - remove backtick at
	  the start of giiPanic(3) declaration - remove confusing / bad
	  formated '==0' - fix strange 2/3 indentation in numerical list in
	  giiEventSend

2004-11-17 20:54  cegger

	* doc/man/ggAddTask.3: regen.

2004-11-17 20:54  cegger

	* doc/libgg-functions.txt: ggAddTask(3): The int return type on the
	  callback hook is only for possible future expansion. For now
	  callbacks should return 0.

2004-11-17 18:42  cegger

	* doc/man/ggAddTask.3: regen.

2004-11-17 18:41  cegger

	* doc/libgg-functions.txt: typo fix: s/nticks/ncalls/

2004-11-17 18:24  cegger

	* doc/man/ggAddTask.3: regen.

2004-11-17 18:22  cegger

	* doc/libgg-functions.txt: format fix

2004-11-17 18:03  cegger

	* doc/man/: Makefile.am, ggAddTask.3, GG_SCHED_TICKS2USECS.3,
	  GG_SCHED_USECS2TICKS.3: regen.

2004-11-17 18:02  cegger

	* doc/libgg-functions.txt: document GG_SCHED_TICKS2USECS and
	  GG_SCHED_USECS2TICKS

2004-11-17 08:36  cegger

	* include/ggi/errors.h: s/nonnegative/positive/

2004-11-17 07:46  cegger

	* doc/man/: gg-queue.3, gg-tree.3, ggAddTask.3, ggCurTime.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLoadModule.3,
	  ggLockCreate.3, ggParseOptions.3, ggRegisterCleanup.3,
	  ggstrlcpy.3: regen.

2004-11-17 07:45  cegger

	* doc/libgg-functions.txt: add references, format functions and
	  variables

2004-11-17 00:15  cegger

	* doc/man/: gg-error.3, gg-types.3: regen.

2004-11-16 23:42  cegger

	* doc/libgg-types.txt: - typo: erros -> errors -
	  s/nonnegativ/positive/ , idea from Neil Pilgrim

2004-11-15 19:32  cegger

	* doc/man/: gg-queue.3, gg-tree.3, ggAddTask.3, ggCurTime.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLoadModule.3,
	  ggLockCreate.3, ggParseOptions.3, ggRegisterCleanup.3,
	  ggstrlcpy.3, giiEventPoll.3, giiEventSend.3, giiInit.3,
	  giiMTInit.3, giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3,
	  giiQueryValInfo.3, giiSetEventMask.3: regen.

2004-11-15 19:32  cegger

	* doc/libgii-functions.txt: reference to gii-error(3) when talking
	  about error code

2004-11-15 19:28  cegger

	* doc/libgg-functions.txt: reference to gg-error(3) when talking
	  about error code

2004-11-15 15:48  cegger

	* doc/man/: Makefile.am, gg-error.3, gg-types.3, ggi-error.3,
	  gii-error.3: regen.

2004-11-15 15:47  cegger

	* doc/libgg-types.txt: rename gg-errors(3) to singular: gg-error.
	  Document the reserved range from -1 to -19

2004-11-15 11:13  cegger

	* input/linux_joy/input.c: fix typo:
	  s/GGI_EVUNKNOWN/GGI_EEVUNKNOWN/ - found by Vincent Cruz

2004-11-14 21:54  cegger

	* gg/sigsched.c, gii/init.c, input/linux_joy/input.c: use
	  snprintf(3) if available

2004-11-14 16:00  cegger

	* demos/demo.c: fix printf warning: void format, gii_h_dummy1 arg

2004-11-14 12:46  cegger

	* doc/libgg-types.txt, include/ggi/errors.h: document better what
	  GGI_ENOSPACE and GGI_EEVUNKNOWN are for

2004-11-14 12:40  cegger

	* include/ggi/errors.h, doc/libgg-types.txt: back out addition of
	  GGI_ERANGE. There is already GGI_ENOSPACE for this.

2004-11-14 12:36  cegger

	* demos/mhub.c, filter/mouse/filter.c, gg/sigsched.c, gii/gii.c,
	  input/directx/input.c, input/fdselect/input.c,
	  input/ipaq_touchscreen/input.c, input/kii/kii.c,
	  input/linux_joy/input.c, input/linux_mouse/input.c,
	  input/pcjoy/input.c, input/spaceorb/input.c, input/stdin/input.c,
	  input/tcp/libtcp.c, input/touchscreen/common.c, input/x/input.c:
	  use proper defines for return values where applicable

2004-11-14 10:33  cegger

	* doc/man/gg-types.3: regen.

2004-11-14 10:33  cegger

	* doc/libgg-types.txt, include/ggi/errors.h: new error code:
	  GGI_ERANGE - indicates something is out of range

2004-11-13 17:30  cegger

	* doc/man/Makefile.am: regen.

2004-11-13 16:31  cegger

	* doc/man/: Makefile.am, gg-types.3: regen.

2004-11-13 16:30  cegger

	* doc/libgg-types.txt: new gg-errors(3) manpage which documents the
	  GGI_* error codes

2004-11-13 13:09  cegger

	* configure.in: - use -std=gnu99 flag when gcc has it - also use
	  -W* flags when we don't compile debug code

2004-11-11 20:14  pekberg

	* configure.in: Disable input-mouse and input-stdin when a
	  select(2) which does not support selecting on a non-network fd is
	  used.

2004-11-11 19:02  cegger

	* gg/plat.h: recognize HP-UX and DragonFly. Thanks to Neil Pilgrim
	  and Patrick Mauritz

2004-11-11 15:36  pekberg

	* configure.in: Specify a bug report address displayed in
	  "configure --help" and elsewhere.

2004-11-11 13:55  cegger

	* configure.in: invert condition. Now
	  -Werror-implicit-function-declaration is used when possible

2004-11-11 13:41  cegger

	* configure.in: nuke unused variable

2004-11-11 08:05  cegger

	* gg/init.c: backout rev 1.19. There will come a more clean
	  solution, which makes the defined(HAVE_DECL_STRTOULL) superflous.

2004-11-11 07:31  cegger

	* gg/init.c: using strtoull only when there's the symbol is not
	  enough. Only use it, if there's also a declaration for it. Fixes
	  build error on HP-UX

2004-11-11 07:10  cegger

	* configure.in: move check for 'strtol', 'strtoul', 'strtoll' and
	  'strtoull' from configure to m4/strings.m4

2004-11-10 21:33  cegger

	* filter/keytrans/filter.c: fix warning: 'int format, uint32 arg'

2004-11-10 21:29  cegger

	* gg/cpuid_ppc.c: fix warning: 'ISO C89 forbids mixed declarations
	  and code'

2004-11-10 20:52  cegger

	* configure.in: move GGI_CHECK_IMPLICIT_DECLARATIONS from
	  ggi-core/libgii/m4/implicit.m4,rev 1.3 to
	  ggi-core/libgii/m4/compiler.m4.

	  Make GGI_CHECK_IMPLICIT_DECLARATIONS check for
	  -Werror-implicit-function-declaration first.	Change check from
	  $implicit_declarations to
	  $cc_has_werror_implicit_function_declaration

2004-11-10 20:00  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: -
	  sync up with libtool cvs branch-2-0 version 1.1667.2.67 - Add
	  -pthread and other thread flags to inherited_linker_flags.

2004-11-10 10:44  pekberg

	* configure.in: Add AC_CONFIG_MACRO_DIR to make a current
	  libtoolize work better

2004-11-10 08:08  cegger

	* configure.in: remove checks for icc, gcc and pgc. autoconf 2.59
	  already does this very well.

	  While here, remove the double use of -Wall, since we check $CC
	  independent rather at the top of this file.

2004-11-09 10:28  cegger

	* configure.in:
	  Rework GGI_CC_CHECKS to a more GGI_CC_CHECK4_OPTION.

	  It is invoked as GGI_CC_CHECK4_OPTION([$flag]), where $flag is
	  the compiler option to check for.

	  Later in configure you can query a variable in the form of
	  'cc_has_$flag'. It has the values "yes" or "no", depending on $CC
	  has it or not.

	  Example: To check if $CC has the -Wall flag then use:
	  GGI_CC_CHECK4_OPTION([Wall])

	  Note the missing '-' right before the Wall In configure you can
	  access it as 'cc_has_wall'.  Note the lowercase of $flag.

	  Use GGI_CC_CHECK4_OPTION in configure.in to check for -Wall and
	  -pedantic for now.

2004-11-08 08:02  cegger

	* configure.in: Don't check for -std=c99. NetBSD seems to be the
	  only one platform with a clean 'struct sigaction' type
	  definition. On all other supported platforms, compiling of
	  gg/cleanup.c fails with 'incomplete size of struct sa'. Thus we
	  fall back to just check if $CC understands -pedantic and set it
	  if so.

2004-11-07 00:31  cegger

	* include/ggi/internal/gii_debug.h: typo fix: GIIDEBUG_LOCK ->
	  GIIDEBUG_LIBS

2004-11-07 00:29  cegger

	* include/ggi/internal/: gg_debug.h, gii_debug.h: go back using gcc
	  style variadic macros in the GCC section.

2004-11-07 00:26  cegger

	* configure.in: can't use -pedantic-errors. This is too strong to
	  compile object-C code (input-cocoa)

2004-11-07 00:01  cegger

	* gg/init.c: strtoull(3) is not part of ANSI Standard. Thus only
	  use it, when a) HAVE_STRTOULL is defined via config.h and b) when
	  we are not in strict ansi mode.

2004-11-06 23:47  cegger

	* include/ggi/internal/: gg_debug.h, gii_debug.h: be ISO C conform:
	  ISO C does not permit named variadic macros

2004-11-06 23:42  cegger

	* configure.in: add GGI_CC_CHECKS() marco that checks for compiler
	  specific characteristics.

	  For now, check if CC understands -std=c99.

2004-11-05 12:47  pekberg

	* ltmain.sh: Make sure the same linker flag is not added twice.

2004-11-05 12:40  pekberg

	* ltmain.sh: Add -pthread and other thread flags to
	  inherited_linker_flags

2004-11-05 07:26  cegger

	* demos/filter.c: cast %p printf arg to void *. Fixes warning:
	  'void format, gii_h_dummy1 arg (arg 3)'

2004-11-05 06:27  cegger

	* gg/win32sched.c: typo in comment: unecessary -> unnecessary

2004-11-04 23:49  cegger

	* configure.in: remove obselete AC_PROG_GCC_TRADITIONAL

2004-11-04 23:23  cegger

	* gg/ptsched.c: typo in comment: unecessary -> unnecessary

2004-11-04 08:34  pekberg

	* configure.in: Add configure check to detect if
	  -Werror-implicit-function-declaration will kill the build.

2004-11-03 21:58  aldot

	* configure.in: for non-release build, be pedantic

2004-11-03 21:53  aldot

	* configure.in: verbosely explain why __PRETTY_FUNCTION__ is not
	  portable

2004-11-03 17:58  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool branch-2-0 cvs
	  branch, version 1.1667.2.55

2004-11-03 08:09  cegger

	* doc/man/: Makefile.am, filter-key.7, filter-mouse.7,
	  filter-save.7, filter-tcp.7, gg-queue.3, gg-tree.3, gg-types.3,
	  ggAddTask.3, ggCurTime.3, ggGetSwarType.3, ggGetUserDir.3,
	  ggInit.3, ggLoadModule.3, ggLockCreate.3, ggParseOptions.3,
	  ggRegisterCleanup.3, ggstrlcpy.3, giiEventPoll.3, giiEventSend.3,
	  giiInit.3, giiMTInit.3, giiOpen.3, giiPanic.3,
	  giiQueryDeviceInfo.3, giiQueryValInfo.3, giiSetEventMask.3,
	  gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3, input-file.7, input-linux-evdev.7,
	  input-linux-kbd.7, input-linux-mouse.7, input-lk201.7,
	  input-mouse.7, input-tcp.7, libgg.7, libgii.7, mhub.1,
	  xsendbut.1: regenerate manpages

2004-11-02 20:27  cegger

	* doc/man/input-directx.7: regen.

2004-11-02 11:16  pekberg

	* input/directx/: Makefile.am, man.txt: Remove patch for MS DirectX
	  SDK. Users are now directed at better headers.

2004-11-02 11:10  pekberg

	* doc/README.directx: Point users to new DirectX headers package
	  located at: http://www.lysator.liu.se/~peda/directx-headers/
	  instead of the old method of downloading and patching the 200+MB
	  SDK from MS

2004-11-02 08:52  pekberg

	* input/directx/: Makefile.am, dxguid.c: Add workaround for libtool
	  bug.	libtool refuses to link a dll against -ldxguid, so add the
	  needed constants to a local source file and zap -ldxguid from the
	  link command line.

2004-11-01 22:55  cegger

	* ltmain.sh: revert rev 1.24. happened accidentally.

2004-11-01 22:34  cegger

	* compile, config.guess, install-sh, ltmain.sh: sync with
	  tools/buildframework:

	  update to versions shipped with automake 1.9.3

2004-11-01 21:38  cegger

	* ltmain.sh: reapply revision 1.18:

	  Fix for -pthread dependency problem on FreeBSD

2004-11-01 18:44  cegger

	* m4/checktypes.m4: backout previous accident commit

2004-11-01 18:40  cegger

	* ltmain.sh, m4/checktypes.m4, m4/libtool.m4, m4/ltversion.m4: sync
	  with libtool branch-2-0 cvs branch, version 1.1667.2.53

2004-11-01 09:10  cegger

	* TODO: libtool update item done

2004-10-31 00:40  cegger

	* configure.in, gg/EXPSYMS.in, gg/EXPSYMS.quad, gg/Makefile.am,
	  m4/checktypes.m4: Old situation: Maintain two EXPSYMS files: One
	  with quad symbols and one w/o them.  Assumption that only Solaris
	  needed quad emulation.

	  New situaion: Generate gg/EXPSYMS file at configure time.

	  Changes: - rename of gg/EXPSYMS rev 1.11 to gg/EXPSYMS.in -
	  remove non-quad symbols from EXPSYMS.quad - move out check for
	  working 64bit ops from GGI_CHECK_TYPES - removes assumption, that
	  Solaris needs quad emulation.

	  Criteria: - 64bit datatype not available -> disable 64bit code at
	  all - 64bit datatype available:   - 64bit operations do not work
	  -> enable quad emulation   - 64bit operations do work -> enable
	  native 64bit code

2004-10-30 21:53  cegger

	* configure.in: fix if-then-else runtime error. configure works
	  again

2004-10-30 12:47  cegger

	* configure.in: use -Werror-implicit-function-declaration warnings
	  not only when building releases. Without this flag, code turns
	  into non-building/crashing crap

2004-10-30 12:25  soyt

	* include/ggi/internal/gg_debug.h: Forgotten gg_debug

2004-10-30 10:22  soyt

	* gg/dl.c, gg/init.c, include/ggi/internal/Makefile.am: Added gg
	  debugging macros

2004-10-30 09:19  soyt

	* include/ggi/internal/gii_debug.h, gii/EXPSYMS, gii/init.c:
	  _giiDebugState and _giiDebugSync become one

2004-10-30 08:27  soyt

	* include/ggi/internal/gii_debug.h: Factorize debugging macros

2004-10-29 22:08  cegger

	* input/: stdin/input.c, x/input.c: Cast parameter passed to
	  ctype(3) functions to uint8 to enforce the compiler to look at
	  the correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-29 22:03  cegger

	* input/: linux_mouse/input.c, mouse/input.c, spaceorb/input.c:
	  Cast parameter passed to ctype(3) functions to uint8 to enforce
	  the compiler to look at the correct piece of memory for the bit
	  mask. Fixes some international alphabet problems.

2004-10-29 22:00  cegger

	* input/: fdselect/input.c, linux_evdev/input.c: Cast parameter
	  passed to ctype(3) functions to uint8 to enforce the compiler to
	  look at the correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-29 21:56  cegger

	* gg/conf.c, gg/parse.c, gii/gii.c: Cast parameter passed to
	  ctype(3) functions to uint8 to enforce the compiler to look at
	  the correct piece of memory for the bit mask. Fixes some
	  international alphabet problems.

2004-10-29 21:52  cegger

	* filter/mouse/filter.c: Cast parameter passed to ctype(3)
	  functions to uint8 to enforce the compiler to look at the correct
	  piece of memory for the bit mask. Fixes some international
	  alphabet problems.

2004-10-29 21:11  soyt

	* doc/: libgg-functions.txt, libgg.txt, man/gg-queue.3,
	  man/gg-tree.3, man/gg-types.3, man/ggAddTask.3, man/ggCurTime.3,
	  man/ggGetSwarType.3, man/ggGetUserDir.3, man/ggInit.3,
	  man/ggLoadModule.3, man/ggLockCreate.3, man/ggParseOptions.3,
	  man/ggRegisterCleanup.3, man/ggstrlcpy.3, man/giiEventPoll.3,
	  man/giiEventSend.3, man/giiInit.3, man/giiMTInit.3,
	  man/giiOpen.3, man/giiPanic.3, man/giiQueryDeviceInfo.3,
	  man/giiQueryValInfo.3, man/giiSetEventMask.3,
	  man/gii_cmd_event.3, man/gii_cmddata_getdevinfo.3,
	  man/gii_cmddata_getvalinfo.3, man/gii_event.3,
	  man/gii_expose_event.3, man/gii_key_event.3,
	  man/gii_pbutton_event.3, man/gii_pmove_event.3,
	  man/gii_val_event.3, man/libgg.7: Format fixes

2004-10-29 18:49  cegger

	* m4/Makefile.am: add ltoptions.m4 ltsugar.m4 and ltversion.m4 to
	  distribution. While here, sort files.

2004-10-29 18:39  cegger

	* m4/Makefile.am: add mutexes.m4 to distribution. Spotted by Peter
	  Ekberg

2004-10-28 09:07  cegger

	* gii/gii.c, include/ggi/internal/gii.h: use abstract GG_SLIST for
	  gii_deviceinfo structure

2004-10-28 07:14  pekberg

	* configure.in: Zap dlopen from LT_INIT, we're not using the
	  -dlopen or -dlpreopen libtool flags anywhere.

2004-10-28 06:39  cegger

	* doc/man/gg-queue.3: regen.

2004-10-28 06:38  cegger

	* doc/libgg-functions.txt: docutil formating fix: Put the 'However'
	  into a new line

2004-10-28 06:21  cegger

	* doc/man/: GG_CIRCLEQ_EMPTY.3, GG_CIRCLEQ_ENTRY.3,
	  GG_CIRCLEQ_FIRST.3, GG_CIRCLEQ_FOREACH.3,
	  GG_CIRCLEQ_FOREACH_REVERSE.3, GG_CIRCLEQ_HEAD.3,
	  GG_CIRCLEQ_HEAD_INITIALIZER.3, GG_CIRCLEQ_INIT.3,
	  GG_CIRCLEQ_INSERT_AFTER.3, GG_CIRCLEQ_INSERT_BEFORE.3,
	  GG_CIRCLEQ_INSERT_HEAD.3, GG_CIRCLEQ_INSERT_TAIL.3,
	  GG_CIRCLEQ_LAST.3, GG_CIRCLEQ_NEXT.3, GG_CIRCLEQ_PREV.3,
	  GG_CIRCLEQ_REMOVE.3, GG_LIST_EMPTY.3, GG_LIST_ENTRY.3,
	  GG_LIST_FIRST.3, GG_LIST_FOREACH.3, GG_LIST_HEAD.3,
	  GG_LIST_HEAD_INITIALIZER.3, GG_LIST_INIT.3,
	  GG_LIST_INSERT_AFTER.3, GG_LIST_INSERT_BEFORE.3,
	  GG_LIST_INSERT_HEAD.3, GG_LIST_NEXT.3, GG_LIST_REMOVE.3,
	  GG_RB_EMPTY.3, GG_RB_ENTRY.3, GG_RB_FIND.3, GG_RB_FOREACH.3,
	  GG_RB_GENERATE.3, GG_RB_HEAD.3, GG_RB_INIT.3,
	  GG_RB_INITIALIZER.3, GG_RB_INSERT.3, GG_RB_LEFT.3, GG_RB_MAX.3,
	  GG_RB_MIN.3, GG_RB_NEXT.3, GG_RB_PARENT.3, GG_RB_PROTOTYPE.3,
	  GG_RB_REMOVE.3, GG_RB_RIGHT.3, GG_RB_ROOT.3, GG_SIMPLEQ_EMPTY.3,
	  GG_SIMPLEQ_ENTRY.3, GG_SIMPLEQ_FIRST.3, GG_SIMPLEQ_FOREACH.3,
	  GG_SIMPLEQ_HEAD.3, GG_SIMPLEQ_HEAD_INITIALIZER.3,
	  GG_SIMPLEQ_INIT.3, GG_SIMPLEQ_INSERT_AFTER.3,
	  GG_SIMPLEQ_INSERT_HEAD.3, GG_SIMPLEQ_INSERT_TAIL.3,
	  GG_SIMPLEQ_NEXT.3, GG_SIMPLEQ_REMOVE.3, GG_SIMPLEQ_REMOVE_HEAD.3,
	  GG_SLIST_EMPTY.3, GG_SLIST_ENTRY.3, GG_SLIST_FIRST.3,
	  GG_SLIST_FOREACH.3, GG_SLIST_HEAD.3, GG_SLIST_HEAD_INITIALIZER.3,
	  GG_SLIST_INIT2.3, GG_SLIST_INSERT_AFTER.3,
	  GG_SLIST_INSERT_HEAD.3, GG_SLIST_NEXT.3, GG_SLIST_REMOVE.3,
	  GG_SLIST_REMOVE_HEAD.3, GG_SPLAY_EMPTY.3, GG_SPLAY_ENTRY.3,
	  GG_SPLAY_FIND.3, GG_SPLAY_FOREACH.3, GG_SPLAY_GENERATE.3,
	  GG_SPLAY_HEAD.3, GG_SPLAY_INIT.3, GG_SPLAY_INITIALIZER.3,
	  GG_SPLAY_INSERT.3, GG_SPLAY_LEFT.3, GG_SPLAY_MAX.3,
	  GG_SPLAY_MIN.3, GG_SPLAY_NEXT.3, GG_SPLAY_PROTOTYPE.3,
	  GG_SPLAY_REMOVE.3, GG_SPLAY_RIGHT.3, GG_SPLAY_ROOT.3,
	  GG_TAILQ_EMPTY.3, GG_TAILQ_ENTRY.3, GG_TAILQ_FIRST.3,
	  GG_TAILQ_FOREACH.3, GG_TAILQ_FOREACH_REVERSE.3, GG_TAILQ_HEAD.3,
	  GG_TAILQ_HEAD_INITIALIZER.3, GG_TAILQ_INIT.3,
	  GG_TAILQ_INSERT_AFTER.3, GG_TAILQ_INSERT_BEFORE.3,
	  GG_TAILQ_INSERT_HEAD.3, GG_TAILQ_INSERT_TAIL.3, GG_TAILQ_LAST.3,
	  GG_TAILQ_NEXT.3, GG_TAILQ_PREV.3, GG_TAILQ_REMOVE.3, Makefile.am,
	  gg-queue.3, gg-tree.3: regenerate

2004-10-28 06:18  cegger

	* doc/libgg-functions.txt: rename manpage references to gg-queue
	  and gg-tree. Fixes namespace conflict with BSD manpages

2004-10-27 23:58  aldot

	* m4/swar.m4, gg/cpuid_alpha.c: start adding rudimentary support
	  for native Tru64 (OSF1) Doesn't work yet.

2004-10-27 23:23  aldot

	* configure.in, include/ggi/system.h.in: start adding rudimentary
	  support for Tru64 (OSF1) Doesn't work yet.

2004-10-27 22:33  cegger

	* include/ggi/: Makefile.am, gg-queue.h, gg-tree.h: add cpp macros
	  for queues:

	  singly-linked lists, simple queues, lists, tail queues, and
	  circular queues

	  add cpp macros for trees:

	  splay and red-black trees

2004-10-27 22:18  cegger

	* doc/man/Makefile.am: add new queue and tree manpages to
	  buildsystem. Allows to install them.

2004-10-27 22:16  cegger

	* doc/man/: GG_CIRCLEQ_EMPTY.3, GG_CIRCLEQ_ENTRY.3,
	  GG_CIRCLEQ_FIRST.3, GG_CIRCLEQ_FOREACH.3,
	  GG_CIRCLEQ_FOREACH_REVERSE.3, GG_CIRCLEQ_HEAD.3,
	  GG_CIRCLEQ_HEAD_INITIALIZER.3, GG_CIRCLEQ_INIT.3,
	  GG_CIRCLEQ_INSERT_AFTER.3, GG_CIRCLEQ_INSERT_BEFORE.3,
	  GG_CIRCLEQ_INSERT_HEAD.3, GG_CIRCLEQ_INSERT_TAIL.3,
	  GG_CIRCLEQ_LAST.3, GG_CIRCLEQ_NEXT.3, GG_CIRCLEQ_PREV.3,
	  GG_CIRCLEQ_REMOVE.3, GG_LIST_EMPTY.3, GG_LIST_ENTRY.3,
	  GG_LIST_FIRST.3, GG_LIST_FOREACH.3, GG_LIST_HEAD.3,
	  GG_LIST_HEAD_INITIALIZER.3, GG_LIST_INIT.3,
	  GG_LIST_INSERT_AFTER.3, GG_LIST_INSERT_BEFORE.3,
	  GG_LIST_INSERT_HEAD.3, GG_LIST_NEXT.3, GG_LIST_REMOVE.3,
	  GG_RB_EMPTY.3, GG_RB_ENTRY.3, GG_RB_FIND.3, GG_RB_FOREACH.3,
	  GG_RB_GENERATE.3, GG_RB_HEAD.3, GG_RB_INIT.3,
	  GG_RB_INITIALIZER.3, GG_RB_INSERT.3, GG_RB_LEFT.3, GG_RB_MAX.3,
	  GG_RB_MIN.3, GG_RB_NEXT.3, GG_RB_PARENT.3, GG_RB_PROTOTYPE.3,
	  GG_RB_REMOVE.3, GG_RB_RIGHT.3, GG_RB_ROOT.3, GG_SIMPLEQ_EMPTY.3,
	  GG_SIMPLEQ_ENTRY.3, GG_SIMPLEQ_FIRST.3, GG_SIMPLEQ_FOREACH.3,
	  GG_SIMPLEQ_HEAD.3, GG_SIMPLEQ_HEAD_INITIALIZER.3,
	  GG_SIMPLEQ_INIT.3, GG_SIMPLEQ_INSERT_AFTER.3,
	  GG_SIMPLEQ_INSERT_HEAD.3, GG_SIMPLEQ_INSERT_TAIL.3,
	  GG_SIMPLEQ_NEXT.3, GG_SIMPLEQ_REMOVE.3, GG_SIMPLEQ_REMOVE_HEAD.3,
	  GG_SLIST_EMPTY.3, GG_SLIST_ENTRY.3, GG_SLIST_FIRST.3,
	  GG_SLIST_FOREACH.3, GG_SLIST_HEAD.3, GG_SLIST_HEAD_INITIALIZER.3,
	  GG_SLIST_INIT2.3, GG_SLIST_INSERT_AFTER.3,
	  GG_SLIST_INSERT_HEAD.3, GG_SLIST_NEXT.3, GG_SLIST_REMOVE.3,
	  GG_SLIST_REMOVE_HEAD.3, GG_SPLAY_EMPTY.3, GG_SPLAY_ENTRY.3,
	  GG_SPLAY_FIND.3, GG_SPLAY_FOREACH.3, GG_SPLAY_GENERATE.3,
	  GG_SPLAY_HEAD.3, GG_SPLAY_INIT.3, GG_SPLAY_INITIALIZER.3,
	  GG_SPLAY_INSERT.3, GG_SPLAY_LEFT.3, GG_SPLAY_MAX.3,
	  GG_SPLAY_MIN.3, GG_SPLAY_NEXT.3, GG_SPLAY_PROTOTYPE.3,
	  GG_SPLAY_REMOVE.3, GG_SPLAY_RIGHT.3, GG_SPLAY_ROOT.3,
	  GG_TAILQ_EMPTY.3, GG_TAILQ_ENTRY.3, GG_TAILQ_FIRST.3,
	  GG_TAILQ_FOREACH.3, GG_TAILQ_FOREACH_REVERSE.3, GG_TAILQ_HEAD.3,
	  GG_TAILQ_HEAD_INITIALIZER.3, GG_TAILQ_INIT.3,
	  GG_TAILQ_INSERT_AFTER.3, GG_TAILQ_INSERT_BEFORE.3,
	  GG_TAILQ_INSERT_HEAD.3, GG_TAILQ_INSERT_TAIL.3, GG_TAILQ_LAST.3,
	  GG_TAILQ_NEXT.3, GG_TAILQ_PREV.3, GG_TAILQ_REMOVE.3: generate new
	  queue and tree manpages

2004-10-27 22:08  cegger

	* doc/libgg-functions.txt: add manpages for implementations of
	  splay and red-black trees

2004-10-27 21:35  cegger

	* doc/libgg-functions.txt: add manpages for singly-linked lists,
	  simple queues, lists, tail queues, and circular queues

2004-10-27 12:12  cegger

	* doc/man/libgii.7: regen.

2004-10-27 09:30  pekberg

	* doc/libgii-libraries.txt: Oops, two is now three...

2004-10-27 09:22  pekberg

	* doc/libgii-libraries.txt, gii/init.c: Don't allow overiding the
	  compiled in path on Cygwin.  Mention GGI_CONFDIR in man-page.

2004-10-27 06:30  cegger

	* include/ggi/gg.h: nuke <stdlib.h>. comment why <stdio.h> is
	  needed here.

2004-10-27 06:25  cegger

	* include/ggi/gg.h: set the gg_swartype datatype large enough even
	  for 32bit system. Fixes warning about 'overflow due to implicit
	  conversion'

2004-10-27 06:23  cegger

	* gg/cpuid_ppc.c: include headers, <sys/sysctl.h> depends on
	  according to the manpages of Darwin and NetBSD

2004-10-27 06:19  cegger

	* gg/cpuid.h: first include config.h to get the definitions

2004-10-27 06:17  cegger

	* configure.in: Do check for <sys/sysctl.h> differently. It depends
	  on <sys/types.h> or <sys/param.h>. Should fix configure warnings
	  on NetBSD 1.6.1/i386 - discovered by autobuilder

2004-10-26 15:49  cegger

	* demos/cpuinfo.c, doc/libgg-functions.txt,
	  doc/man/ggGetSwarType.3, gg/cpuid.c, gg/cpuid_alpha.c,
	  gg/cpuid_ia32.c, gg/cpuid_ppc.c, gg/cpuid_sparc.c,
	  include/ggi/gg.h, include/ggi/internal/gg.h: gg_swartype can't be
	  an enum:

	  All versions of the C standard contain this wording: "The
	  expression that defines the value of an enumeration constant
	  shall be an integer constant expression that has a value
	  representable as an int."

	  This means, it is a compiler feature, if it sizes enums up to
	  64bit on 64bit platforms.

	  Rework gg_swartype and make it of type long and convert
	  gg_swartype members to #defines.

	  This works for me and I hope this works for Bernhard Fischer now,
	  too.	He found this issue when trying to work on libgii on
	  True64,OSF1/alpha with a DEC C compiler.

2004-10-26 15:42  cegger

	* configure.in: safe and restore config.log

2004-10-26 13:13  pekberg

	* .cvsignore: ignore the genlibtool script

2004-10-26 09:04  cegger

	* gg/cpuid_ppc.c: make it compile when <sys/sysctl.h> doesn't
	  exist. Update comment.

2004-10-26 08:53  cegger

	* configure.in: check for presence of <sys/sysctl.h>. AIX doesn't
	  have it.

2004-10-26 07:56  pekberg

	* configure.in: It appears that using _LT_SET_OPTION multiple times
	  do not work as expected.  Fixes problem on Cygwin, at least.

2004-10-25 21:59  cegger

	* demos/cpuinfo.c: remove wrong comment: On SMP systems are all
	  CPUs identical

2004-10-25 21:57  cegger

	* gg/cpuid.c: distinguish between 32bit and 64bit archs

2004-10-25 21:47  cegger

	* gg/cpuid_sparc.c: distinguish between Sparc32 and Sparc64.

	  TODO: Distinguish between VIS 1.0 and VIS 2.0. Latter one is
	  available in Ultrasparc III and newer.

2004-10-25 21:26  cegger

	* gg/cpuid_ppc.c: mention in the comment where SPE is found

2004-10-25 21:22  cegger

	* gg/cpuid_ppc.c:
	  Add detection for ppc64 and SIMD extension

	  The SIMD detection has some issue though:

	  - CTL_HW only exists on BSD Unix - HW_VECTORUNIT only exists on
	  Darwin - Motorola added two SIMD extensions:	       Altivec and
	  SPE (Signal Processing Engine)	 HW_VECTORUNIT provides no
	  way to distinguish	     between them.  - Solaris has no
	  <sys/sysctl.h> header. Since Solaris	 doesn't run on ppc, this
	  doesn't matter.    But as a System V OS, it raises the question
	  if this    counts also for AIX, which is at home on ppc.

	  Anyway, it works on Darwin so far...

2004-10-25 20:58  cegger

	* demos/cpuinfo.c: print SSE3 if present.  Nuke G4. A PowerPC with
	  Altivec is not necessarily a G4, it could be a G5, too.

2004-10-25 12:34  cegger

	* gii/Makefile.am: bump to devel version. Better late than never...

2004-10-25 12:22  cegger

	* gg/Makefile.am: bump to devel version. better later than never...

2004-10-25 12:22  cegger

	* gg/Makefile.am: redo rev 1.10 with some additional adjustments.
	  Now that we require a new enough automake, we can (finally) do
	  this simplification

2004-10-24 22:09  cegger

	* doc/libgii-libraries.txt: nope, it's actually GGI_DEBUG, not
	  GII_DEBUG. See giiInit() in gii/init.c

2004-10-24 21:20  aldot

	* doc/libgii-libraries.txt: correct name of GII_DEBUG environment
	  variable fix non-working link to www.ggi-project.org

2004-10-23 22:31  cegger

	* configure.in: we don't need asm/io.h. sys/io.h is good enough for
	  input-pcjoy. Fixes configure warning on Linux 2.2.20/alpha. Issue
	  detected with autobuilder

2004-10-23 17:15  cegger

	* Makefile.am, configure.in: add genlibtool and genlibtool.in to
	  distribution run genlibtool from srcdir, not cwd.

	  make distcheck works again

2004-10-23 15:21  cegger

	* Makefile.am: libtool 1.4.3 generated the platform dependent
	  libtool script at configure time when AM_PROG_LIBTOOL was
	  invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-23 14:42  cegger

	* configure.in: update via autoupdate with slight modifications by
	  me

2004-10-23 14:19  cegger

	* configure.in: libtool 1.4.3 generated the platform dependent
	  libtool script at configure time when AM_PROG_LIBTOOL was
	  invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-23 14:03  cegger

	* ltmain.sh: reapply revision 1.18:

	  Redo the fix for -pthread dependency problem on FreeBSD

2004-10-23 13:58  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool-2-0 branch

2004-10-23 13:22  cegger

	* autogen.sh, ltmain.sh: libtool 1.4.3 generated the platform
	  dependent libtool script at configure time when AM_PROG_LIBTOOL
	  was invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-22 09:05  pekberg

	* gg/: EXPSYMS.quad, Makefile.am: Only include the quad functions
	  on Solaris.

2004-10-22 08:37  pekberg

	* configure.in: Use new style AC_INIT, to have the PACKAGE_* macros
	  set to something sensible.

2004-10-22 06:50  pekberg

	* ltmain.sh: Redo the fix for -pthread dependency problem on
	  FreeBSD

2004-10-22 05:26  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool-2-0 cvs branch

2004-10-20 23:42  cegger

	* m4/libtool.m4: incorporate latest libtool 2.0 pre-release fixes

2004-10-20 21:50  cegger

	* gg/quad/quad.h: protect __STDC_VERSION__. It may be compiler
	  pre-defined. Should fix build problem on NetBSD. Discovered by
	  autobuilder

2004-10-20 18:46  pekberg

	* gg/plat.h: Recognize IRIX 6.5 as System V Release 4

2004-10-20 12:31  pekberg

	* configure.in: Add some quotes to clarify the comment.

2004-10-20 12:10  pekberg

	* configure.in: Only turn on the advanced warning flags if
	  --enable-debug=release is specified at configure time.

2004-10-20 12:06  pekberg

	* gg/ggtick/Makefile.am: strtoul might be missing, use the one from
	  libmissing if so.

2004-10-20 12:04  pekberg

	* configure.in, Makefile.am: Add convinience library for missing
	  functions.

2004-10-19 07:54  cegger

	* m4/mutexes.m4: libtool 2.0 requires --mode=link option

2004-10-19 07:28  cegger

	* gg/quad/quad.h: always #define __STDC_VERSION__ to order to get
	  LLONG_MIN and LLONG_MAX. Fixes compiler error on SuSE Linux 8.0

2004-10-18 21:11  cegger

	* configure.in: Build update process, part 3: We now require
	  autoconf 2.59

2004-10-18 21:10  cegger

	* gg/Makefile.am: Now, that all platforms makes actually use of the
	  EXPSYMS file, we all need the quad symbols to link successfully.

	  XXX This is a hack. We actually have to check at configure time
	  whether quad is needed or not.

2004-10-18 20:48  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: Build process update, part 2a: Update to libtool
	  2.0 pre-release

2004-10-18 20:35  cegger

	* autogen.sh: Build process update, part 1: We now require autoconf
	  2.59 and automake 1.9.2

2004-10-18 18:53  cegger

	* configure.in: revert rev 1.102 per request from Peter Ekberg on
	  IRC

2004-10-18 17:27  cegger

	* TODO: update to new -current goals

2004-10-18 14:49  pekberg

	* include/ggi/gg.h: Add convinience macros for converting usecs
	  to/from ticks.

2004-10-18 12:26  pekberg

	* configure.in: Only turn on the advanced warning flags if
	  --enable-debug=release is specified at configure time.

2004-10-18 11:53  cegger

	* configure.in: bump to devel version

2004-10-17 14:17  cegger

	* gii/gii.c: revert revision 1.28. When splitting off any other
	  (non-first) input, we need a full new set, not a full new queue

2004-10-17 12:25  cegger

	* gii/gii.c: fix another leak in giiSplitInputs - the same bug as
	  fixed in rev 1.28

2004-10-17 11:15  aldot

	* gii/gii.c: fix leak of inputchain_cache in giiSplitInputs.

	  Proposed fix, please review: When splitting off the first input,
	  only allocate a new cache when we had no cache left. If a cache
	  would be allocated unconditionally, one instance if
	  gii_inputchain_cache is lost.

2004-10-17 09:44  cegger

	* doc/man/ggGetSwarType.3: regen.

2004-10-17 09:38  cegger

	* include/ggi/gg.h: add GG_SWAR_SSE3 to match documentation

2004-10-17 02:04  aldot

	* gg/init.c: typos, whitespace cleanup.

2004-10-17 01:37  aldot

	* doc/libgg-functions.txt: typos

2004-10-16 22:54  cegger

	* doc/man/ggParseOptions.3: regen.

2004-10-16 22:31  soyt

	* doc/libgg-functions.txt: ReST fixes

2004-10-16 21:33  cegger

	* doc/man/giiOpen.3: regen.

2004-10-16 21:31  cegger

	* doc/libgii-functions.txt: fix cut/copy/paste error:  gii_input_t
	  can only be used through GII functions, not GGI ones.

2004-10-14 20:46  cegger

	* demos/Makefile.am: add mhub.txt and xsendbut.txt to distribution

2004-10-14 20:27  cegger

	* doc/man/mhub.1: regenerated

2004-10-14 20:21  cegger

	* doc/man/: Makefile.am, xsendbut.1: generate xsendbut(1) manual

2004-10-14 20:20  cegger

	* doc/libgii-libraries.txt: add xsendbut(1) manual

2004-10-14 20:20  cegger

	* demos/xsendbut.txt: add xsendbut(1) manual in docutil format. The
	  content has been taken from the xsendbut(1) manual provided by
	  the Debian package in the groff format.

2004-10-14 20:08  cegger

	* doc/man/: Makefile.am, mhub.1: generate mhub(1) manual

2004-10-14 20:08  cegger

	* doc/libgii-libraries.txt: add mhub(1) manual

2004-10-14 20:07  cegger

	* demos/: Makefile.am, mhub.txt: convert mhub(1) manual in the
	  docutil format

2004-10-14 17:07  cegger

	* doc/man/: gii_key_event.3, input-directx.7: regen.

2004-10-14 17:04  cegger

	* doc/: libgii-functions.txt, libgg-functions.txt: whitespace
	  cleanup

2004-10-12 17:50  aldot

	* configure.in: for non gcc(-compatible) compilers, nil
	  __PRETTY_FUNCTION__

2004-10-11 20:30  cegger

	* README: merge revisions 1.3.2.1 - 1.3.2.2 from -stable
	  branch_0_8:

	  update description to reflect reality

2004-10-11 20:25  cegger

	* NEWS: merge revisions 1.4.2.1 - 1.4.2.2 from stable branch_0_8:

	  add release notes for 0.8.4, 0.8.5 and 0.8.6

2004-10-10 20:55  cegger

	* doc/man/ggAddTask.3: regenerate for ggAddTask(3) update

2004-10-10 20:53  cegger

	* doc/libgg-functions.txt: document how to put a task to sleep for
	  a certain amount of time and how a task can wait for an other
	  task to finish

2004-10-05 13:23  pekberg

	* input/directx/man.txt: Document some previously undocumented
	  features and bugs.

2004-10-05 13:20  pekberg

	* doc/libgii-structures.txt: fix quoting typo

2004-10-05 12:33  pekberg

	* input/directx/man.txt: Key repeat messages are indeed sent

2004-10-05 12:16  pekberg

	* input/directx/: dxinput.h, input.c: Kill attempt to mimic cursor
	  acceleration definied by control panel applet parameters. Not
	  possible to do 100%, so don't try. It only garbles the code.

2004-10-05 08:40  pekberg

	* gg/cleanup.c: The i veriable is never initialized, but still
	  used. Kill i and guess what the intent was.  I'm not certain this
	  is correct, but it's certainly not worse though...

2004-10-05 08:01  pekberg

	* input/directx/di.c: Kill 'dereferencing type-punned pointer'
	  warning

2004-10-05 07:45  pekberg

	* gg/dl_win32.c: The second argument of FormatMessage is ignored if
	  FORMAT_MESSAGE_FROM_SYSTEM is specified, and should _not_ be
	  FORMAT_MESSAGE_FROM_HMODULE in _any_ case.

2004-10-05 07:42  pekberg

	* gg/time.c: Kill 'dereferencing type-punned pointer' warnings

2004-10-05 07:42  pekberg

	* gg/misc_win32.c: Kill 'dereferencing type-punned pointer' warning

2004-10-05 07:24  pekberg

	* gg/sigsched.c: Revert bad commit.

2004-10-05 07:15  pekberg

	* gg/: sigsched.c, time.c: Correctly specify a 64 bit constant.
	  Only include windows.h if it is needed.

2004-10-03 07:04  cegger

	* doc/man/: ggAddTask.3, ggLoadModule.3: regen.

2004-10-03 07:02  cegger

	* doc/libgg-functions.txt, gg/dummytask.c, gg/task.c,
	  include/ggi/gg.h: change return type of ggTimeBase from int to
	  uint32. int is too small to guarantee the documented range from 1
	  to 1000000 on 16bit platforms - still used in embedded systems

2004-10-02 17:13  pekberg

	* input/directx/input.c: Report the number of mouse buttons.

2004-10-01 12:38  pekberg

	* input/directx/: dxinput.h, input.c: Match the mouse acceleration
	  in win32, so that the releative directx motion matches the motion
	  of the real mouse pointer.  Kill a bug when directx reported
	  multiple motion events and the user had requested *both* relative
	  and absolute coords.

2004-10-01 12:35  pekberg

	* input/directx/di.c: Cleanup, use the correct accessor macros

2004-10-01 08:18  pekberg

	* input/directx/input.c: Make absolute ptr coords the default.
	  Relative coords are not quite right yet.

2004-09-30 12:54  cegger

	* config.guess, config.sub, depcomp, install-sh, missing: sync with
	  tools/buildframework: update to the version shipped with automake
	  1.9.2

2004-09-29 13:22  cegger

	* TODO: refer to Brian's big mail as documentation for some TODO
	  items

2004-09-25 09:43  cegger

	* Makefile.am: autogen.sh requires checkversion.sh. So distribute
	  it, too

2004-09-24 12:51  pekberg

	* doc/README.directx: update of status on the configure script
	  problem

2004-09-22 21:48  nsouch

	* input/kii/kii.c: Replace memcpy by GG string routine

2004-09-22 21:20  nsouch

	* include/ggi/input/kii.h: Replace extern by GIIAPIFUNC

2004-09-22 21:13  nsouch

	* include/ggi/input/Makefile.am: Add kii.h

2004-09-22 20:02  nsouch

	* include/ggi/input/kii.h, input/kii/input.c, input/kii/kii.c: Move
	  kii_context definition to include/ggi/input/kii.h

	  Enable forcing the event unit "à la"
	  GGI_INPUT=kii:-device=/dev/event1

2004-09-18 09:41  cegger

	* input/lk201/lk201.h: add missing license notice

2004-09-18 09:39  cegger

	* input/kii/kii.h: add rcs identifier

2004-09-18 09:36  cegger

	* gg/task.c, gg/dummytask.c, input/kii/kii.c: add missing license
	  notice

2004-09-18 09:30  cegger

	* demos/demo.c: add Id rcs identifier

2004-09-16 13:24  pekberg

	* input/cocoa/input.m, input/fdselect/input.c, input/file/input.c,
	  input/inputX/input.c, input/ipaq_touchscreen/input.c,
	  input/kii/input.c, input/linux_evdev/input.c,
	  input/linux_joy/input.c, input/linux_kbd/input.c,
	  input/linux_mouse/input.c, input/lk201/input.c,
	  input/mouse/input.c, input/null/input.c, input/pcjoy/input.c,
	  input/spaceorb/input.c, input/stdin/input.c, input/tcp/input.c,
	  input/touchscreen/zaurus.c, input/vgl/input.c, input/x/input.c,
	  filter/keytrans/filter.c, filter/mouse/filter.c,
	  filter/save/filter.c, filter/tcp/filter.c: EXPORTFUNC is for the
	  declaration, not the definition

2004-09-14 15:41  cegger

	* gg/Makefile.am: bump version to reflect version info of the next
	  major release

2004-09-14 09:00  cegger

	* regress/testsuite.inc.c:
	  sync with ggi-core/libggi/programs/regress/testsuite.inc.c rev
	  1.5:

	  - make summary more verbose (rev 1.3) - Remove annoying
	  directories at the start of the regression test filename. (rev
	  1.4) - Add some includes for strncmp and strchr... (rev 1.5)

2004-09-13 14:05  pekberg

	* input/directx/: di.c, dxinput.h, input.c: Kill memory leak. Kill
	  resource leak.

2004-09-10 18:54  cegger

	* gii/init.c: swap GGI_DEBUG and GGI_DEBUGSYNC evaluation. Allows
	  to mention whether we are in sync or in async debug mode.

2004-09-10 10:05  pekberg

	* gg/conf.c: Don't go past string terminator in cp, when copying it
	  to bp.  Don't parse after the first argument to .include
	  statements.

2004-09-08 14:03  cegger

	* m4/libtool.m4: sync with tools/buildframework/m4/libtool.m4 rev
	  1.3:

	  Use 'gcc -shared' on both cygwin and mingw.  Optimize out dlltool
	  and dllwrap.

2004-09-08 11:53  pekberg

	* gg/conf.c: Make 'include' statements in config files with
	  relative paths be relative to the location of the configuration
	  file itself. They were relative to 'root' previously.

2004-09-04 07:47  cegger

	* input/linux_evdev/input.c: disable declaration of 'absval'. Fixes
	  warning about defined but not used - I do not nuke it, because it
	  may be usable in the future

2004-09-04 07:39  cegger

	* input/linux_joy/input.c: move up declaration of linux_joy_devinfo
	  and linux_joy_valinfo. Eliminate forward declaration of
	  linux_joy_devinfo. Fixes warning about redundant redeclaration in
	  same scope

2004-09-03 10:06  pekberg

	* doc/README.directx: Add note about annoying MSYS (non-)handling
	  of stdout in its shell.

2004-09-03 07:37  pekberg

	* doc/README.directx: Restructure document and fix minor glitches

2004-08-28 12:09  cegger

	* configure.in: nuke -Wno-uninitialized flag. gcc handles this flag
	  correctly. Users of SuSE Linux 8.2 should either upgrade their
	  buggy gcc or ignore the false warnings...

2004-08-27 12:01  pekberg

	* include/ggi/input/Makefile.am, include/ggi/input/directx.h,
	  input/directx/di.c, input/directx/dxinput.h,
	  input/directx/input.c: Emulate key repetitions in display-directx

2004-08-27 07:20  pekberg

	* doc/README.directx: Add possible workaround to downloading 200MB
	  Add workaround for cygwin configure script argument parsing
	  problem

2004-08-24 14:44  pekberg

	* doc/README.directx: Add note about cvs and text files

2004-08-18 13:01  pekberg

	* doc/README.directx: Add some missing bits

2004-08-18 10:56  pekberg

	* doc/README.directx: fix typo

2004-08-17 19:32  pekberg

	* configure.in: Include ggi_sysconfdir for consistency

2004-08-17 18:38  cegger

	* doc/Makefile.am: include README.directx when building a
	  distribution via 'make distcheck'

2004-08-17 13:19  pekberg

	* doc/README.directx: use a better document location

2004-08-17 09:34  pekberg

	* input/directx/input.c: Remove MS from the device names, as the
	  devices might not be from MS.

2004-08-17 08:44  pekberg

	* doc/README.directx: Update to current situation.

2004-08-17 06:30  pekberg

	* gg/conf.c: Don't treat .root paths starting with '*' as relative
	  in order to support alias expansion sections.

2004-08-16 19:41  pekberg

	* configure.in, libgii.conf.in, gg/conf.c, m4/Makefile.am: Make
	  .root and .include paths in configuration files relative to the
	  configuration file itself if the path does not start with '/'.
	  Make use of this new feature on mingw and specify a relative
	  .root so that the installed libgii.conf works. Leave the absolute
	  path on all other platforms.

2004-08-16 12:19  cegger

	* gii/gii.c: put big warning on _giiPeekEvent() that it may return
	  misaligned pointers. Suggestion from Peter Ekberg.

2004-08-16 12:13  cegger

	* gii/gii.c: only memcpy() the actual used struct timeval. Patch
	  from Peter Ekberg with minor modification from myself.

2004-08-16 11:56  pekberg

	* input/directx/: dxinput.h, input.c: Split mouse and keyboard into
	  two separate devices for input-directx.

2004-08-15 10:45  cegger

	* gii/gii.c: use memcpy(3) to assure aligned memory access. Fixes
	  crash on NetBSD/sparc64

2004-08-13 19:08  cegger

	* ltmain.sh: sync with tools/buildframework/ltmain.sh, rev 1.2:

	  Install core dlls in bin instead of in lib on mingw.	No longer
	  needed to have the lib dir in the path.

2004-08-11 10:24  cegger

	* m4/libtool.m4:
	  sync with tools/buildframework/m4/libtool.m4 rev 1.2:

	  Make libtool build functional dlls on cygwin

2004-08-10 09:51  cegger

	* doc/libgg-functions.txt: there's no ggInstantModule() API
	  function. It probably means ggMLoadModule, so refer to it
	  instead.

	  XXX: There's no manpage for ggMLoadModule(3).

2004-08-09 11:36  pekberg

	* input/directx/: di.c, dxinput.h, input.c: Support for
	  Point-of-View controls on gaming devices

2004-08-09 09:41  cegger

	* doc/man/input-directx.7: regeneration

2004-08-09 09:21  pekberg

	* input/directx/man.txt: format changes and another diff->patch
	  change

2004-08-09 08:36  cegger

	* doc/man/input-directx.7: regeneration

2004-08-09 08:30  pekberg

	* input/directx/man.txt: Blast, I named the file dinput.h.patch,
	  and not anything else.

2004-08-09 08:21  pekberg

	* input/directx/Makefile.am: Mention dinput.h.patch in Makefile.am

2004-08-09 08:16  pekberg

	* input/directx/man.txt: Document DirectX 7 dependency and supply a
	  patch

2004-08-08 20:50  cegger

	* regress/: testsuite.inc.c, gg/lock.c, gg/parsetarget.c,
	  gg/time.c, gii/evtimestamp.c: Implement new -n option: It implies
	  -v. It doesn't run testcases. It prints out what they would do
	  instead.

2004-08-06 20:17  pekberg

	* configure.in, input/directx/di.c, input/directx/dxinput.h,
	  input/directx/input.c: Joystick support for directx input target.
	  DirectX 7 or better is required.

2004-08-06 18:10  cegger

	* doc/man/: Makefile.am, gg-types.3, ggAddTask.3, ggCurTime.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLoadModule.3,
	  ggLockCreate.3, ggParseOptions.3, ggRegisterCleanup.3,
	  ggstrlcpy.3, libgg.7: regeneration

2004-08-06 13:57  pekberg

	* demos/tasksched.c: Eliminate race between 'o' in 'Hello' and the
	  space.

2004-08-06 13:26  pekberg

	* gg/Makefile.am: cleanup_win32.c is not for cygwin

2004-08-05 20:58  cegger

	* gg/plat.h: check against __darwin__, since it is defined when we
	  are on Mac OSX.

2004-08-05 20:39  pekberg

	* doc/libgg-types.txt: Spelling

2004-08-05 17:50  soyt

	* doc/: libgg-types.txt, libgg.txt: Added libgg-types.txt All
	  general-purpose types should be desccribed there.
	  Module-specific types or types defined for particular cases
	  should be documented in the relevant page.

2004-08-05 13:47  cegger

	* gg/misc.c: back out rev. 1.19. Local variables that are static
	  are allocated in the global data area - usually used for global
	  variables. The global data area is zero filled at startup as
	  stated in the ANSI / ISO C89 specification.

2004-08-05 12:37  cegger

	* gg/misc.c: put a comment about the assumption here

2004-08-05 11:10  pekberg

	* gg/misc_win32.c: Check return value of the LoadLibrary call

2004-08-05 11:09  pekberg

	* gg/misc.c: Small cleanup

2004-08-05 09:48  cegger

	* gg/misc.c: - Change len to size_t to match the return type of
	  strlen(3).  - As a BSD Variant, Darwin always has asprintf(3).
	  Simplifies and makes	 sure there's no buffer overflow.  -
	  Introduce need_ptr2free flag and free ptr when set. It is not set
	  by default.  - Set need_ptr2free on Darwin when $HOME is not
	  set. Fixes memory leak.

2004-08-05 09:13  pekberg

	* gg/misc.c: Eliminate curpath race

2004-08-05 09:05  cegger

	* gg/misc.c: check for __darwin__ than __MACH__ && __APPLE__.
	  __darwin__ is defined in plat.h when we are on Mac OSX.

2004-08-05 09:03  pekberg

	* configure.in, gg/Makefile.am, gg/misc.c, gg/misc_win32.c: On
	  win32, fall back to the 'My Documents' folder in case HOME is not
	  set.	Also on win32, check the TMP and TEMP variables for a path
	  in case nither of the above yields a path.

2004-08-03 23:34  nsouch

	* m4/mutexes.m4: Backout last change as libtool actually removes
	  -lc_r.

2004-08-02 17:00  nsouch

	* regress/: gg/Makefile.am, gii/Makefile.am: Compilation breaks
	  with missing pthread symbols. Add ${GGDLLIBS} to link flags.

2004-08-02 17:00  nsouch

	* m4/mutexes.m4: -lc_r is recognized on FreeBSD but -pthread fits
	  better.

2004-07-29 16:23  ggibecka

	* gii/gii.c: bugfix: iterate over input substructe in
	  giiSplitInputs(3) as giiFindDeviceInfo(3) does. Makes
	  giiSplitInputs(3) working.

2004-07-29 15:41  ggibecka

	* gg/init.c: Important bugfix: Only call abort and friends, if we
	  did _not_ succeed to shut down gracefully. This bug was
	  introduced with the last patch not noticing that there was an
	  "&&" which was meant to say "only exit, if the graceful cleanup
	  didn't work out".

2004-07-28 09:24  cegger

	* regress/: Makefile.am, testsuite.inc.c, gg/lock.c,
	  gg/parsetarget.c, gg/time.c, gii/evtimestamp.c: rename
	  common.inc.c rev 1.5 to testsuite.inc.c. This name change should
	  make people more obvious which file each unit test must include
	  in case there are mutliple inclusion files.

2004-07-28 07:50  cegger

	* autogen.sh: echo -n only works on linux, *BSD and darwin. Use
	  printf to make it work on all platforms including System V

2004-07-10 13:16  pekberg

	* demos/tasksched.c: Make it build on Win32 with workaround for
	  lack of sleep()

2004-06-23 11:27  pekberg

	* regress/gii/evtimestamp.c: make a commit to clear the execution
	  bit.

2004-06-23 10:55  pekberg

	* include/ggi/internal/gii.h: Make event timestamps strictly
	  monotonic (forgotten dir)

2004-06-23 06:52  pekberg

	* input/directx/: di.c, dxinput.h, dxinputkb.h, input.c: - Tries to
	  uses the actual keyboard layout, and only fall back	to the
	  hardcoded defines when that does not work.  - Makes shift and
	  caps lock bring you capital letters.	- Dead keys support
	  (GIIK_VOID in sym, synthetic press/release   events if
	  non-matching key is hit after the dead key).	- Renamed Caps, Num
	  and Scroll to CapsLock, NumLock etc.	- Mouse wheel support.	-
	  Support for up to 4 mouse buttons (2 previously).  - Support for
	  emPtrRelative.  - emPtrRelative is made the default, but one can
	  still request   emPtrAbsolute (targetcan includes emPtrAbsolute,
	  but not   curreventmask on init).  - Fixed a bug so that a lot of
	  surplus emPtrAbsolute events are   killed.

2004-06-23 06:40  pekberg

	* gii/: gii.c, init.c: Make event timestamps strictly monotonic

2004-06-23 06:38  pekberg

	* regress/gii/: Makefile.am, evtimestamp.c: Add regression test for
	  strict event timestamp monotonicity

2004-06-20 13:24  cegger

	* TODO: justify TODO item to fit 80 columns. Tell that the thread
	  about device info can be found at
	  http://marc.theaimsgroup.com/?t=99360726100002&r=1&w=2

2004-06-06 20:23  cegger

	* m4/swar.m4: backout changes from 1.5 to 1.6. Sync rev 1.5 to
	  tools/buildframework/ instead.

2004-06-06 20:15  cegger

	* m4/swar.m4: sync with new versions from tools/buildframework/

2004-06-06 01:27  cegger

	* demos/inputinfo.c: Don't trigger gii to resend the device info.
	  They're send by the input-target at opening time. This leads to
	  double devinfo output.

2004-06-05 16:09  cegger

	* demos/: Makefile.am, inputinfo.c: new libgii demo: inputinfo.
	  It's there to show all information about available input sources.
	  Useful for input target writers, that can't use libggi's
	  inputdump.

2004-06-05 00:49  aldot

	* configure.in, gg/init.c: cleanup ggExit; check for _EXIT and fall
	  back to alternatives

2004-06-05 00:47  aldot

	* input/x/xev.c: add a debug print mentioning that the buffer was
	  too small

2004-06-05 00:42  aldot

	* m4/swar.m4: quote message string

2004-06-05 00:41  aldot

	* demos/tasksched.c, filter/mouse/filter.c,
	  input/linux_evdev/input.c, input/linux_joy/input.c: make some
	  variables static

2004-06-05 00:40  aldot

	* gii/gii.c, input/stdin/input.c, input/x/input.c: add cast

2004-06-05 00:39  aldot

	* demos/demo.c, demos/mhub.c, filter/keytrans/filter.c,
	  filter/tcp/filter.c: use proper type format

2004-06-01 22:15  cegger

	* regress/gg/: lock.c, parsetarget.c, time.c: Make tests verbose at
	  runtime via the -v option.

	  common.inc.c changes: - add parseopts() function that parses
	  options.  - add printhelp() function. What it does is (hopefully)
	  self-explaining.  - parseopts() enables verbose mode with -v
	  option, any other option calls printhelp().	 It is called first
	  from the main().  - add printdesc() function. Intended to print
	  out a one-liner to give the caller   a summary what this
	  regression testsuite is for. Usually called right after
	  parseopts().	- add description argument to printteststart. Only
	  print it out, when verbose   mode is enabled.

	  testsuite changes: - add description argument to testcaseX()
	  functions, which in turn passes them	 to printteststart(). It is
	  probably a good idea to have testcase descriptions   in one place
	  - namely in the main() function - to ease searching.	- make
	  main() functions call new parseopts() and printdesc().

2004-06-01 19:05  pekberg

	* demos/tasksched.c: adjust to change of ggTimeBase implementation

2004-06-01 12:59  pekberg

	* gg/task.c: Return the length of the tick in us, not the tick
	  frequency.

2004-05-28 23:22  aldot

	* gg/sigsched.c: add cast to last argument of exec*()

2004-05-28 20:50  cegger

	* doc/man/ggAddTask.3: regeneration

2004-05-28 18:42  pekberg

	* doc/libgg-functions.txt: 1 second is 1,000,000 microseconds

2004-05-27 23:00  aldot

	* input/linux_evdev/key.c: use KEY_103RD if defined

2004-05-27 08:40  cegger

	* regress/gg/lock.c: test ggTryLock(3) more rigorously.

2004-05-27 08:29  cegger

	* gg/ptlock.c: Bugfix: return GGI_EBUSY than -1 as documented.
	  Fixes assertion failure in the libgg lock regression test.

2004-05-27 08:23  cegger

	* regress/gg/lock.c: print out actual return value, when assertion
	  fails.

2004-05-27 07:55  pekberg

	* regress/gg/: Makefile.am, lock.c: add ggLock test

2004-05-27 05:50  cegger

	* regress/gg/Makefile.am: common.inc.c has been moved one directory
	  level up. So remove remaining reference.

2004-05-26 15:03  pekberg

	* regress/gg/time.c: take system time steping into account fix
	  typos

2004-05-26 09:53  cegger

	* regress/gg/time.c: fix ggUSlumber() check to reality

2004-05-26 07:05  pekberg

	* regress/gg/time.c: better messages on failure

2004-05-26 06:13  pekberg

	* regress/gg/time.c: add test if time() and ggCurTime() agrees.

2004-05-25 21:41  cegger

	* regress/gg/: parsetarget.c, time.c: add sort of expected result
	  as 3rd argument to printteststart(). Add EXPECTED2PASS and
	  EXPECTED2FAIL #defines for use of this new 3rd argument. The
	  testframework now tells you, if the result of the testcase is as
	  exptected or not.

2004-05-25 21:21  cegger

	* regress/gg/time.c: add check for ggUSlumber().

2004-05-25 20:43  pekberg

	* regress/gg/: Makefile.am, time.c: add regression test for recent
	  ggCurTime bug found on win32

2004-05-25 12:09  pekberg

	* configure.in, gg/time.c: fix horrid implementation of ggCurTime
	  on win32 (it warped every minute).

2004-05-25 09:40  pekberg

	* demos/Makefile.am, regress/gg/Makefile.am: Remove explicit
	  references to $(THREADLIBS) as they are no longer needed.  This
	  is taken care of implicitly by the recent ltmain.sh update.

2004-05-24 09:02  pekberg

	* ltmain.sh: add -pthread to the library dependencies so that
	  dependant libraries do not have to detect if -pthread needs to be
	  specified. Fixes nuisance on FreeBSD 4.1

2004-05-22 09:22  cegger

	* doc/man/: filter-key.7, filter-mouse.7, filter-save.7,
	  filter-tcp.7, ggAddTask.3, ggCurTime.3, ggGetSwarType.3,
	  ggGetUserDir.3, ggInit.3, ggLoadModule.3, ggLockCreate.3,
	  ggParseOptions.3, ggRegisterCleanup.3, ggstrlcpy.3,
	  giiEventPoll.3, giiEventSend.3, giiInit.3, giiMTInit.3,
	  giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3, giiQueryValInfo.3,
	  giiSetEventMask.3, gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3, input-directx.7, input-file.7,
	  input-linux-evdev.7, input-linux-kbd.7, input-linux-mouse.7,
	  input-lk201.7, input-mouse.7, input-tcp.7, libgg.7, libgii.7:
	  regeneration

2004-05-22 09:07  soyt

	* doc/libgii-functions.txt: xml reminiscence eradication squad was
	  here

2004-05-21 22:26  aldot

	* gii/init.c: return GGI_ENOTALLOC instead of -1 when giiExit is
	  called while	 not yet initialized to be consistent with the
	  other libs.

2004-05-21 22:07  cegger

	* doc/man/: filter-key.7, filter-mouse.7, filter-save.7,
	  filter-tcp.7, ggAddTask.3, ggCurTime.3, ggGetSwarType.3,
	  ggGetUserDir.3, ggInit.3, ggLoadModule.3, ggLockCreate.3,
	  ggParseOptions.3, ggRegisterCleanup.3, ggstrlcpy.3,
	  giiEventPoll.3, giiEventSend.3, giiInit.3, giiMTInit.3,
	  giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3, giiQueryValInfo.3,
	  giiSetEventMask.3, gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3, input-directx.7, input-file.7,
	  input-linux-evdev.7, input-linux-kbd.7, input-linux-mouse.7,
	  input-lk201.7, input-mouse.7, input-tcp.7: regeneration

2004-05-21 21:54  cegger

	* doc/man/: filter-key.7, filter-mouse.7, filter-save.7,
	  filter-tcp.7, ggAddTask.3, ggCurTime.3, ggGetSwarType.3,
	  ggGetUserDir.3, ggInit.3, ggLoadModule.3, ggLockCreate.3,
	  ggParseOptions.3, ggRegisterCleanup.3, ggstrlcpy.3,
	  giiEventPoll.3, giiEventSend.3, giiInit.3, giiMTInit.3,
	  giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3, giiQueryValInfo.3,
	  giiSetEventMask.3, gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3, input-directx.7, input-file.7,
	  input-linux-evdev.7, input-linux-kbd.7, input-linux-mouse.7,
	  input-lk201.7, input-mouse.7, input-tcp.7, libgg.7, libgii.7:
	  regeneration

2004-05-21 20:15  aldot

	* configure.in: for a debug-build only add "-g" to the flags if the
	  compiler supports it.  at least my gcc only has "-Wreturn-type"
	  and not the plural.

2004-05-21 20:09  aldot

	* doc/libgg-functions.txt, doc/libgii-structures.txt,
	  filter/tcp/man.txt, input/file/man.txt: fix some typos in
	  documentation

2004-05-20 08:02  cegger

	* doc/man/: Makefile.am, ggAddTask.3, ggCurTime.3, ggDelTask.3,
	  ggFreeModule.3, ggGetSymbolAddress.3, ggLoadModule.3,
	  ggLockCreate.3, ggParseOptions.3, ggSystemOptions.3,
	  ggTimeBase.3, ggUSleep.3, ggUSlumber.3, ggstrlcat.3, ggstrlcpy.3:
	  regeneration

2004-05-20 08:01  cegger

	* doc/libgg-functions.txt: fixup ggLock()\'s example code.  add
	  manpages for ggstrlcpy(3) and ggstrlcat(3)

2004-05-19 12:21  skids

	* TODO:
	  Make TODO items more descriptive.  I'll get to the LibGGI list
	  later.

2004-05-16 12:09  cegger

	* regress/gg/parsetarget.c: add file parameter to printteststart().
	  Using __FILE__ in common.inc.c leads to report the wrong
	  filename. Regression tests now report the real test filename.

2004-05-16 09:35  cegger

	* gg/: ptsched.c, win32sched.c: Initialize defer. There was a code
	  path to use it uninitialized in an if condition.

2004-05-15 22:05  cegger

	* gg/ptsched.c:
	  fix copy & paste bug: destroy the ssmtx mutex.

	  Fixes assertion failure about invalid mutex within libpthread on
	  NetBSD 2.0 platform.

2004-05-15 17:36  cegger

	* doc/man/: ggGetSwarType.3, ggGetUserDir.3, ggInit.3,
	  ggLockCreate.3, ggRegisterCleanup.3, libgg.7, libgii.7:
	  regeneration

2004-05-14 08:52  pekberg

	* m4/mutexes.m4: sync with new versions from tools/buildframework/

2004-05-13 22:17  aldot

	* doc/man/libgg.7: typo in documentation

2004-05-12 19:57  pekberg

	* m4/mutexes.m4: Test different pthread options on all arches

2004-05-12 09:44  pekberg

	* gii/gii.c, gii/unix.c, input/mouse/input.c, input/tcp/input.c,
	  filter/mouse/filter.c, filter/tcp/filter.c: strings.h is needed
	  on e.g. AIX 4.2

2004-05-09 20:08  cegger

	* config.guess, config.sub: sync with new versions from
	  tools/buildscripts/

2004-05-09 12:27  cegger

	* config.guess, config.sub, depcomp, install-sh: sync with new
	  versions from tools/buildscripts/

2004-05-09 08:20  cegger

	* demos/Makefile.am: for individual_LDADD, LDADD is not added...
	  bah!

2004-05-08 20:51  cegger

	* regress/: Makefile.am, gg/parsetarget.c: move common.inc.c from
	  regress/gg to regress.

	  gii and gg regression tests can easier share code this way.

2004-05-08 20:47  cegger

	* regress/gg/Makefile.am: use LDADD for common dependencies

2004-05-08 20:42  cegger

	* demos/Makefile.am: use LDADD for common dependencies

2004-05-08 20:40  cegger

	* configure.in, m4/mutexes.m4: rename THREADLIB -> THREADLIBS for
	  consistency with libggi's threads.m4.

2004-05-03 06:29  cegger

	* m4/mutexes.m4: cleanup if conditions. catch freebsd 4.x generally
	  not only 4.10

2004-05-02 23:02  nsouch

	* demos/Makefile.am, m4/mutexes.m4, regress/gg/Makefile.am:
	  Make libgii & libggi compile with pthreads. Tested on R5.1, but
	  should also work on 4.10.

	  The way the freebsd platform is recognized is not perfect yet,
	  freebsd5.1 and freebsd4.10 are hardwired in libgii/m4/mutexes.m4
	  and libggi/configure.in.

	  Note that to test libgii linking in libggi/configure.in, the
	  -pthread must have been detected first and --enable-threads is
	  mandatory in libggi at least on FreeBSD...

2004-05-02 07:33  cegger

	* filter/tcp/Makefile.am: Provide a dummy target for platforms
	  (i.e. Linux/amd64 and Solaris 9/sparc64) that try to follow the
	  symlink, whyever they do...

	  Issue found by autobuilder

2004-04-30 05:56  cegger

	* filter/tcp/Makefile.am: remove reference to undefined
	  source-target. Most platforms fail on that.

2004-04-29 21:17  cegger

	* filter/tcp/Makefile.am:
	  create symlink of libtcp.c in the builddir.  This prevents
	  touching the sourcedir and fixes a race condition when multiple
	  builds run on multiple machines over nfs over the same sources.

2004-04-23 04:32  cegger

	* .cvsignore: ignore autom4te.cache

2004-04-20 21:06  pekberg

	* m4/mutexes.m4: fix --enable-mutexes so that you can select
	  builtin. Select pthread by default for cygwin.

2004-04-17 22:50  cegger

	* regress/gg/Makefile.am: add common.inc.c to EXTRA_DIST. Needed
	  for 'make distcheck'

2004-04-17 22:49  cegger

	* gg/Makefile.am: add ggtick to DIST_SUBDIRS. Needed for 'make
	  distcheck'

2004-04-17 22:01  cegger

	* doc/Makefile.am: env.txt and input.txt no longer exists

2004-04-17 16:11  cegger

	* m4/mutexes.m4: substitute THREADLIB

2004-04-17 15:33  cegger

	* configure.in: clean check for vgl.h requires <sys/fbio.h> as
	  default include. Fixes configure warnings on FreeBSD, when the
	  configure script has been generated with autoconf 2.5x

2004-04-17 14:28  cegger

	* m4/mutexes.m4, configure.in: autodetect mutex type

2004-04-16 21:52  cegger

	* gg/ggtick/ggtick.c: reordering headers eliminates warnings about
	  redundant declarations of errno on OpenBSD 3.4

2004-04-12 18:06  cegger

	* gg/plat.h: undo rename of plat.h -> plat.h.in. INSTALL_PREFIX is
	  now provided via config.h

2004-04-12 13:38  cegger

	* regress/gg/parsetarget.c: make use of basic regression framework

2004-04-11 21:56  cegger

	* regress/gg/: Makefile.am, parsetarget.c:
	  add unit tests for ggParseTarget().  Feel free to add more
	  testcases.

2004-04-10 17:53  cegger

	* configure.in: undo rename. provide INSTALL_PREFIX via config.h

2004-04-09 22:25  cegger

	* config.guess, config.sub: update to version shipped with libtool
	  1.5.4

2004-04-09 22:24  cegger

	* install-sh, mkinstalldirs: update to version shipped with
	  automake 1.8.3

2004-04-08 05:18  skids

	* configure.in, gg/sigsched.c:
	  Make signals restart system calls when SA_RESTART or siginterrupt
	  supported Do some paranoid error checking (I felt energetic)

2004-04-06 21:45  cegger

	* configure.in, gg/plat.h, gg/sigsched.c: rename plat.h to
	  plat.h.in. Now configure generates plat.h. Use INSTALL_PREFIX as
	  base path where to try to start ggtick from. ggtick now runs,
	  when non-default install path is used

2004-04-06 17:39  cegger

	* configure.in: add INSTALL_PREFIX to fix assumption about where to
	  find ggtick (/usr/local/bin/)

2004-04-05 23:11  ggibecka

	* include/ggi/input/xwin.h, input/x/input.c: Focus pulling fix.
	  Largely untested. Sorry. Hope it works.

2004-04-04 21:14  cegger

	* gii/gii.c: alow -> allow

2004-04-04 15:48  skids

	* demos/Makefile.am, demos/tasksched.c, gg/Makefile.am, gg/init.c,
	  gg/sigsched.c:
	  Add first cut of signal-based scheduler driver.  Still need to
	  work on path to ggtick (including GGI -noinst testing) Make
	  tasksched more brutal and avoid ggUSleep wakeups itimer/alarm
	  implementations still TODO (needed?)

2004-04-03 22:03  skids

	* configure.in, gg/Makefile.am:
	  Remove obselete dlpthreads bug-workaround.

2004-04-03 22:01  skids

	* demos/tasksched.c:
	  Use values more likely to cause a defer when stress-testing.

2004-04-02 23:45  cegger

	* gg/: Makefile.am, dummytask.c: add dummytask to provide the task
	  symbols for builtin and ptlock mutexes. libgg builds on solaris
	  again since the provided symbols matches EXPSYMS file

2004-03-29 15:29  pekberg

	* gg/Makefile.am, gg/win32sched.c, include/ggi/internal/gg.h: add
	  MT scheduler for win32

2004-03-29 13:09  skids

	* gg/: ptsched.c, task.c:
	  Split up _tick function to allow dl list to be built before
	  signalling secondary threads.  Other locking tweaks.

2004-03-29 11:57  pekberg

	* configure.in, include/ggi/system.h.in: include
	  winsock.h/winsock2.h in system.h on mingw

2004-03-29 11:27  pekberg

	* gg/time.c: Sleep does not return a value, it is declared void

2004-03-28 19:12  skids

	* configure.in, m4/dlopen.m4, m4/swar.m4:
	  Retire acconfig.h by using 3-argument form of AC_DEFINE

2004-03-28 18:36  skids

	* input/linux_evdev/eventparse.c: unistd.h is needed

2004-03-28 18:36  skids

	* configure.in, doc/libgg-functions.txt, gg/Makefile.am, gg/misc.c,
	  gg/ptsched.c, gg/sigsched.c, gg/time.c, gg/ggtick/ggtick.c,
	  include/ggi/gg.h, include/ggi/system.h.in, m4/Makefile.am,
	  m4/time.m4:
	  Provide true functions for time-related API Fix ggUSleep for
	  usecs > 999999 on rumored cretinous platforms Ensure/document
	  consistant behavior/prototypes for time-related API Added
	  ggUSlumber Changed usecs parm to sint32 for int16 systems (thanks
	  bughunter for noticing) Rework some autoconf stuff This
	  eliminates the need for windows.h in gg/system.h Please ignore
	  the trash in sigsched.c for now

2004-03-28 18:01  skids

	* m4/dlopen.m4:
	  Fix GGDLLIBS for "configure -C"

2004-03-28 15:59  skids

	* demos/tasksched.c:
	  Demo for task scheduler.  This is not being added to Makefile.am
	  yet, until the signal-based scheduler driver is committed, so as
	  not to break compiles without threads.

2004-03-28 13:52  skids

	* configure.in:
	  Quick bugfix for w32 sleep usecs->msecs conversion.  Someone
	  please test this and put into stable before I commit new drastic
	  alterations to devel.

2004-03-19 21:38  cegger

	* Makefile.am: put directory structure for unit tests in place

2004-03-19 09:19  pekberg

	* gg/: Makefile.am, cleanup.c, cleanup.h, cleanup_stubs.c,
	  cleanup_win32.c, init.c: separate win32 cleanup stuff into a new
	  file

2004-03-19 00:13  cegger

	* configure.in, regress/.cvsignore, regress/Makefile.am,
	  regress/gg/.cvsignore, regress/gg/Makefile.am,
	  regress/gii/.cvsignore, regress/gii/Makefile.am: put directory
	  structure for unit tests in place

2004-03-18 22:01  soyt

	* gii/gii.c: Improve device registration a bit: - return meaningful
	  error code in _giiUnregisterDevice - make sure there is a free
	  device id in _giiRegisterDevice - device origins are now counted
	  from 1, device 0 being the   whole input

2004-03-18 19:31  soyt

	* README, doc/libgii-libraries.txt: Removed doc/env.txt
	  doc/inputs.txt as content moved to manpages. Avoid duplication.

2004-03-17 14:05  skids

	* TODO:
	  Item for libgg for later.

2004-03-17 14:03  pekberg

	* gg/init.c: cleanup when libgg is detached from the process,
	  cleans up when exit/_exit/ExitProcess is called

2004-03-17 11:26  pekberg

	* gg/init.c: fix stupid typo. always compile first. always. always.
	  always.

2004-03-17 08:25  pekberg

	* gg/ggtick/.cvsignore: add .cvsignore that ignores Makefile.in

2004-03-17 08:24  pekberg

	* gg/: cleanup.c, init.c: trigger cleanups using structured
	  exception handling on win32

2004-03-16 23:02  skids

	* gg/Makefile.am, gg/init.c, gg/ptsched.c, gg/task.c,
	  include/ggi/gg.h, include/ggi/internal/gg.h:
	  Threads implementation of new scheduler API (signal based one
	  will follow) Build system tricked not to break non-threaded build
	  Scheduler demo app not included for build-system reasons Small
	  fix for cleanups (base 10 parse of GG_OPTS)

2004-03-16 05:01  skids

	* doc/libgg-functions.txt:
	  A couple minor fixes to new cleanup code/docs

2004-03-15 01:33  skids

	* gg/ptlock.c:
	  Silence most of the messy pthreads warnings.

2004-03-14 22:33  soyt

	* doc/libgg-functions.txt: corrected gg doc format

2004-03-14 20:23  skids

	* doc/libgg-functions.txt, doc/libgg.txt, gg/cleanup.c, gg/init.c,
	  include/ggi/internal/gg.h:
	  What I hope is a pretty watertight new cleanup implementation.
	  (We should no longer have to worry about cleanups ever being
	  called >1 times.) Bugfixes/changes for new $GG_OPTS environment
	  variable Docs for above

2004-03-09 23:41  skids

	* doc/libgg-functions.txt, gg/init.c:
	  Explicitly specify ggInit and ggExit behavior in threaded
	  environments.  (and do a little silly-case work to make it so.)

2004-03-09 21:05  soyt

	* doc/: libgg-functions.txt, libgg.txt: A few typos and format bug.
	  verbatim block is:\n	'::', an empty line and idented content.

2004-03-09 06:02  skids

	* gg/time.c:
	  Proposed code/TODO hints for implementing ggUSlumber and
	  providing a consistant prototype and behavior for ggUSleep.

	  This is untested code, may not even compile.	I am only providing
	  it in case someone wants to work on it before I get back to
	  working on it myself.

2004-03-08 07:59  pekberg

	* gg/win32lock.c: come in line with new API. Makes libgg compiling
	  again with win32 locks. Take two...

2004-03-08 07:59  pekberg

	* gg/win32lock.c: come in line with new API. Makes libgg compiling
	  again with win32 locks

2004-03-08 06:36  cegger

	* gg/gglock.c: come in line with new API. Makes libgg compiling
	  again with builtin locks

2004-03-08 04:03  skids

	* gg/debug.c, gg/ptlock.c, include/ggi/gg.h,
	  include/ggi/internal/gg.h:
	  New ptlock implementation compliant with the proposed GG 1.0
	  specs.

	  Note we may have to roll back the prototype change on
	  ggLock/ggUnlock but I'm putting it in here for now.

	  This doesn't play well with the old mansync, but that has very
	  suspicious looking code where threads are cancelled helter
	  skelter, so I'm not going to try to debug that, just replace it
	  with a task-driven implementation later.  The end result is that
	  for those daring enough to compile with threading, "demo" will be
	  somewhat broken (it is the only thing that uses sync mode anyway
	  IIRC.)

2004-03-07 21:40  skids

	* gg/init.c, include/ggi/internal/gg.h:
	  Add processing of GG_OPTS -banswar flag to turn off SWARs at
	  runtime.

2004-03-07 21:19  skids

	* gg/init.c, include/ggi/internal/gg.h:
	  Ad GG_OPTS environment variable support.  None of the options do
	  anything yet, but they are parsed now.

2004-03-07 21:14  skids

	* demos/cpuinfo.c:
	  Bugfix: Don't call LibGG functions without initializing LibGG
	  first.

2004-03-07 20:57  skids

	* gg/parse.c:
	  Fix oopsie in ParseOptions tweak.  Some build-system weirdness
	  prevented me from seeing error on compile.

2004-03-07 20:22  skids

	* gg/parse.c:
	  Accept '-' as an ordered/unnamed qualifier in addition to ':' in
	  ggParseOptions This makes it easier to deal with reuse of the
	  gg_options array.

2004-03-07 19:14  skids

	* doc/: libgg.txt, libgg-functions.txt:
	  These are (some of the) docs for the proposed specification for a
	  LibGG 1.0 release API.  Please hold off on reedits, there is
	  still more work to do on them (missing plugin system config
	  functions etc.)

	  I will bring this matter to the mailing list when I'm done with
	  the proposed API, along with a highlight of how this API differs
	  from the current LibGG API.

2004-03-03 00:02  cegger

	* gg/ggtick/ggtick.c: fprintf specifies int, so pass an int. Fixes
	  gcc 3.3.2 warning on Solaris

2004-03-02 22:18  cegger

	* gg/plat.h: need limits.h

2004-03-02 22:18  cegger

	* gg/misc.c: PATH_MAX is defined in plat.h

2004-03-02 07:30  pekberg

	* gg/win32lock.c: implement win32 locks with semaphores instead of
	  critical sections to get the lock subtleties right

2004-03-02 06:12  cegger

	* gg/ggtick/Makefile.am: add newline at end of line. There are some
	  bogus tools out there, which only recognizes an EOF after an EOL
	  properly.

2004-03-02 01:33  skids

	* gg/cleanup.c, gg/init.c, include/ggi/internal/gg.h:
	  Call any remaining cleanup functions when unnested ggExit() is
	  called under normal circumstances.

	  This prevents callback functions from staying until exit,
	  especially a bad thing when they rely on LibGG mallocs.

2004-03-02 01:22  skids

	* configure.in, gg/Makefile.am, gg/ggtick/Makefile.am,
	  gg/ggtick/ggtick.c:
	  Second pass at adding the new ggtick executable forthe scheduler
	  + Add ggtick directory to the build system.  + Fix includes in
	  ggtick.c + Fix some mistakes in the ggtick subdir Makefile.am

2004-03-01 23:32  skids

	* gg/ggtick/: Makefile.am, ggtick.c:
	  Add a new tiny binary to do the killing for the task scheduler.
	  The old mansync code forked, which could cause resource
	  consumption due to c-o-w of large amounts of r/w data in the
	  parent.

2004-03-01 10:44  soyt

	* doc/man/: ggGetSwarType.3, ggInit.3, ggLockCreate.3,
	  giiEventPoll.3, giiInit.3, giiMTInit.3, giiOpen.3,
	  giiSetEventMask.3, gii_key_event.3, libgii.7: corrected
	  admonitions

2004-02-29 19:32  cegger

	* m4/: checktypes.m4, winfuncs.m4:

	  fix automake 1.8 warning: underquoted definition of
	  <function-name>

2004-02-26 23:49  cegger

	* configure.in: check for limits.h. Used by quad.h

2004-02-26 23:00  aldot

	* doc/: libgg-functions.txt, libgii-functions.txt: fix a few typos
	  in the documentation

2004-02-26 22:36  cegger

	* doc/man/: Makefile.am, ggCleanupForceExit.3, ggExit.3,
	  ggGetSwarType.3, ggGetUserDir.3, ggInit.3, ggLock.3,
	  ggLockCreate.3, ggLockDestroy.3, ggRegisterCleanup.3,
	  ggTryLock.3, ggUnlock.3, ggUnregisterCleanup.3, libgg.7: generate
	  manpages for libgg.

2004-02-26 09:59  pekberg

	* configure.in, gg/Makefile.am, gg/win32lock.c: use win32 critical
	  sections for ggLocks on mingw, configure with --enable-mutexes to
	  get them

2004-02-26 07:30  pekberg

	* configure.in: test the dinput.h header the way it is used

2004-02-25 10:16  pekberg

	* configure.in: kill configure 'present but not compiled' warnings
	  on cygwin

2004-02-24 10:20  cegger

	* doc/man/: filter-key.7, filter-mouse.7, filter-save.7,
	  filter-tcp.7, giiEventPoll.3, giiEventSend.3, giiInit.3,
	  giiOpen.3, giiSetEventMask.3, gii_cmd_event.3,
	  gii_cmddata_getdevinfo.3, gii_cmddata_getvalinfo.3, gii_event.3,
	  gii_key_event.3, gii_pbutton_event.3, input-file.7,
	  input-linux-evdev.7, input-linux-kbd.7, input-linux-mouse.7,
	  input-lk201.7, input-mouse.7, input-tcp.7, libgii.7: regenerate
	  again. This time with the improvements in manpage.py

2004-02-23 22:13  cegger

	* input/linux_kbd/input.c: read unicode symbols correctly. Patch
	  from Aurelien Reynaud

2004-02-23 15:18  cegger

	* doc/man/: filter-key.7, filter-keytrans.7, filter-mouse.7,
	  filter-save.7, filter-tcp.7, giiEventPoll.3, giiEventSend.3,
	  giiInit.3, giiMTInit.3, giiOpen.3, giiPanic.3,
	  giiQueryDeviceInfo.3, giiQueryValInfo.3, giiSetEventMask.3,
	  gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3, input-directx.7, input-file.7,
	  input-linux-evdev.7, input-linux-kbd.7, input-linux-mouse.7,
	  input-lk201.7, input-mouse.7, input-tcp.7, libgii.7: regeneration

2004-02-23 15:09  pekberg

	* include/ggi/system.h.in: add comment for new meaning of EXPORTVAR
	  and IMPORTVAR (now used in declarations, not definitions)

2004-02-23 14:42  pekberg

	* gg/dl_win32.c: PATH_MAX is defined in plat.h

2004-02-23 14:16  pekberg

	* filter/keytrans/filter.c, filter/mouse/filter.c,
	  filter/save/filter.c, filter/tcp/filter.c, gg/Makefile.am,
	  gg/misc.c, gii/init.c, include/ggi/Makefile.am,
	  include/ggi/gg-defs.h, include/ggi/gg.h, include/ggi/gii-defs.h,
	  include/ggi/gii-unix.h, include/ggi/gii.h,
	  include/ggi/system.h.in, include/ggi/internal/gii-dl.h,
	  include/ggi/internal/gii.h, include/ggi/internal/gii_debug.h,
	  input/cocoa/input.m, input/directx/input.c,
	  input/fdselect/input.c, input/file/input.c, input/inputX/input.c,
	  input/ipaq_touchscreen/input.c, input/kii/input.c,
	  input/linux_evdev/input.c, input/linux_joy/input.c,
	  input/linux_kbd/input.c, input/linux_mouse/input.c,
	  input/lk201/input.c, input/mouse/input.c, input/null/input.c,
	  input/pcjoy/input.c, input/spaceorb/input.c, input/stdin/input.c,
	  input/tcp/input.c, input/touchscreen/zaurus.c, input/vgl/input.c,
	  input/x/input.c: Make use of the EXPORT*/IMPORT* macros defined
	  in include/ggi/system.h

2004-02-23 14:15  pekberg

	* m4/libtool.m4: Use dllwrap instead of dlltool to create dlls on
	  windows

2004-02-23 07:51  soyt

	* doc/libgii-libraries.txt: added a see also section in libgii

2004-02-19 06:17  pekberg

	* m4/libtool.m4: Do not generate import libraries on the fly as
	  impgen.c (embedded in m4/libtool.m4) does not support dlls
	  exporting variables

2004-02-16 10:21  cegger

	* gg/quad/: adddi3.c, anddi3.c, ashldi3.c, ashrdi3.c, cmpdi2.c,
	  divdi3.c, fixdfdi.c, fixsfdi.c, fixunsdfdi.c, fixunssfdi.c,
	  floatdidf.c, floatdisf.c, floatunsdidf.c, iordi3.c, lshldi3.c,
	  lshrdi3.c, moddi3.c, muldi3.c, negdi2.c, notdi2.c, qdivrem.c,
	  subdi3.c, ucmpdi2.c, udivdi3.c, umoddi3.c, xordi3.c:
	  <sys/cdefs.h> isn't needed if used at all. So remove it.

2004-02-16 00:45  cegger

	* gg/Makefile.am: Make 'make distcheck' work again on non-Solaris,
	  non-Cygwin and non-Mingw platforms.

2004-02-12 13:38  cegger

	* doc/libgg.txt: typo fix:

	  ggUsleep -> ggUSleep

2004-02-12 07:16  cegger

	* doc/libgg.txt: typo fixes:

	  noboy -> nobody ggUnRegisterCleanup -> ggUnregisterCleanup

2004-02-12 00:55  agraef

	* gii/unix.c: fix potentially blocking select()

2004-02-12 00:55  skids

	* doc/libgg.txt:
	  Some meat for soyt to chew on.

2004-02-12 00:50  skids

	* include/ggi/system.h.in:
	  Add some defs to devel branch to replace some last bits of "GGI"
	  invading the LibGG namespace.  This will have to be a gradual
	  phase-out but now LibGG internal code can start to use the new
	  defs at least.  (That is, the new defs are not "official" until a
	  LibGG version bump happens.)

2004-02-11 18:53  cegger

	* gg/: dl_darwin.c, plat.h: move PATH_MAX definition to plat.h

2004-02-11 16:03  pekberg

	* include/ggi/system.h.in: fix segmentation fault at dll load on
	  cygwin and mingw

2004-02-10 06:32  cegger

	* m4/libtool.m4: make install works on mingw. Patch from Peter
	  Ekberg.

2004-02-06 12:51  cegger

	* gg/: Makefile.am, dl_win32.c: cygwin uses dlopen(). mingw uses
	  LoadLibrary(). Thus only mingw needs dl_win32.c Patch from Peter
	  Ekberg.

2004-02-04 14:27  cegger

	* configure.in, gg/Makefile.am, gg/dl_win32.c, gg/plat.h,
	  input/tcp/libtcp.c: Patch from Peter Ekberg:

	  Current status cygwin - everything seem to compile and build
	  correctly - libgii seems to work (demo output is as I expect it
	  to be and keystrokes are reported) - programs linked against
	  libggi sadly segfaults in _cygwin_dll_entry@12   before they get
	  to main.  - windows.h is no longer included by ggi/system.h -
	  libg* are no longer linked against wsock32.dll.

	  Current status mingw - not worse than before

	  libgii/configure.in - check for struct timeval in sys/time.h
	  first, then time.h and last in winsock*.h to avoid -lwsock32 on
	  cygwin.  - check for select in libc first to avoid -lwsock32 on
	  cygwin.  - check for usleep first, then Sleep, to avoid windows.h
	  on cygwin (from cegger).  - check for gettimeofday first, then
	  GetSystemTime, to avoid windows.h on cygwin.

	  libgii/gg/Makefile.am - add dl_win32.c to get errors from failed
	  LoadLibrary calls on mingw.

	  libgii/gg/plat.h - wrap GGOPENLIB and GGDLERROR to get errors
	  from failed LoadLibrary calls on mingw.

	  libgii/input/tcp/libtcp.c - don't include winsock*.h on cygwin.
	  - add ifdef HAVE_UNISTD_H

2004-01-31 21:57  cegger

	* input/kii/.cvsignore: tell cvs, which files to ignore

2004-01-31 11:31  cegger

	* gg/quad/quad.h: fix typo. Fixes compiling on Solaris.

2004-01-31 11:14  cegger

	* checkversion.sh: forgot to disable debug output. Handle 1.4-p5
	  string correctly

2004-01-31 11:05  cegger

	* checkversion.sh: make it work on solaris

2004-01-30 18:37  cegger

	* autogen.sh: automake 1.5 supports sources in subdirectories. So
	  automake 1.5 is required, not 1.6

2004-01-30 16:06  cegger

	* gg/quad/: adddi3.c, anddi3.c, ashldi3.c, ashrdi3.c, cmpdi2.c,
	  divdi3.c, fixdfdi.c, fixsfdi.c, fixunsdfdi.c, fixunssfdi.c,
	  floatdidf.c, floatdisf.c, floatunsdidf.c, iordi3.c, lshldi3.c,
	  lshrdi3.c, moddi3.c, muldi3.c, negdi2.c, notdi2.c, qdivrem.c,
	  quad.h, subdi3.c, ucmpdi2.c, udivdi3.c, umoddi3.c, xordi3.c:
	  remove GGI license as suggested by Eric Faurot on IRC. It's
	  enough when NetBSD's license is there - untouched\!

2004-01-30 15:55  cegger

	* gg/quad/: adddi3.c, anddi3.c, ashldi3.c, ashrdi3.c, cmpdi2.c,
	  divdi3.c, fixdfdi.c, fixsfdi.c, fixunsdfdi.c, fixunssfdi.c,
	  floatdidf.c, floatdisf.c, floatunsdidf.c, iordi3.c, lshldi3.c,
	  lshrdi3.c, moddi3.c, muldi3.c, negdi2.c, notdi2.c, qdivrem.c,
	  quad.h, subdi3.c, ucmpdi2.c, udivdi3.c, umoddi3.c, xordi3.c:
	  change comment as suggested by Eric Faurot

2004-01-30 15:50  cegger

	* gg/quad/quad.h: comment previous

2004-01-30 15:00  cegger

	* gg/quad/quad.h: make sure, LLONG_MIN and LLONG_MAX is defined on
	  cygwin. Issue found by Peter Ekberg.

2004-01-30 11:22  cegger

	* gg/Makefile.am: Cygwin and Mingw also takes care about the
	  symbols declared in EXPSYMS. So we need to compile the 64bit
	  assembly operations there, too, independent if actually needed or
	  not to make libgii compile again on cygwin and mingw

2004-01-30 11:19  cegger

	* m4/libtool.m4: The macros AC_PROVIDE_AC_LIBTOOL_DLOPEN and
	  AC_PROVIDE_AC_LIBTOOL_WIN32_DLL only exists without the
	  AC_PROVIDE_ prefix

2004-01-30 09:49  cegger

	* checkversion.sh: match patch version numbers correctly

2004-01-30 09:36  cegger

	* autogen.sh, checkversion.sh: check for required autoconf &
	  automake versions

2004-01-29 17:22  cegger

	* gg/Makefile.am: compile 64bit sw code only on Solaris as this is
	  the only one OS, which really needs them for now...

2004-01-29 16:58  cegger

	* gg/: Makefile.am, quad/.cvsignore, quad/adddi3.c, quad/anddi3.c,
	  quad/ashldi3.c, quad/ashrdi3.c, quad/cmpdi2.c, quad/divdi3.c,
	  quad/fixdfdi.c, quad/fixsfdi.c, quad/fixunsdfdi.c,
	  quad/fixunssfdi.c, quad/floatdidf.c, quad/floatdisf.c,
	  quad/floatunsdidf.c, quad/iordi3.c, quad/lshldi3.c,
	  quad/lshrdi3.c, quad/moddi3.c, quad/muldi3.c, quad/negdi2.c,
	  quad/notdi2.c, quad/qdivrem.c, quad/quad.am, quad/quad.h,
	  quad/subdi3.c, quad/ucmpdi2.c, quad/udivdi3.c, quad/umoddi3.c,
	  quad/xordi3.c: add software implementation of 64bit assembler
	  instructions from NetBSD-current 2003-12-29. It's usually libc's
	  job providing the symbols, but solaris libc doesn't. This causes
	  a linking failure about unknown symbols. The addition of these
	  symbols makes libgalloc compile again on Solaris.

2004-01-29 16:19  cegger

	* configure.in: use GGI_CHECKOS. Simplifies maintainance of OS
	  dependecy

2004-01-29 16:13  cegger

	* m4/Makefile.am: add GGI_CHECKOS macro from libggi

2004-01-29 14:29  cegger

	* input/mouse/Makefile.am: add missing -no-undefined. Fixes linking
	  failure on cygwin and mingw. Fix from Peter Ekberg.

2004-01-29 11:34  cegger

	* m4/libtool.m4: backport fix from libtool 1.5: tell cygwin where
	  to find its libraries. Fixes linking failure. Patch from Peter
	  Ekberg.

2004-01-29 10:17  cegger

	* configure.in: add executable suffix to demos, so that the demos
	  are recognized as those on cygwin and mingw. Spotted by Peter
	  Ekberg (peda) on IRC.

2004-01-28 15:34  cegger

	* input/spaceorb/Makefile.am: spaceorb uses select. So we need to
	  link against $(SELECTLIBS). Fixes linking failure on cygwin and
	  mingw. Spotted by Peter Ekberg.

2004-01-27 20:52  cegger

	* configure.in: mingw requires correct prototype from header for
	  linking. Thus AC_CHECK_LIB doesn't work on mingw. configure now
	  finds select() in libwsock32. Reviewed and tested by Peter Ekberg
	  on IRC.

2004-01-27 09:58  cegger

	* configure.in, include/ggi/system.h.in: back out last change. This
	  breaks compiling process on the cygwin platform (conflicting
	  types for select from sys/select.h and w32api/winsock2.h).
	  FreeBSD has to find a better way than this. Sorry.

2004-01-24 16:08  cegger

	* missing, compile, depcomp, config.guess, config.sub, install-sh,
	  mkinstalldirs: update to version shipped with automake 1.8.2

2004-01-23 09:25  cegger

	* filter/tcp/Makefile.am: don't copy. Make a symlink instead. 'make
	  distcheck' no longer fails on FreeBSD

2004-01-23 00:09  cegger

	* ltmain.sh: reapply revision 1.10: add fixes from and for OpenBSD

2004-01-22 23:56  cegger

	* ltmain.sh: reapply fix from revision 1.9: Use ${SED} consistently

2004-01-22 23:16  cegger

	* ltmain.sh: update libtool to debian libtool1.4-1.4.3-19

2004-01-22 23:09  cegger

	* m4/libtool.m4: update libtool to debian libtool1.4-1.4.3-19

2004-01-22 21:35  cegger

	* config.guess, config.sub: update to the version shipped in debian
	  package libtool1.4-1.4.3-19

2003-12-20 17:52  cegger

	* m4/Makefile.am: make sure there are all *.m4 files are added.
	  Alphabetize them.

2003-12-17 20:42  nsouch

	* configure.in, include/ggi/system.h.in: Fix the xf86dga
	  compilation on FreeBSD a better way than including directly extra
	  .h

2003-12-15 13:54  cegger

	* input/linux_evdev/: key.c, linux_evdev.h: portability fix: Move
	  back to 'unsigned int'. Using __u16 breaks compiling on SuSE 7.2
	  with kernel 2.4.4.

2003-12-13 14:48  cegger

	* config.guess, config.sub, depcomp, missing: update to version
	  shipped by automake 1.7.9

2003-12-13 11:50  cegger

	* include/ggi/internal/gii.h: add prototypes for previous.

2003-12-13 11:49  cegger

	* gii/: EXPSYMS, gii.c: rename _giiSendDevInfo ->
	  _giiStdSendDevInfo, _giiSendValEvent -> _giiStdSendValEvent to
	  make it more obvious, that they are standard implementations and
	  not a must to use in the input targets.

2003-12-13 10:11  cegger

	* gii/gii.c: make this compile again. Issue found on NetBSD/i386

2003-12-10 17:52  cegger

	* gii/: gii.c, EXPSYMS: add default implementations of the devinfo
	  sender and of the valuator sender as most input targets implement
	  them.

2003-11-30 16:47  skids

	* input/linux_evdev/key.c:
	  Shield older linux kernels from newer linux-input keysyms, at
	  least enough to get compilaton.  Note some incorrect keysyms
	  would result if a input-linux .so compiled with old kernel
	  headers was used with a new kernel.  This should hopefully fix
	  Christoph's SUSE compile.

2003-11-30 07:22  skids

	* TODO:
	  Add reminder in TODO list to remove comment from keyboard.h on
	  next release Also -- adendum to last commit -- added ifdefs
	  around linux-input EV_* defs as EV_RST is no longer defined on
	  newer kernels and was preventing compilation.

2003-11-30 07:18  skids

	* include/ggi/keyboard.h, input/linux_evdev/eventparse.c,
	  input/linux_evdev/input.c, input/linux_evdev/key.c,
	  input/linux_evdev/linux_evdev.h:
	  Add key defs for remote controls, digi pads, etc.  Reduce some
	  case statements to linear mappings where appropriate.  Made some
	  variables unsigned in futile attempt to fix ioctl signedness
	  warning.  Use __u16 to maybe fix the problem with casting in
	  GII_levdev_key2label

2003-11-19 08:58  cegger

	* gg/cleanup.c: fixed 'comparison between signed and unsigned'
	  warnings on mingw32

2003-11-16 19:04  soyt

	* doc/libgg-functions.txt: format fix

2003-11-08 23:44  cegger

	* gg/conf.c: fix bugs introduced by the move to ggstrlcat() /
	  ggstrlcpy(). The .include directive works again.

2003-10-29 16:25  cegger

	* m4/dlopen.m4: bugfix: do further dlopen() checks, when not found
	  in libc

2003-10-23 09:16  cegger

	* m4/dlopen.m4: searching for dlopen in the C headers isn't enough.
	  We have to check through the lib. Issue found on SuSE Linux 7.2

2003-10-23 09:11  cegger

	* demos/Makefile.am: simplify a bit

2003-10-23 08:45  cegger

	* gg/Makefile.am: don't link against -lwsock32 on cygwin. Then
	  cygwin creates shared libs

2003-10-23 08:17  cegger

	* input/x/: input.c, xev.h: include gii headers first to avoid
	  conflicts with cygwin headers

2003-10-23 08:12  cegger

	* input/file/input.c: include gii headers first to avoid conflicts
	  with cygwin headers

2003-10-22 22:40  cegger

	* input/cocoa/Makefile.am: add missing cocoa.h

2003-10-22 16:13  cegger

	* demos/Makefile.am: Last change broke non-cygwin plattforms. So
	  undo it, until a better way is found

2003-10-22 15:59  cegger

	* input/mouse/input.c: fix 'comparison between signed and unsigned'
	  value warning

2003-10-22 15:53  cegger

	* demos/Makefile.am: demos also need symbols from libgg and the
	  lib, where select is defined (cygwin plattform)

2003-10-22 15:45  cegger

	* demos/: cpuinfo.c, demo.c, filter.c, mhub.c: include gii header
	  first to avoid conflicts with cygwin headers

2003-10-22 15:29  cegger

	* filter/tcp/filter.c: #include unistd.h - needed for write()

2003-10-22 15:24  cegger

	* input/spaceorb/input.c, filter/save/filter.c: include gii headers
	  first to avoid conflicts between unix and cygwin headers

2003-10-22 15:21  cegger

	* configure.in: inet_aton() is available on cygwin, but only within
	  the broken headers. So we can't use it. :(

2003-10-22 15:20  cegger

	* input/tcp/libtcp.c: standard unix headers are broken on cygwin.
	  So only include them, we are NOT on cygwin.

2003-10-22 14:30  cegger

	* input/tcp/input.c: fix warnings about 'comparisons between signed
	  and unsigned' values on cygwin

2003-10-22 14:23  cegger

	* input/tcp/input.c: #include <unistd.h>. Needed for read().

2003-10-22 11:27  cegger

	* configure.in: simplify check for select

2003-10-22 11:13  cegger

	* configure.in: reorder check for select(), so that libgii gets
	  linked against -lwsock32 on cygwin

2003-10-22 09:31  cegger

	* include/ggi/system.h.in: add EXPORTFUNC / IMPORTFUNC for win32.

2003-10-22 09:11  cegger

	* gii/unix.c: fix 'comparison between signed and unsigned' warnings
	  on cygwin

2003-10-22 08:59  cegger

	* configure.in: check for GetSystemTime() first, then for
	  gettimeofday(). Issue found on cygwin.

2003-10-22 08:53  cegger

	* gii/init.c: /usr/include/w32api/winsock2.h:95:2: warning:
	  #warning "fd_set and associated macros have been defined in
	  sys/types. This may cause runtime problems with W32 sockets" -
	  fixed on cygwin

2003-10-22 08:24  cegger

	* gg/Makefile.am: add selectlibs. Cygwin needs this.

2003-10-21 11:21  cegger

	* gii/unix.c: reorder header inclusion. This fixes the cygwin
	  warning

	  /usr/include/w32api/winsock2.h:95:2: warning: #warning "fd_set
	  and associated ma cros have been defined in sys/types.      This
	  may cause runtime problems with W 32 sockets"

2003-10-21 11:12  cegger

	* gii/: dl.c, gii.c: reorder header inclusion. This fixes the
	  cygwin warning

	  /usr/include/w32api/winsock2.h:95:2: warning: #warning "fd_set
	  and associated ma cros have been defined in sys/types.      This
	  may cause runtime problems with W 32 sockets"

2003-10-21 11:09  cegger

	* gg/debug.c, include/ggi/gg.h: reorder header inclusion. This
	  fixes the cygwin warning

	  /usr/include/w32api/winsock2.h:95:2: warning: #warning "fd_set
	  and associated ma cros have been defined in sys/types.      This
	  may cause runtime problems with W 32 sockets"

2003-10-19 13:13  cegger

	* m4/dlopen.m4: simplify dlopen check. Don't forget to add the lib
	  to GGDLLIBS where dlopen has been found

2003-10-19 13:13  cegger

	* configure.in: remove dlopen handling. This has been moved to
	  dlopen.m4

2003-10-19 12:54  cegger

	* gg/plat.h: thanks to configures more aggressive dlopen() search,
	  the workaround for SVR4 is no longer needed

2003-10-19 12:32  cegger

	* configure.in, m4/dlopen.m4: configure didn't find dlopen() on too
	  many platforms. So move the dlopen checks to a new
	  GGI_CHECK_DLOPEN macro for more aggressive checks

2003-10-18 17:59  cegger

	* gg/plat.h: #define _XOPEN_SOURCE where _POSIX_C_SOURCE is defined

2003-10-13 22:43  cegger

	* gg/plat.h: found generic SYSV defines in NetBSD Mail Archive.
	  Replaced Solaris specific by generic SYSVR4 #defines

2003-10-13 22:29  cegger

	* gg/plat.h: *grrr* configure doesn't define HAVE_DLOPEN on
	  Solaris, although it finds dlopen().

2003-10-13 22:16  cegger

	* input/vgl/key2event.c: i -> tmp. Fixes compiler warning about
	  locally shadowed variable. Found, fixed and tested on FreeBSD 4.9
	  prerelease on SF Compilefarm.

2003-10-13 22:08  cegger

	* gg/plat.h: only #define dlopen, when dlopen is available.
	  Example: Darwin is also posix compliant and does NOT have
	  dlopen().  Change _POSIX_SOURCE -> _POSIX_C_SOURCE to get
	  additional POSIX features on *BSD systems

2003-10-13 22:02  cegger

	* gg/misc.c: also use /tmp, when _POSIX_C_SOURCE is defined

2003-10-13 21:17  cegger

	* gg/: conf.c, parse.c: strcasecmp() is not POSIX, but SYSV. So we
	  fall back to strcmp() if not available.

2003-10-13 20:45  cegger

	* gg/conf.c: strcasecmp() is defined in strings.h, so we add it

2003-10-13 07:26  cegger

	* input/linux_evdev/: input.c, linux_evdev.h: commit brian's
	  multi-input fix, which is still lagging around before it gets
	  lost. I've made it use of ggstrlcpy()

2003-10-13 07:14  cegger

	* gg/parse.c: minor cosmetics

2003-10-09 15:05  cegger

	* configure.in: tell gcc to notice deverlopers to add missing
	  includes :)

2003-10-08 16:24  cegger

	* input/linux_mouse/input.c: minor cleanups

2003-10-08 16:21  cegger

	* input/linux_joy/input.c: make use of new string bounded functions

2003-10-08 16:17  cegger

	* input/: kii/kii.c, linux_evdev/input.c: include <ggi/gg.h> -
	  needed for ggstrlcpy

2003-10-08 16:15  cegger

	* input/kii/kii.c: make use of new string bounded functions

2003-10-08 16:12  cegger

	* gg/: conf.c, dl.c, dl_darwin.c, misc.c, parse.c: make use of new
	  string bounded functions

2003-10-08 10:13  cegger

	* include/ggi/gg.h, gg/string.c: Damn! It's impossible to implement
	  ggsnprintf() and ggasprintf() in a portable way unless we copy
	  lots of code from BSD libc

2003-10-08 09:40  cegger

	* configure.in, gg/Makefile.am, gg/string.c, include/ggi/gg.h: add
	  ggstrlcpy(), ggstrlcat(), ggsnprintf() and ggasprintf().
	  Implementation copied from OpenBSD.

2003-10-07 21:57  cegger

	* input/kii/kii.c: SECURITY FIX: Don't forget to set the null
	  termination.

2003-10-07 21:42  cegger

	* input/kii/kii.c: SECURITY FIXES: Use snprintf() and only use
	  strncpy() when available. Correct use of size parameter of
	  strncpy() to not loose the null-termination.

2003-10-07 21:14  nsouch

	* input/kii/kii.c: Update FreeBSD target

2003-10-06 18:26  cegger

	* input/linux_mouse/input.c: include strings.h, when available
	  (contains strcasecmp())

2003-10-06 18:24  cegger

	* configure.in: SYSV moved some string functions to strings.h

2003-10-06 18:23  cegger

	* gg/: cleanup.c, conf.c, dl.c, init.c, intlock.c, memdebug.c,
	  misc.c, parse.c, plat.h, ptlock.c: include plat.h first due to
	  the #defines. This avoids some (but not all) warnings about
	  redundant declarations in C headers on SYSV systems.

2003-10-05 08:28  cegger

	* input/mouse/Makefile.am: linking fix from Albert Graef.

2003-10-05 08:14  cegger

	* gg/plat.h: compile fix from Albert Graef.

2003-10-05 08:10  cegger

	* filter/mouse/filter.c: compile fix from Albert Graef. Found when
	  compiling under cygwin.

2003-09-24 21:46  cegger

	* configure.in: reenable substitution of OBJCDEPMODE as it is
	  mandatory to compile the quartz target. So it's better to ignore
	  the weakness of automake 1.6.x

2003-09-22 19:50  cegger

	* depcomp, install-sh: update to version shipped by automake 1.7.6

2003-08-11 08:31  soyt

	* doc/libgii-functions.txt, doc/libgii-structures.txt,
	  filter/keytrans/man.txt, filter/mouse/man.txt,
	  filter/save/man.txt, filter/tcp/man.txt, input/file/man.txt,
	  input/linux_evdev/man.txt, input/linux_kbd/man.txt,
	  input/linux_mouse/man.txt, input/lk201/man.txt,
	  input/mouse/man.txt, input/tcp/man.txt: fix formating in doc

2003-08-09 13:49  cegger

	* gg/cpuid_ia32.c: conversion from 'unsigned long' to 'int' may
	  loose accuracy - part 2/2

2003-08-09 13:31  cegger

	* gg/cpuid_ia32.c: conversion from 'unsigned long' to 'int' may
	  loose accuracy

2003-08-03 21:02  cegger

	* configure.in, gg/Makefile.am: make automake 1.6.x happy again

2003-07-20 14:44  cegger

	* m4/checktypes.m4: add the missing check for 8 bit datatypes.
	  Everyone, who think, I've broken everything in the last committs
	  I did, please recompile and reinstall everything from scratch!

2003-07-13 14:54  cegger

	* demos/demo.c: code cleanup

2003-07-13 10:57  cegger

	* configure.in: use alpha* rather than alpha-* to also catch
	  alphaev*

2003-07-13 10:46  cegger

	* gg/Makefile.am: *grrr* automake 1.4 is a pain. 1.6.x and 1.7.x
	  versions are much much better

2003-07-13 09:47  cegger

	* autogen.sh: make it more verbose to see, what's currently
	  running. This is surely more interesting on slow machines

2003-07-13 06:28  cegger

	* filter/tcp/filter.c: fix warning: comparison between signed and
	  unsigned

2003-07-13 06:25  cegger

	* gii/gii.c: fix warning: comparison between signed and unsigned

2003-07-13 00:02  cegger

	* configure.in, m4/checktypes.m4: move checks for datatypes into a
	  macro. Simplifies configure.in

2003-07-12 22:04  cegger

	* gg/: cpuid_alpha.c, cpuid_ia32.c, cpuid_ppc.c, cpuid_sparc.c:
	  remove unneeded #ifndef ... #endif

2003-07-12 19:19  cegger

	* autogen.sh: automake > 1.4 is too verbose. Only mistakes are of
	  interest.

2003-07-12 19:17  cegger

	* gg/Makefile.am, gg/cpuid.c, gg/cpuid.h, gg/cpuid_alpha.c,
	  gg/cpuid_ia32.c, gg/cpuid_ppc.c, gg/cpuid_sparc.c, configure.in:
	  cpuid cleanup

2003-07-12 06:14  cegger

	* gg/dl_darwin.c: add missing statics

2003-07-09 08:55  cegger

	* config.guess, config.sub: update from
	  ftp://ftp.gnu.org/gnu/config/

2003-07-06 17:48  cegger

	* input/spaceorb/input.c: don't shadow devname() under Darwin.
	  devname() is declared in <stdlib.h>

2003-07-06 17:43  cegger

	* input/linux_mouse/input.c: don't shadow devname() under Darwin.
	  devname() is declared in <stdlib.h>

2003-07-05 15:29  cegger

	* configure.in: -Wcast-align is a bad idea on sparc

2003-07-05 15:27  cegger

	* input/tcp/libtcp.c: fix comparison between signed and unsigned
	  values under Solaris/sparc

2003-07-05 12:49  cegger

	* configure.in: -Wbad-function-cast misleads gcc confusing the user
	  about doing wrong things, although it's right

2003-07-04 22:38  cegger

	* configure.in, demos/demo.c, demos/filter.c, demos/mhub.c,
	  filter/keytrans/filter.c, filter/mouse/filter.c,
	  filter/save/filter.c, filter/tcp/filter.c, gg/conf.c, gg/cpuid.c,
	  gg/dl.c, gg/parse.c, gii/gii.c, include/ggi/internal/Makefile.am,
	  include/ggi/internal/gii-dl.h, include/ggi/internal/gii.h,
	  input/cocoa/input.m, input/directx/input.c,
	  input/fdselect/input.c, input/file/input.c, input/inputX/input.c,
	  input/ipaq_touchscreen/input.c, input/kii/input.c,
	  input/linux_evdev/eventparse.c, input/linux_evdev/input.c,
	  input/linux_joy/input.c, input/linux_kbd/input.c,
	  input/linux_mouse/input.c, input/lk201/input.c,
	  input/mouse/input.c, input/mouse/packetparse.c,
	  input/null/input.c, input/pcjoy/input.c, input/spaceorb/input.c,
	  input/stdin/input.c, input/tcp/input.c, input/tcp/libtcp.h,
	  input/touchscreen/zaurus.c, input/vgl/input.c, input/x/input.c:
	  big code cleanup - lots of compiler warning fixes - new
	  <ggi/internal/gii_target.h> declaring prototypes all input/filter
	  targets must implement

2003-07-03 12:26  cegger

	* configure.in, input/tcp/libtcp.c, m4/winfuncs.m4: a bunch of
	  cygwin fixes

2003-07-01 10:25  cegger

	* gg/: gglock.c, init.c, intlock.c, ptlock.c: use new internal gg.h
	  allowing gcc better syntax checking

2003-07-01 10:23  cegger

	* include/ggi/internal/: Makefile.am, gg.h: add internal header
	  file for libgg

2003-07-01 10:21  cegger

	* gii/gii.c: add missing include

2003-07-01 10:21  cegger

	* include/ggi/internal/gii-dl.h: add missing prototype

2003-07-01 10:20  cegger

	* configure.in: make gcc find more bogus stuff

2003-07-01 10:11  cegger

	* include/ggi/gg.h, gg/debug.c: don't shadow sync() declared in
	  <unistd.h>

2003-06-29 14:55  cegger

	* TODO: refactor TODO items for roadmap over libgii 0.9.x to GGI
	  3.0 (containing libgii 1.0)

2003-06-12 08:05  cegger

	* config.guess, config.sub, install-sh: update to the version
	  shipped by automake 1.7.5

2003-05-25 20:15  skids

	* input/kii/kii.c:
	  Use debug facility for informational messages.

2003-05-20 10:31  cegger

	* gg/dl_darwin.c: fix memory leak

2003-05-19 11:54  cegger

	* input/kii/kii.c: merge improvements from FreeBSD's ports tree

2003-05-12 22:03  cegger

	* input/x/input.c: add missing header

2003-05-12 22:01  cegger

	* input/x/input.c: eek - use right bool op

2003-05-12 21:59  cegger

	* input/x/input.c: add -nokeyfocus option to disable the keyboard
	  focus. Keyboard focus is enabled by default though.

2003-05-12 21:44  cegger

	* input/stdin/input.c: cleanup stdin input option handling. May fix
	  concurrent access on multiple use of stdin input.

2003-05-12 20:54  cegger

	* input/x/input.c: ungrab keyboard and pointer on exit

2003-05-12 20:26  cegger

	* input/x/input.c: The X window has the keyboard focus even the
	  mouse is beyond the window

2003-05-09 22:08  cegger

	* configure.in: warn on incomplete switch/case handling

2003-05-04 20:48  cegger

	* input/cocoa/Makefile.am: get rid of AM_LDFLAGS. automake prior to
	  1.6 (1.5?) isn't aware of this.

2003-05-04 20:09  cegger

	* configure.in: make Objective-C work with automake 1.7.x.

2003-04-28 20:57  cegger

	* configure.in: partially implemented cpuid for powerpc plus fixed
	  some obj-c issues for cocoa input target

2003-04-28 20:55  cegger

	* gg/cpuid.c: partially implemented cpuid for powerpc

2003-04-28 17:23  cegger

	* demos/cpuinfo.c: change license to public domain. GGI libraries
	  are BSD licensed, demos public domain.

2003-04-25 20:16  cegger

	* include/ggi/gg.h: mark long long constant explicitely as long
	  long. This silences gcc 3.3 about: integer constant is to large
	  for type "long"

2003-04-22 20:15  cegger

	* configure.in: make gcc more silence and warn about more serious
	  things

2003-04-18 14:59  soyt

	* doc/libgii-functions.txt: formating cleanups

2003-04-14 13:01  cegger

	* configure.in: remove -Wno-unused-parameter. gcc 2.95.3 is not
	  aware of it.

2003-04-13 21:34  cegger

	* gg/plat.h: cygwin doesn't require the '_'. Found by Paul Redmond

2003-04-13 15:38  cegger

	* configure.in: silence gcc a little

2003-04-13 02:23  ggibecka

	* include/ggi/events.h: Stop GCC complaining about singed/unsigned
	  comparisions due to non-casted constants.

2003-04-12 21:04  cegger

	* filter/mouse/filter.c, input/linux_evdev/eventparse.c,
	  input/linux_joy/input.c, input/linux_kbd/input.c: gcc 3.3 warning
	  fixes

2003-04-12 18:30  cegger

	* include/ggi/internal/gii.h: the right gcc 3.3 fix

2003-04-12 15:35  skids

	* doc/libgg-functions.txt:
	  Add descriptions of SWAR flags.

2003-04-12 15:08  cegger

	* demos/mhub.c, include/ggi/internal/gii.h: gcc 3.3 warning fixes

2003-04-12 13:56  soyt

	* doc/: libgg-functions.txt, libgg.txt: docfix

2003-04-12 13:48  soyt

	* doc/: libgg-functions.txt, libgg.txt: added documentation for
	  libgg

2003-04-12 10:35  ggibecka

	* gg/cleanup.c: Fixed initialisation issue, if sigaction is
	  defined.

2003-04-02 10:46  soyt

	* input/file/man.txt, filter/keytrans/man.txt,
	  filter/mouse/man.txt, filter/save/man.txt, filter/tcp/man.txt,
	  input/linux_evdev/man.txt, input/linux_kbd/man.txt,
	  input/linux_mouse/man.txt, input/lk201/man.txt,
	  input/mouse/man.txt, input/tcp/man.txt: formating fixes

2003-04-01 14:12  soyt

	* filter/save/man.txt, input/tcp/man.txt: fixed man references

2003-04-01 13:29  soyt

	* doc/libgii-structures.txt: corrected manpage ref

2003-04-01 10:55  soyt

	* doc/libgii-libraries.txt, input/directx/man.txt,
	  input/file/man.txt, filter/keytrans/man.txt,
	  filter/mouse/man.txt, filter/save/man.txt,
	  input/linux_evdev/man.txt, input/linux_kbd/man.txt,
	  input/linux_mouse/man.txt, input/lk201/man.txt,
	  input/mouse/man.txt, input/tcp/man.txt, filter/tcp/man.txt: ReST
	  for modules

2003-03-31 20:57  cegger

	* README: update

2003-03-31 20:43  cegger

	* NEWS: merge revisions 1.4 - 1.4.2.1 from stable branch_0_8:

	  add release notes for 0.8.3

2003-03-31 20:28  cegger

	* TODO: TODO

2003-03-30 19:33  soyt

	* doc/libgii-structures.txt: typo

2003-03-30 19:09  soyt

	* doc/: libgii-functions.txt, libgii-libraries.txt,
	  libgii-structures.txt, libgii.txt: ReST version of documentation

2003-03-30 11:46  cegger

	* input/mouse/packetparse.c, demos/demo.c, demos/filter.c: fixed
	  compiler warnings about comparison between signed and unsigned
	  values

2003-03-30 11:16  cegger

	* configure.in: make gcc more verbose

2003-03-30 11:10  cegger

	* gg/cpuid.c: make the code more human readable for non-emacs users
	  and fixed compiler warnings about comparison 'signed with
	  unsigned values'

2003-03-30 11:00  cegger

	* gg/cleanup.c: fix compiler warning about comparison between
	  signed and unsigned values

2003-03-19 23:06  cegger

	* configure.in, gii/Makefile.am: update version info to make more
	  clear where the devel tree is going to

2003-03-16 21:53  cegger

	* TODO: update

2003-03-04 15:58  soyt

	* doc/man/: filter-keytrans.7, filter-mouse.7, filter-save.7,
	  filter-tcp.7, giiOpen.3, gii_cmd_event.3,
	  gii_cmddata_getdevinfo.3, gii_cmddata_getvalinfo.3, gii_event.3,
	  gii_key_event.3, gii_val_event.3, input-file.7,
	  input-linux-evdev.7, input-linux-kbd.7, input-linux-mouse.7,
	  input-lk201.7, input-mouse.7, input-tcp.7: yet another serial
	  commit of manpage fixes

2003-03-03 21:34  soyt

	* doc/man/: filter-tcp.7, input-mouse.7, input-tcp.7: manpages
	  update

2003-03-02 16:55  soyt

	* doc/man/: Makefile.am, gii_cmd_nodata_event.3: forgot
	  gii_cmd_nodata_event.3

2003-03-02 16:53  soyt

	* doc/man/: Makefile.am, filter-keytrans.7, filter-mouse.7,
	  filter-save.7, filter-tcp.7, giiEventPoll.3, giiEventSend.3,
	  giiInit.3, giiMTInit.3, giiOpen.3, giiPanic.3,
	  giiQueryDeviceInfo.3, giiQueryValInfo.3, giiSetEventMask.3,
	  gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_pmove_event.3,
	  gii_val_event.3, input-file.7, input-linux-evdev.7,
	  input-linux-kbd.7, input-linux-mouse.7, input-lk201.7,
	  input-mouse.7, input-tcp.7, libgii.7: improved formating of
	  manpages and added input-file reference

2003-03-01 14:05  soyt

	* doc/man/input-lk201.7: manpage fixes

2003-03-01 12:22  soyt

	* doc/man/: filter-keytrans.7, filter-mouse.7, filter-save.7,
	  filter-tcp.7, giiEventPoll.3, giiEventSend.3, giiInit.3,
	  giiMTInit.3, giiOpen.3, giiPanic.3, giiQueryDeviceInfo.3,
	  giiQueryValInfo.3, giiSetEventMask.3, gii_cmd_event.3,
	  gii_cmddata_getdevinfo.3, gii_cmddata_getvalinfo.3, gii_event.3,
	  gii_expose_event.3, gii_key_event.3, gii_pbutton_event.3,
	  gii_pmove_event.3, gii_val_event.3, input-directx.7,
	  input-linux-evdev.7, input-linux-kbd.7, input-linux-mouse.7,
	  input-lk201.7, input-mouse.7, input-tcp.7, libgii.7: improved
	  manpages

2003-02-28 22:55  soyt

	* doc/man/: filter-key.7, filter-keytrans.7, filter-mouse.7,
	  filter-save.7, filter-tcp.7, giiEventPoll.3, giiEventSend.3,
	  giiInit.3, giiMTInit.3, giiOpen.3, giiPanic.3,
	  giiQueryDeviceInfo.3, giiQueryValInfo.3, giiSetEventMask.3,
	  gii_cmd_event.3, gii_cmddata_getdevinfo.3,
	  gii_cmddata_getvalinfo.3, gii_event.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_phystype.3,
	  gii_pmove_event.3, gii_val_event.3, gii_valrange.3,
	  input-directx.7, input-linux-evdev.7, input-linux-kbd.7,
	  input-linux-mouse.7, input-lk201.7, input-mouse.7, input-tcp.7:
	  manpages must look much much better now.

2003-02-26 21:40  cegger

	* config.guess, config.sub, depcomp: update to the version shipped
	  by automake 1.7.3

2003-02-13 13:34  fries

	* gg/plat.h: nobody has tested this on i386/elf .. the '_' as a
	  symbol prefix is only valid on OpenBSD/a.out .. aka x86 .. sparc,
	  however, is elf, which is where I found this.

	  While here, steal from mplayer that OS2 and CYGWIN also need the
	  underscore

2003-02-08 17:10  skids

	* input/kii/input.c:
	  Map KII syms to GII syms and labels

2003-02-01 14:22  cegger

	* input/: directx/input.c, fdselect/input.c, file/input.c,
	  inputX/input.c, ipaq_touchscreen/input.c, linux_evdev/input.c,
	  linux_joy/input.c, linux_kbd/input.c, lk201/input.c,
	  mouse/input.c, spaceorb/input.c, stdin/input.c, tcp/input.c,
	  touchscreen/common.c, vgl/input.c, x/input.c: redo my mistake and
	  fix wrong drivers. I have realized now, that ev.cmd.data is
	  already an array. Drivers were partialy inconsitent - one time
	  right the other time wrong - which lead me to the wrong
	  direction.

2003-02-01 14:19  cegger

	* input/kii/: input.c, kii.c: add devfs support to kii - disabled
	  though, because KII_MAX_NR_DEVICES hasn't been exported to
	  userspace yet

2003-02-01 14:14  cegger

	* input/cocoa/input.m: more minor fixes

2003-02-01 13:35  cegger

	* input/: stdin/input.c, tcp/input.c, x/input.c: don't fill a
	  pointer with a casted value

2003-02-01 13:28  cegger

	* input/spaceorb/input.c: don't fill a pointer with a casted value

2003-02-01 13:20  cegger

	* input/mouse/input.c: don't fill a pointer with a casted value

2003-02-01 13:17  cegger

	* input/: file/input.c, ipaq_touchscreen/input.c: don't fill a
	  pointer with a casted value

2003-02-01 11:01  cegger

	* input/touchscreen/common.c: use casted address instead of casted
	  value

2003-02-01 10:31  cegger

	* input/touchscreen/common.c: minor cleanup

2003-01-30 23:04  cegger

	* input/cocoa/: cocoa.m, input.m: minor fixes

2003-01-27 17:18  fries

	* ltmain.sh: add fixes from and for OpenBSD

2003-01-17 11:24  cegger

	* input/linux_evdev/linux_evdev.h: fixed 'redefinition of uint16'
	  problem

2003-01-14 18:12  cegger

	* input/cocoa/input.m: remove unused variable

2003-01-12 15:24  cegger

	* configure.in: move kii target checking to the right place

2003-01-09 03:28  fspacek

	* input/kii/input.c: Buttons are 1 based

2002-12-30 23:06  cegger

	* gg/plat.h: NetBSD no longer needs the '_' prefix on symbol names.

2002-12-22 12:43  cegger

	* configure.in, libgii.conf.in, include/ggi/input/Makefile.am,
	  include/ggi/input/cocoa.h, input/Makefile.am,
	  input/cocoa/.cvsignore, input/cocoa/EXPSYMS,
	  input/cocoa/Makefile.am, input/cocoa/cocoa.h,
	  input/cocoa/cocoa.m, input/cocoa/input.m, input/cocoa/keysyms.h:
	  add cocoa input driver (requires MacOSX 10.2 or newer)

2002-12-21 16:25  cegger

	* configure.in: bump to final 0.8.2 version

2002-12-17 22:32  cegger

	* gg/plat.h: merge nicolas patch

2002-12-17 18:15  cegger

	* config.guess, config.sub, install-sh: update to the version
	  coming along with autoconf 2.57/automake 1.7.2

2002-12-17 15:25  soyt

	* doc/man/Makefile.am: Makefile.am don't get installed

2002-12-17 14:45  cegger

	* demos/Makefile.am: prevent cpuinfo from getting installed

2002-12-12 20:06  cegger

	* README: correct url

2002-12-12 15:33  cegger

	* NEWS: add user visible changes

2002-12-09 22:41  cegger

	* configure.in: bump version number to -rc5

2002-12-08 21:33  cegger

	* ltmain.sh: add fixes from debian. While here, fix debian patch:
	  use ${SED} consistently.

2002-12-07 20:02  cegger

	* input/kii/input.c: kii improvements from rodolphe and filip

2002-12-04 19:22  cegger

	* input/kii/Makefile.am: add missing file for packaging

2002-12-03 21:51  cegger

	* configure.in: bump version to -rc4

2002-11-30 15:32  fspacek

	* input/kii/: input.c, kii.c, kii.h: Moved declaration of kii
	  userspace functions to kii target.

2002-11-29 22:11  cegger

	* input/kii/input.c: add missing includes

2002-11-29 21:11  cegger

	* configure.in: typo fix: use actually defined datatype

2002-11-28 00:09  cegger

	* configure.in: mark -rc3 release

2002-11-27 20:20  soyt

	* doc/man/: Makefile.am, filter-key.7, filter-keytrans.7,
	  filter-mouse.7, filter-save.7, filter-tcp.7, giiAddEventMask.3,
	  giiClose.3, giiEventPoll.3, giiEventRead.3, giiEventSelect.3,
	  giiEventSend.3, giiEventsQueued.3, giiExit.3, giiGetEventMask.3,
	  giiInit.3, giiJoinInputs.3, giiMTInit.3, giiOpen.3, giiPanic.3,
	  giiQueryDeviceInfo.3, giiQueryDeviceInfoByNumber.3,
	  giiQueryValInfo.3, giiRemoveEventMask.3, giiSetEventMask.3,
	  giiSplitInputs.3, gii_any_event.3, gii_cmd_event.3,
	  gii_cmddata_getdevinfo.3, gii_cmddata_getvalinfo.3, gii_event.3,
	  gii_event_mask.3, gii_event_type.3, gii_expose_event.3,
	  gii_key_event.3, gii_pbutton_event.3, gii_phystype.3,
	  gii_pmove_event.3, gii_val_event.3, gii_valrange.3,
	  input-directx.7, input-linux-evdev.7, input-linux-kbd.7,
	  input-linux-mouse.7, input-lk201.7, input-mouse.7, input-tcp.7,
	  libgii.7: updated manpages

2002-11-27 09:31  cegger

	* configure.in: configure no longer searches for c++ compilers as
	  complaint by the debian packager

2002-11-25 16:16  soyt

	* doc/man/Makefile.am: updated manpages

2002-11-25 14:35  cegger

	* config.guess, config.sub, install-sh, mkinstalldirs: update to
	  the versions shipped with autoconf 2.55

2002-11-18 11:13  cegger

	* configure.in: bump version number

2002-11-15 23:12  soyt

	* doc/man/Makefile.am: updated manpages

2002-11-15 22:24  cegger

	* gg/Makefile.am, gii/Makefile.am: go back to -version-info.
	  OpenBSD has matching problems with -release

2002-11-11 12:15  cegger

	* configure.in, gg/Makefile.am, gii/Makefile.am: bump version
	  numbers

2002-11-06 23:33  cegger

	* configure.in: kii robustness fix from Bernhard Fischer

2002-11-06 23:27  cegger

	* input/kii/kii.c: kii fixes from Bernhard Fischer

2002-11-02 14:09  cegger

	* configure.in: bugfix: Check only, when not found on Solaris

2002-11-02 13:18  cegger

	* gg/: misc.c, plat.h: preprocessor cleanups, add define for
	  Solaris

2002-10-31 23:24  cegger

	* configure.in: add some checks for Solaris

2002-10-29 07:55  cegger

	* configure.in: typo fix

2002-10-27 09:21  cegger

	* include/ggi/system.h.in: don't mix up signed with unsigned

2002-10-26 23:49  skids

	* configure.in, gg/cpuid.c, m4/swar.m4:
	  SWAR detection for ALPHA CPUs.  Now why couldn't all arch's be
	  this easy?

2002-10-26 18:20  skids

	* gg/cpuid.c:
	  Fixed mistake I made translating AMD flags from original cpuid
	  source code.

2002-10-25 06:06  skids

	* configure.in:
	  Case sensitivity bug -- perhaps in the uint32 test this was
	  purposefully changed in order to disable it but still act as a
	  placeholder, so I did not fix that occurance.

2002-10-25 05:43  skids

	* configure.in, demos/cpuinfo.c, gg/cpuid.c, include/ggi/gg.h,
	  include/ggi/system.h.in, m4/swar.m4:
	  Seeing no objections to my ml post...  Redo the 64 bit SWAR stuff
	  and add conditionally available uint64 A few other minor fixes.

2002-10-24 22:17  cegger

	* configure.in: Use -DDEBUG to reenable the debugging code. It was
	  'disabled' by Eric's config.h fix

2002-10-24 22:04  cegger

	* configure.in: Use -DDEBUG to reenable the debugging code. It was
	  'disabled' by Eric's config.h fix

2002-10-24 07:28  cegger

	* config.guess, ltmain.sh, m4/libtool.m4: update to libtool 1.4.3

2002-10-21 21:17  skids

	* gg/cpuid.c:
	  Try to fix K6-II 3DNOW! false positives.  Probably I squashed
	  this bug.  + some AMD cpu's don't seem to report MMX when they
	  have 3DNOW!, and since that means they essentially have MMX, made
	  sure that those CPUs are seen as having MMX.

2002-10-21 16:51  cegger

	* ltmain.sh, m4/libtool.m4: update libtool to latest CVS version of
	  the 1.4 branch - it contains more fixes and improvements

2002-10-21 04:14  skids

	* configure.in, demos/cpuinfo.c, gg/cpuid.c:
	  sparc64 SWAR identification support.

2002-10-20 20:51  cegger

	* TODO: update

2002-10-17 21:02  cegger

	* config.guess, config.sub: update to versions shipped with
	  automake 1.7. This let configure recognize more CPU variants
	  (i.e. of mips, powerpc64 and athlon (XP))

2002-10-16 21:38  skids

	* gg/plat.h: add __CYGWIN__ to posix compliant platforms

2002-10-16 21:26  cegger

	* gg/misc.c: cygwin also uses unix-like hierarchy

2002-10-16 20:29  skids

	* gg/cpuid.c:
	  Try to make sure GCC knows which registers are clobbered, +
	  comments.

2002-10-16 06:47  cegger

	* demos/: Makefile.am, cpuinfo.c: add a SWAR info utility

2002-10-15 21:56  skids

	* configure.in, gg/Makefile.am, gg/cpuid.c, gg/parse.c,
	  include/ggi/gg.h, m4/Makefile.am, m4/swar.m4:
	  Sample of ggGetSwarType implementation (for i386).  Comments
	  welcome.

2002-10-12 16:04  cegger

	* TODO: update

2002-10-12 15:24  cegger

	* TODO: update

2002-10-09 18:00  cegger

	* m4/libtool.m4: merge in a patch from the libtool developers
	  originally written to compile KDE on Darwin. It contain's some
	  C++ fixes, too.

2002-10-09 17:15  cegger

	* ltmain.sh: merge in a patch from the libtool developers
	  originally written to compile KDE on Darwin. It contain's some
	  C++ fixes, too.

2002-10-08 22:12  cegger

	* m4/libtool.m4: backout the mistakes pico made in this file

2002-10-08 21:43  cegger

	* m4/libtool.m4: libtool BUGFIX: call gcc with correct options

2002-10-08 07:39  cegger

	* configure.in, gg/Makefile.am: do correct checking for darwin

2002-10-08 07:25  cegger

	* gg/dl_darwin.c: use PATH_MAX define stolen from misc.c

2002-10-07 20:16  cegger

	* gg/dl_darwin.c: finally add the dl loader for darwin

2002-10-07 18:55  cegger

	* config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to the version shipped with automake 1.6.3

2002-10-07 18:24  cegger

	* gg/misc.c: this works update works for darwin. I hope, this works
	  for all other plattforms, too

2002-10-07 17:11  cegger

	* gg/plat.h: remove #warning, that had only existed for debugging
	  purpose

2002-10-06 22:02  cegger

	* gg/plat.h: This update should work for both Darwin and non-Darwin
	  plattforms

2002-10-06 21:49  cegger

	* input/tcp/libtcp.c: add missing include

2002-10-05 17:22  fspacek

	* libgii.conf.in, input/kii/input.c: Minor kii improvements. Some
	  GII/KII guru should still look over this...

2002-10-04 18:58  cegger

	* configure.in: add stuff, autoscan says it's missing

2002-10-04 18:57  cegger

	* gg/Makefile.am: let libgii compile on non-darwin platforms again

2002-10-04 12:04  cegger

	* gg/: misc.c, plat.h: linux compiling fixes

2002-10-03 22:17  cegger

	* configure.in, gg/Makefile.am, gg/dl.c, gg/misc.c, gg/plat.h:
	  Darwin port: Prepares build system and plat.h for it. This commit
	  misses the dl_darwin.c file, because it doesn't compile yet.
	  Nonetheless, this commit should NOT hurt any non-darwin
	  platforms.

2002-10-01 14:25  cegger

	* TODO: update

2002-09-30 16:51  cegger

	* gg/plat.h: only include <dlfcn.h>, when it is actually present

2002-09-30 16:06  cegger

	* m4/winfuncs.m4: replacing the comparison of AC_LANG for CPLUSPLUS
	  by a stupid test == test one finally fixes the autoconf 2.5x
	  failure

2002-09-29 21:28  cegger

	* compile, depcomp: add two nice wrappers from automake 1.6

2002-09-29 21:21  cegger

	* m4/libtool.m4: update to version 1.4.2

2002-09-29 21:19  cegger

	* config.guess, config.sub, install-sh, missing, mkinstalldirs:
	  update to versions shipped by automake 1.6

2002-09-29 20:11  cegger

	* config.guess, config.sub, ltmain.sh: This libtool update adds
	  support for Darwin plus improvements for OpenBSD/NetBSD

2002-09-28 12:30  cegger

	* Makefile.am: persuade automake to not bother about COPYING and
	  AUTHORS files

2002-09-26 23:14  cegger

	* Makefile.am: don't confuse automake 1.6

2002-09-15 09:58  cegger

	* gg/misc.c: fix null pointer bug for unix/posix environments

2002-07-29 17:28  cegger

	* input/: fdselect/input.c, kii/input.c, linux_evdev/input.c,
	  pcjoy/input.c, touchscreen/common.c: don't use // comments as
	  they may break non (full) ANSI C99 conform plattforms like *BSD,
	  Solaris (using Sun's C-compiler), etc.

2002-07-29 16:04  fspacek

	* configure.in, input/Makefile.am, input/kii/EXPSYMS,
	  input/kii/Makefile.am, input/kii/input.c, input/kii/kii.c: KII
	  input target. It still needs quite a bit of work but it is enough
	  to get very trivial input going.

2002-07-23 15:18  cegger

	* gg/plat.h: fix compile error about undefined CHAR_DIRDELIM, when
	  using mingw

2002-06-15 01:38  skids

	* gii/EXPSYMS:
	  Symbol needed after soyt bugfixed the devinfos.  Not noticed
	  until cygwin build attempted.

2002-05-28 14:01  soyt

	* configure.in, include/ggi/system.h.in: Added a workaround to
	  replace atexit by on_exit on broken libc

2002-05-28 11:52  soyt

	* TODO: updated TODO

2002-05-28 10:59  soyt

	* gii/gii.c: minor spelling fixes

2002-05-24 22:02  skids

	* TODO:
	  Add TODO item for bug found by PngPanther.

2002-04-30 15:51  cegger

	* configure.in: spelling fix - stupid me

2002-04-30 15:43  cegger

	* configure.in: added check for <asm/sharp_ts.h> to decide wether
	  to build the touchscreen driver or not

2002-04-30 15:34  cegger

	* libgii.conf.in: add the sharp zaurus to the build system (patch
	  from Tobias Hunger)

2002-04-30 15:23  cegger

	* input/: Makefile.am, ipaq_touchscreen/input.c: add the sharp
	  zaurus to the build system (patch from Tobias Hunger)

2002-04-30 15:22  cegger

	* configure.in: add the sharp zaurus to the build system

2002-04-30 15:18  cegger

	* input/touchscreen/: .cvsignore, EXPSYMS, Makefile.am, common.c,
	  common.h, zaurus.c: added touchscreen driver for the Sharp Zaurus
	  written by Tobias Hunger

2002-04-01 20:17  cegger

	* input/vgl/input.c: merged fix from Nicolas Souchu

2002-03-08 19:12  fries

	* configure.in, m4/libtool.m4: support OpenBSD; may not be clean,
	  but it works

2002-03-08 10:14  fries

	* ltmain.sh: fixes for OpenBSD (could be prettier, but for now it
	  works)

2002-02-22 21:51  soyt

	* filter/keytrans/filter.c, filter/mouse/filter.c,
	  filter/save/filter.c, filter/tcp/filter.c, gii/dl.c, gii/gii.c,
	  gii/init.c, gii/unix.c, include/ggi/internal/gii.h,
	  input/directx/di.c, input/directx/input.c,
	  input/fdselect/input.c, input/file/input.c, input/inputX/input.c,
	  input/inputX/linkey.c, input/ipaq_touchscreen/input.c,
	  input/linux_evdev/eventparse.c, input/linux_evdev/input.c,
	  input/linux_evdev/key.c, input/linux_joy/input.c,
	  input/linux_kbd/input.c, input/linux_kbd/linkey.c,
	  input/linux_mouse/input.c, input/lk201/input.c,
	  input/mouse/input.c, input/mouse/packetparse.c,
	  input/null/input.c, input/pcjoy/input.c, input/spaceorb/input.c,
	  input/stdin/input.c, input/tcp/input.c, input/tcp/libtcp.c,
	  input/vgl/input.c, input/vgl/key2event.c, input/x/input.c,
	  input/x/xev.c: 'gii/internal/gii.h' doesn't include "config.h"
	  anymore.  It is moved back to the .c level it belongs.

2002-01-27 08:46  cegger

	* configure.in, filter/keytrans/filter.c, filter/mouse/filter.c,
	  input/linux_joy/input.c, input/linux_mouse/input.c: configure
	  scans for snprintf, strncat and strncpy - and make only use of
	  them, when they are actually available

2002-01-26 19:55  cegger

	* filter/keytrans/filter.c, filter/mouse/filter.c,
	  input/linux_joy/input.c, input/linux_mouse/input.c: avoid
	  possible buffer-overlow bugs

2001-12-17 14:07  cegger

	* TODO: update

2001-12-14 22:01  cegger

	* gg/Makefile.am: sync version number with libgii

2001-12-07 13:21  cegger

	* TODO: update

2001-12-07 10:50  cegger

	* gii/gii.c: fixed compiler warning: gii.c:600: warning: suggest
	  parentheses around assignment used as truth value

2001-12-06 19:26  ggibecka

	* gii/gii.c: Cache was not updated when splitting off inputs thus
	  yielding 100% CPU due to select() returning EBADF after
	  destroying a visual in a multi- visual application.

2001-12-06 18:54  ggibecka

	* gii/gii.c: hopefully fixed several locking problems with
	  splitting inputs.  fixed missing allocation of locks when in
	  threadsafe mode.

2001-12-03 14:47  cegger

	* TODO: update - user's of multiple visuals should verify, if
	  Eric's bugfix works

2001-11-12 22:57  soyt

	* input/x/input.c: A few compilation error fixed

2001-11-12 22:49  soyt

	* gii/gii.c: A few compilation error fixed

2001-11-12 22:36  soyt

	* filter/keytrans/filter.c, filter/mouse/filter.c, gii/gii.c,
	  include/ggi/internal/gii.h, input/directx/input.c,
	  input/fdselect/input.c, input/file/input.c, input/inputX/input.c,
	  input/ipaq_touchscreen/input.c, input/linux_evdev/input.c,
	  input/linux_joy/input.c, input/linux_kbd/input.c,
	  input/lk201/input.c, input/mouse/input.c, input/spaceorb/input.c,
	  input/stdin/input.c, input/tcp/input.c, input/vgl/input.c,
	  input/x/input.c:
	  Added the _giiRegisterDevice intraface and corrected the modules.
	  This fixes a nasty flaw that screwed up device origins. I
	  couldn't test the build, so it will probably break/crash, but the
	  idea is there.

2001-11-12 16:53  skids

	* TODO:
	  More stuff, Eric found the bug Andy noticed.	 Looks like we will
	  have signifigant LibGII work to go along with the next release of
	  LibGGI

2001-11-10 19:24  soyt

	* TODO: Small documentation updates.

2001-11-09 18:15  soyt

	* filter/tcp/filter.c: Fixed a probable typo.

2001-10-17 15:57  cegger

	* TODO: update roadmap

2001-10-17 12:45  skids

	* TODO:
	  TODO list for next release and beyond

2001-09-14 11:42  cegger

	* input/pcjoy/input.c: merged fix from Ingo Krabbe
	  <ikrabbe@earthling.net>

2001-09-12 11:17  cegger

	* configure.in, input/Makefile.am, input/ipaq_touchscreen/EXPSYMS,
	  input/ipaq_touchscreen/Makefile.am,
	  input/ipaq_touchscreen/input.c,
	  input/ipaq_touchscreen/.cvsignore: added ipaq touchscreen input
	  driver from Tobias Hunger <tobias@berlin-consortium.org>

2001-08-26 15:49  soyt

	* ChangeLog: commited changelogs for 2.0.1

2001-08-25 21:41  soyt

	* INSTALL.autoconf: changed to more recent INSTALL.autoconf (2.50)

2001-08-25 21:22  soyt

	* INSTALL: Added missing configure options in INSTALL

2001-08-25 21:07  soyt

	* NEWS, README: re-release notes

2001-08-25 13:05  cegger

	* gg/Makefile.am, gii/Makefile.am: update version info

2001-08-25 10:59  thayne

	* TODO, filter/Makefile.am, input/Makefile.am: I'm sure
	  EXTRA_SUBDIRS should have been DIST_SUBDIRS.	DIST_SUBDIRS is
	  used when SUBDIRS is conditional, yet the "make dist" targets
	  still need to traverse a non-conditional set of directories for
	  packaging.

	  Yes, the Fairy of the North gave me this information.

	  Oh, I also updated the TODO files.

2001-08-24 11:31  soyt

	* TODO: AC_TRY_RUN warning in todo

2001-08-23 12:39  soyt

	* TODO, configure.in, doc/Makefile.am: moved to version 0.8.1 and
	  removed doc/docbook from build

2001-08-23 04:15  thayne

	* TODO, dist/rpm/libgii.spec.in: added missing files to rpm builds
	  and updated TODO files

2001-08-22 16:20  soyt

	* TODO: added issue

2001-08-22 14:29  soyt

	* TODO: Added TODO files

2001-08-22 04:37  thayne

	* dist/rpm/libgii.spec.in: Cannot specify redundant sources - rpm
	  tries to package all of them\!

2001-08-14 12:53  soyt

	* doc/man/Makefile.am: new mapages

2001-08-12 10:03  cegger

	* ChangeLog: update from Eric

2001-07-26 10:12  cegger

	* NEWS: added missing release-notes of version 0.8

2001-07-19 10:23  cegger

	* dist/rpm/libgii.spec.in: fixed URLs

2001-07-19 07:44  thayne

	* Makefile.am, configure.in, dist/.cvsignore, dist/Makefile.am,
	  dist/rpm/.cvsignore, dist/rpm/Makefile.am,
	  dist/rpm/libgii.spec.in: Add structure for
	  distributions/packages.  Put in spec files for building RPM's.

2001-07-16 14:48  thayne

	* configure.in: Revert back to AM_DISABLE_STATIC and
	  AM_PROG_LIBTOOL to fix "LIBTOOL not set in configure.in" problem.
	  Add some missing files to some Makefile.am - without this files
	  aren't packaged using "make dist" targets.

2001-07-10 18:59  cegger

	* configure.in, gii/Makefile.am: update version number

2001-07-10 18:35  soyt

	* ChangeLog: libggi and libgii ChangeLogs : Here we go\!

2001-07-10 13:31  soyt

	* doc/man/Makefile.am: updated manpages

2001-07-10 05:22  thayne

	* configure.in: AM_PROG_LIBTOOL and AM_DISABLE_STATIC are
	  deprecated - use 'AC_' names.

2001-07-09 14:49  thayne

	* m4/libtool.m4: libtool 1.4 has moved tests from ltconfig to
	  libtool.m4.  Delete unecessary ltconfig and update libtool.m4.

2001-07-09 03:02  fortinj

	* doc/README.directx:
	  New file describing the compilation and installation of libGII
	  for Win32.

2001-07-07 19:55  cegger

	* filter/save/Makefile.am, filter/tcp/Makefile.am,
	  input/directx/Makefile.am, input/fdselect/Makefile.am,
	  input/file/Makefile.am, input/inputX/Makefile.am,
	  input/linux_evdev/Makefile.am, input/linux_joy/Makefile.am,
	  input/linux_mouse/Makefile.am, input/lk201/Makefile.am,
	  input/mouse/Makefile.am, input/null/Makefile.am,
	  input/pcjoy/Makefile.am, input/spaceorb/Makefile.am,
	  input/stdin/Makefile.am, input/tcp/Makefile.am,
	  input/x/Makefile.am: replace /ggi/ by //

2001-07-07 15:02  thayne

	* ltmain.sh: Fixing bug in libtool 1.4 where it won't find
	  interdependency libraries during install to a packaging dir

2001-07-07 11:23  thayne

	* demos/Makefile.am, gii/Makefile.am: Fix more problems linking
	  against uninstalled libraries.

2001-07-07 09:42  thayne

	* Makefile.am, configure.in, libgii.conf.in,
	  filter/keytrans/Makefile.am, filter/mouse/Makefile.am: Closed one
	  more bug that I introduced into configure.in.  This should now
	  allow late substitution of vars during build and install,
	  staticly code paths where they should be, maintain variables like
	  ${exec_libdir} derived from other variables such as ${prefix},
	  fully expand recursive variables - such as ${exec_libdir}, peel
	  grapes, and change the furnace filter when required.

2001-07-06 22:14  thayne

	* Makefile.am, configure.in, libgii.conf.in,
	  filter/keytrans/Makefile.am, filter/mouse/Makefile.am: Fixed the
	  autoconf mess I created.  ./configure will now do the correct
	  thing expanding paths while maintaining everything truly
	  relocateable for packaging systems to install to a temp dir.

	  PS Of course things should have never been touched in the first
	  place because everything was initially relocateable with
	  ${DESTDIR}, but not everyone uses an up to date automake utility
	  and rpm doesn't do ${DESTDIR} relocation - that's why this mess
	  was started.

2001-07-06 17:15  thayne

	* config.guess, config.sub, ltmain.sh, gii/Makefile.am: Updated
	  libtool to 1.4 and gii/Makefile so that libgg is found in the
	  build tree instead of system lib directories.

2001-07-06 11:46  cegger

	* input/vgl/key2event.c: merged build fix from David J. Hughes

2001-07-06 07:33  cegger

	* gii/Makefile.am: fixed linking path to libgg for libtool 1.4

2001-07-05 00:03  uid30830

	* gii/Makefile.am: fix "cannot find -lgg" -linking error

2001-07-03 15:34  cegger

	* Makefile.am, configure.in, libgii.conf.in,
	  filter/keytrans/Makefile.am, filter/mouse/Makefile.am,
	  gii/Makefile.am: merged link and confdir fixes from Thayne
	  Harbaugh

2001-06-30 09:56  soyt

	* gii/gii.c, include/ggi/gii.h: changed giiPanic prototype

2001-06-27 16:35  stefan

	* input/linux_evdev/input.c: report device name instead of device
	  driver name

2001-06-26 02:18  fortinj

	* libgii.conf.in:
	  Correct path for Direct-X target is input/dxinput.

2001-06-26 02:16  fortinj

	* gg/plat.h:
	  Handle differences btwn Windows/Cygwin and Windows.  Cygwin
	  expects '/' as directory separator.  Windows expects '\' as
	  directory separator.

2001-06-17 08:34  cegger

	* filter/keytrans/filter.c, filter/mouse/filter.c,
	  filter/save/filter.c, gii/dl.c, gii/gii.c, gii/init.c,
	  gii/unix.c, include/ggi/internal/Makefile.am,
	  include/ggi/internal/gii.h, input/directx/dxinput.h,
	  input/fdselect/input.c, input/file/input.c,
	  input/inputX/linkey.h, input/linux_evdev/linux_evdev.h,
	  input/linux_joy/input.c, input/linux_kbd/linkey.h,
	  input/linux_mouse/input.c, input/lk201/input.c,
	  input/mouse/mouse.h, input/null/input.c, input/pcjoy/input.c,
	  input/spaceorb/input.c, input/stdin/input.c, input/tcp/input.c,
	  input/tcp/libtcp.c, input/vgl/input-vgl.h, input/x/input.c,
	  input/x/xev.h: don't install gii_debug.h; fixed all compiler
	  errors

2001-06-16 18:55  cegger

	* filter/tcp/filter.c: remove auto-copied file during make

2001-06-13 19:04  skids

	* demos/demo.c, doc/man/Makefile.am, gii/EXPSYMS, gii/gii.c,
	  include/ggi/gii.h, input/linux_evdev/input.c, input/tcp/libtcp.c:

	  Added ggiSplitInputs, other minor fixes.

2001-06-13 18:00  cegger

	* include/ggi/internal/Makefile.am: don't install debug headers

2001-06-04 02:22  skids

	* gii/Makefile.am:
	  Fixed libgii.la dependency_libs

2001-05-31 21:51  skids

	* gg/parse.c:
	  Added unified unnamed/ordered options support.

2001-05-22 21:44  skids

	* gg/parse.c:
	  Fixed typo in comments

2001-05-13 01:06  stefan

	* input/linux_evdev/input.c: add the necessary meta info so the
	  client can actually interpret the event

2001-05-12 22:59  cegger

	* install-sh, missing, mkinstalldirs, INSTALL.autoconf,
	  config.guess, config.sub, .cvsignore, ltmain.sh, INSTALL,
	  Makefile.am, NEWS, autogen.sh, README, configure.in,
	  libgii.conf.in, ChangeLog, demos/mhub.c, demos/Makefile.am,
	  demos/demo.c, demos/filter.c, doc/Makefile.am,
	  doc/man/Makefile.am, filter/Makefile.am, filter/keytrans/EXPSYMS,
	  filter/keytrans/Makefile.am, filter/keytrans/filter.c,
	  filter/mouse/EXPSYMS, filter/mouse/Makefile.am,
	  filter/mouse/filter.c, filter/save/EXPSYMS,
	  filter/save/Makefile.am, filter/save/filter.c,
	  filter/tcp/EXPSYMS, filter/tcp/Makefile.am, filter/tcp/filter.c,
	  gg/conf.c, gg/debug.c, gg/gglock.c, gg/init.c, gg/intlock.c,
	  gg/memdebug.c, gg/plat.h, gg/ptlock.c, gg/Makefile.am,
	  gg/cleanup.c, gg/dl.c, gg/misc.c, gg/parse.c, gg/gglock.h,
	  gii/init.c, gii/Makefile.am, gii/gii.c, gii/EXPSYMS, gii/dl.c,
	  gii/unix.c, include/Makefile.am, include/ggi/errors.h,
	  include/ggi/gii.h, include/ggi/keyboard.h, include/ggi/events.h,
	  include/ggi/gg.h, include/ggi/system.h.in,
	  include/ggi/Makefile.am, include/ggi/gii-unix.h,
	  include/ggi/input/Makefile.am, include/ggi/input/xwin.h,
	  include/ggi/internal/Makefile.am, include/ggi/internal/gii-dl.h,
	  include/ggi/internal/gii.h, include/ggi/internal/gii_debug.h,
	  input/Makefile.am, input/directx/EXPSYMS,
	  input/directx/Makefile.am, input/directx/di.c,
	  input/directx/dxinput.h, input/directx/dxinputkb.h,
	  input/directx/input.c, input/fdselect/EXPSYMS,
	  input/fdselect/Makefile.am, input/fdselect/input.c,
	  input/file/EXPSYMS, input/file/Makefile.am, input/file/input.c,
	  input/inputX/EXPSYMS, input/inputX/Makefile.am,
	  input/inputX/input.c, input/inputX/linkey.c,
	  input/inputX/linkey.h, input/linux_evdev/EXPSYMS,
	  input/linux_evdev/Makefile.am, input/linux_evdev/eventparse.c,
	  input/linux_evdev/input.c, input/linux_evdev/key.c,
	  input/linux_evdev/linux_evdev.h, input/linux_joy/EXPSYMS,
	  input/linux_joy/Makefile.am, input/linux_joy/input.c,
	  input/linux_kbd/EXPSYMS, input/linux_kbd/Makefile.am,
	  input/linux_kbd/input.c, input/linux_kbd/linkey.c,
	  input/linux_kbd/linkey.h, input/linux_mouse/EXPSYMS,
	  input/linux_mouse/Makefile.am, input/linux_mouse/input.c,
	  input/lk201/EXPSYMS, input/lk201/Makefile.am,
	  input/lk201/input.c, input/lk201/lk201.h, input/mouse/EXPSYMS,
	  input/mouse/Makefile.am, input/mouse/input.c,
	  input/mouse/mouse.h, input/mouse/packetparse.c,
	  input/null/EXPSYMS, input/null/Makefile.am, input/null/input.c,
	  input/pcjoy/EXPSYMS, input/pcjoy/Makefile.am,
	  input/pcjoy/input.c, input/spaceorb/EXPSYMS,
	  input/spaceorb/Makefile.am, input/spaceorb/input.c,
	  input/stdin/EXPSYMS, input/stdin/Makefile.am,
	  input/stdin/input.c, input/x/input.c, input/x/Makefile.am,
	  input/x/xev.c, input/x/xev.h, input/tcp/EXPSYMS,
	  input/tcp/Makefile.am, input/tcp/input.c, input/tcp/libtcp.c,
	  input/tcp/libtcp.h, input/vgl/EXPSYMS, input/vgl/Makefile.am,
	  input/vgl/input-vgl.h, input/vgl/input.c, input/vgl/key2event.c,
	  input/vgl/keycodes.h, m4/Makefile.am, m4/libtool.m4,
	  m4/winfuncs.m4: Initial revision

2001-05-12 22:59  cegger

	* ChangeLog.1999, FAQ, demos/.cvsignore, demos/xsendbut.c,
	  doc/.cvsignore, doc/man/.cvsignore, filter/.cvsignore,
	  filter/keytrans/keytrans, filter/keytrans/.cvsignore,
	  filter/mouse/.cvsignore, filter/mouse/mouse,
	  filter/save/.cvsignore, filter/tcp/.cvsignore, gg/.cvsignore,
	  gii/.cvsignore, include/.cvsignore, include/ggi/.cvsignore,
	  include/ggi/input/.cvsignore, include/ggi/input/lin_kbd.h,
	  include/ggi/internal/.cvsignore, input/.cvsignore,
	  input/directx/.cvsignore, input/fdselect/.cvsignore,
	  input/file/.cvsignore, input/inputX/.cvsignore,
	  input/linux_evdev/.cvsignore, input/linux_joy/.cvsignore,
	  input/linux_kbd/.cvsignore, input/linux_mouse/.cvsignore,
	  input/lk201/.cvsignore, input/lk201/keysymShift.dat,
	  input/lk201/keytable.dat, input/mouse/.cvsignore,
	  input/null/.cvsignore, input/pcjoy/.cvsignore,
	  input/spaceorb/.cvsignore, input/stdin/.cvsignore,
	  input/x/.cvsignore, input/tcp/.cvsignore, input/vgl/.cvsignore,
	  input/vgl/README, m4/.cvsignore: initial import

